#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drm_gem_vram_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_put, "", "");
KSYMTAB_FUNC(drm_gem_vram_offset, "", "");
KSYMTAB_FUNC(drm_gem_vram_pin, "", "");
KSYMTAB_FUNC(drm_gem_vram_unpin, "", "");
KSYMTAB_FUNC(drm_gem_vram_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_fill_create_dumb, "", "");
KSYMTAB_FUNC(drm_gem_vram_driver_dumb_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_vram_mm_debugfs_init, "", "");
KSYMTAB_FUNC(drmm_vram_helper_init, "", "");
KSYMTAB_FUNC(drm_vram_helper_mode_valid, "", "");

SYMBOL_CRC(drm_gem_vram_create, 0x6f97b163, "");
SYMBOL_CRC(drm_gem_vram_put, 0x6de552fd, "");
SYMBOL_CRC(drm_gem_vram_offset, 0x03c8b525, "");
SYMBOL_CRC(drm_gem_vram_pin, 0xa8882f9d, "");
SYMBOL_CRC(drm_gem_vram_unpin, 0x9fb6c110, "");
SYMBOL_CRC(drm_gem_vram_vmap, 0xe7135761, "");
SYMBOL_CRC(drm_gem_vram_vunmap, 0x4a742bec, "");
SYMBOL_CRC(drm_gem_vram_fill_create_dumb, 0xfce96e46, "");
SYMBOL_CRC(drm_gem_vram_driver_dumb_create, 0xce82a53f, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_prepare_fb, 0x039ece71, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_cleanup_fb, 0xf74506d6, "");
SYMBOL_CRC(drm_vram_mm_debugfs_init, 0x52eb521e, "");
SYMBOL_CRC(drmm_vram_helper_init, 0x34f43954, "");
SYMBOL_CRC(drm_vram_helper_mode_valid, 0xffeec828, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x83bc3462, "ttm_range_man_init_nocheck" },
	{ 0x429b88ed, "ww_mutex_lock_interruptible" },
	{ 0x5ab01933, "ttm_resource_manager_debug" },
	{ 0x50df0335, "ww_mutex_unlock" },
	{ 0x037a0cba, "kfree" },
	{ 0x64d59184, "ttm_range_man_fini_nocheck" },
	{ 0x82dc770f, "drm_gem_object_init" },
	{ 0x50b67bbc, "__drm_printfn_seq_file" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6e9ca6f3, "ttm_bo_pin" },
	{ 0xd2e46b08, "dev_driver_string" },
	{ 0xdcf3552d, "drm_gem_ttm_mmap" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x06f704b7, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x625c366c, "ttm_bo_vunmap" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x5461619c, "drm_gem_object_release" },
	{ 0x092dcb04, "ttm_tt_init" },
	{ 0x4be1c941, "drm_gem_handle_create" },
	{ 0x9bd99b80, "drm_gem_fb_get_obj" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb2c15c77, "ttm_bo_unpin" },
	{ 0xc20834bc, "__drm_puts_seq_file" },
	{ 0xc70786da, "drm_debugfs_add_files" },
	{ 0x1a673ea2, "ttm_bo_init_validate" },
	{ 0xc33380b0, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xcf7946fd, "ttm_device_init" },
	{ 0x8be86709, "ttm_bo_validate" },
	{ 0xd56e3474, "ttm_bo_move_to_lru_tail" },
	{ 0x4abc9c1e, "ttm_bo_vmap" },
	{ 0xed995ec2, "ttm_bo_put" },
	{ 0x5709560e, "ttm_resource_free" },
	{ 0xf5646f9a, "ttm_bo_move_memcpy" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x49a93946, "ttm_tt_fini" },
	{ 0x5eae6f57, "ttm_device_fini" },
	{ 0xf2bcdbd5, "drm_gem_plane_helper_prepare_fb" },
	{ 0xfbd6f84d, "ttm_bo_eviction_valuable" },
	{ 0x46534646, "kmalloc_caches" },
	{ 0x62be7368, "drm_gem_ttm_print_info" },
	{ 0xee11a538, "module_layout" },
};

MODULE_INFO(depends, "ttm,drm_ttm_helper");


MODULE_INFO(srcversion, "BE91EDF4E1BA70D0E0DCB4B");
