#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sensor_hub_register_callback, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_remove_callback, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_set_feature, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_get_feature, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_input_attr_get_raw_value, "_gpl", "");
KSYMTAB_FUNC(hid_sensor_get_usage_index, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_input_get_attribute_info, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_device_open, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_device_close, "_gpl", "");

SYMBOL_CRC(sensor_hub_register_callback, 0x73d79786, "_gpl");
SYMBOL_CRC(sensor_hub_remove_callback, 0x54800b85, "_gpl");
SYMBOL_CRC(sensor_hub_set_feature, 0xb966ff40, "_gpl");
SYMBOL_CRC(sensor_hub_get_feature, 0x759dc9f8, "_gpl");
SYMBOL_CRC(sensor_hub_input_attr_get_raw_value, 0x8f74104e, "_gpl");
SYMBOL_CRC(hid_sensor_get_usage_index, 0xa71056bf, "_gpl");
SYMBOL_CRC(sensor_hub_input_get_attribute_info, 0xf087b4a3, "_gpl");
SYMBOL_CRC(sensor_hub_device_open, 0xe1ed7dc5, "_gpl");
SYMBOL_CRC(sensor_hub_device_close, 0x5642cfa8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x037a0cba, "kfree" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x2bc95bd4, "memset" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x2c990eaf, "hid_hw_request" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x2e60bace, "memcpy" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc5e4bb2b, "_dev_warn" },
	{ 0x41e91852, "hid_hw_open" },
	{ 0x2d5befcc, "_dev_err" },
	{ 0x26e553b9, "hid_hw_close" },
	{ 0xc1f57f44, "__hid_register_driver" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xde088771, "__dynamic_dev_dbg" },
	{ 0xa6257a2f, "complete" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x7682717a, "kmemdup_noprof" },
	{ 0x9935eadf, "hid_hw_stop" },
	{ 0xff804a0e, "device_for_each_child" },
	{ 0xf7557c98, "mfd_remove_devices" },
	{ 0x36e30b05, "hid_unregister_driver" },
	{ 0xc58919d7, "devm_kmalloc" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x90e46272, "hid_open_report" },
	{ 0xc6632549, "hid_hw_start" },
	{ 0xa8baa565, "devm_kasprintf" },
	{ 0xb03df1ce, "mfd_add_devices" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x46534646, "kmalloc_caches" },
	{ 0xc33380b0, "__kmalloc_cache_noprof" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x9c8a2d9d, "hid_set_field" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0xee11a538, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("hid:b*g0003v*p*");

MODULE_INFO(srcversion, "642BB7CA54554B8EE285C5C");
