#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hsi_new_client, "_gpl", "");
KSYMTAB_FUNC(hsi_add_clients_from_dt, "_gpl", "");
KSYMTAB_FUNC(hsi_remove_client, "_gpl", "");
KSYMTAB_FUNC(hsi_port_unregister_clients, "_gpl", "");
KSYMTAB_FUNC(hsi_unregister_controller, "_gpl", "");
KSYMTAB_FUNC(hsi_register_controller, "_gpl", "");
KSYMTAB_FUNC(hsi_register_client_driver, "_gpl", "");
KSYMTAB_FUNC(hsi_put_controller, "_gpl", "");
KSYMTAB_FUNC(hsi_alloc_controller, "_gpl", "");
KSYMTAB_FUNC(hsi_free_msg, "_gpl", "");
KSYMTAB_FUNC(hsi_alloc_msg, "_gpl", "");
KSYMTAB_FUNC(hsi_async, "_gpl", "");
KSYMTAB_FUNC(hsi_claim_port, "_gpl", "");
KSYMTAB_FUNC(hsi_release_port, "_gpl", "");
KSYMTAB_FUNC(hsi_register_port_event, "_gpl", "");
KSYMTAB_FUNC(hsi_unregister_port_event, "_gpl", "");
KSYMTAB_FUNC(hsi_event, "_gpl", "");
KSYMTAB_FUNC(hsi_get_channel_id_by_name, "_gpl", "");
KSYMTAB_DATA(hsi_board_list, "_gpl", "");

SYMBOL_CRC(hsi_new_client, 0x0ef8074e, "_gpl");
SYMBOL_CRC(hsi_add_clients_from_dt, 0x62fce1ef, "_gpl");
SYMBOL_CRC(hsi_remove_client, 0xa9d0d00a, "_gpl");
SYMBOL_CRC(hsi_port_unregister_clients, 0x47d17133, "_gpl");
SYMBOL_CRC(hsi_unregister_controller, 0xea635eba, "_gpl");
SYMBOL_CRC(hsi_register_controller, 0x41ba3cc8, "_gpl");
SYMBOL_CRC(hsi_register_client_driver, 0x9db8e038, "_gpl");
SYMBOL_CRC(hsi_put_controller, 0x499d924e, "_gpl");
SYMBOL_CRC(hsi_alloc_controller, 0x4c326ac6, "_gpl");
SYMBOL_CRC(hsi_free_msg, 0x1b11ec7d, "_gpl");
SYMBOL_CRC(hsi_alloc_msg, 0x72480c0b, "_gpl");
SYMBOL_CRC(hsi_async, 0x061720f6, "_gpl");
SYMBOL_CRC(hsi_claim_port, 0x2423c476, "_gpl");
SYMBOL_CRC(hsi_release_port, 0xf1b78179, "_gpl");
SYMBOL_CRC(hsi_register_port_event, 0x1cfbb33d, "_gpl");
SYMBOL_CRC(hsi_unregister_port_event, 0x17082946, "_gpl");
SYMBOL_CRC(hsi_event, 0x7e3f48ed, "_gpl");
SYMBOL_CRC(hsi_get_channel_id_by_name, 0x71d8203e, "_gpl");
SYMBOL_CRC(hsi_board_list, 0x5210a5bf, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x35a169f0, "try_module_get" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xbe26ce0d, "of_alias_from_compatible" },
	{ 0xb1809bfd, "of_property_read_variable_u32_array" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0xbc98446f, "dev_set_name" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x722dcd22, "device_unregister" },
	{ 0x49467b36, "device_initialize" },
	{ 0x037a0cba, "kfree" },
	{ 0xff804a0e, "device_for_each_child" },
	{ 0x904e17b6, "of_get_next_available_child" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xd0ae376d, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x070f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x02c81caa, "blocking_notifier_call_chain" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x25ddc6ca, "put_device" },
	{ 0x695ddb34, "module_put" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0xe63409de, "of_match_device" },
	{ 0xf243aa7a, "bus_unregister" },
	{ 0x9d5d9d57, "device_add" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x8cac23dd, "of_property_read_string" },
	{ 0x0e68df24, "of_find_property" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x61b4f314, "device_register" },
	{ 0x10a21318, "device_del" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7682717a, "kmemdup_noprof" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x9b8a9b70, "blocking_notifier_chain_unregister" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc33380b0, "__kmalloc_cache_noprof" },
	{ 0x18cc3ab8, "of_property_read_u32_index" },
	{ 0xe5515291, "driver_register" },
	{ 0xc7c1f018, "of_property_read_string_helper" },
	{ 0x46534646, "kmalloc_caches" },
	{ 0xb709e456, "bus_register" },
	{ 0xee11a538, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "050632032E2A00D2C126E17");
