#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cx88_tuner_callback, "", "");
KSYMTAB_FUNC(cx88_setup_xc3028, "_gpl", "");
KSYMTAB_FUNC(cx88_risc_buffer, "", "");
KSYMTAB_FUNC(cx88_risc_databuffer, "", "");
KSYMTAB_DATA(cx88_sram_channels, "", "");
KSYMTAB_FUNC(cx88_sram_channel_setup, "", "");
KSYMTAB_FUNC(cx88_sram_channel_dump, "", "");
KSYMTAB_FUNC(cx88_print_irqbits, "", "");
KSYMTAB_FUNC(cx88_core_irq, "", "");
KSYMTAB_FUNC(cx88_wakeup, "", "");
KSYMTAB_FUNC(cx88_shutdown, "", "");
KSYMTAB_FUNC(cx88_reset, "", "");
KSYMTAB_FUNC(cx88_set_scale, "", "");
KSYMTAB_FUNC(cx88_set_tvnorm, "", "");
KSYMTAB_FUNC(cx88_vdev_init, "", "");
KSYMTAB_FUNC(cx88_core_get, "", "");
KSYMTAB_FUNC(cx88_core_put, "", "");
KSYMTAB_FUNC(cx88_set_tvaudio, "", "");
KSYMTAB_FUNC(cx88_newstation, "", "");
KSYMTAB_FUNC(cx88_get_stereo, "", "");
KSYMTAB_FUNC(cx88_set_stereo, "", "");
KSYMTAB_FUNC(cx88_audio_thread, "", "");
KSYMTAB_FUNC(cx88_dsp_detect_stereo_sap, "", "");
KSYMTAB_FUNC(cx88_ir_start, "", "");
KSYMTAB_FUNC(cx88_ir_stop, "", "");

SYMBOL_CRC(cx88_tuner_callback, 0x6141c8c5, "");
SYMBOL_CRC(cx88_setup_xc3028, 0x0f9efa4f, "_gpl");
SYMBOL_CRC(cx88_risc_buffer, 0x57a9d8ae, "");
SYMBOL_CRC(cx88_risc_databuffer, 0x107c6b86, "");
SYMBOL_CRC(cx88_sram_channels, 0x8d88137a, "");
SYMBOL_CRC(cx88_sram_channel_setup, 0xd95bb2db, "");
SYMBOL_CRC(cx88_sram_channel_dump, 0x1c07ac07, "");
SYMBOL_CRC(cx88_print_irqbits, 0x5edb7ae5, "");
SYMBOL_CRC(cx88_core_irq, 0x4acbd87d, "");
SYMBOL_CRC(cx88_wakeup, 0x05931617, "");
SYMBOL_CRC(cx88_shutdown, 0x360c693c, "");
SYMBOL_CRC(cx88_reset, 0x6b89d395, "");
SYMBOL_CRC(cx88_set_scale, 0x5408a634, "");
SYMBOL_CRC(cx88_set_tvnorm, 0x73b43275, "");
SYMBOL_CRC(cx88_vdev_init, 0x565710d6, "");
SYMBOL_CRC(cx88_core_get, 0x1d66c5d6, "");
SYMBOL_CRC(cx88_core_put, 0x49caed37, "");
SYMBOL_CRC(cx88_set_tvaudio, 0x393dbd75, "");
SYMBOL_CRC(cx88_newstation, 0x82430ff3, "");
SYMBOL_CRC(cx88_get_stereo, 0x4f3c0b8e, "");
SYMBOL_CRC(cx88_set_stereo, 0xfe37b836, "");
SYMBOL_CRC(cx88_audio_thread, 0x904b8696, "");
SYMBOL_CRC(cx88_dsp_detect_stereo_sap, 0x7a5953cd, "");
SYMBOL_CRC(cx88_ir_start, 0xce27707f, "");
SYMBOL_CRC(cx88_ir_stop, 0xdfb4b6af, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf3251e7b, "v4l2_norm_to_name" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x58628ea0, "ir_raw_event_handle" },
	{ 0xc0ae51cd, "param_ops_uint" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x7b15b31b, "i2c_bit_add_bus" },
	{ 0x5f190aa1, "v4l2_ctrl_handler_init_class" },
	{ 0xedc03953, "iounmap" },
	{ 0x4a842d87, "hrtimer_init" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x7f3055ce, "param_array_ops" },
	{ 0x037a0cba, "kfree" },
	{ 0xeb02b316, "i2c_transfer_buffer_flags" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xdc14eda7, "pci_pci_problems" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb678366f, "int_sqrt" },
	{ 0x04482cdb, "__refrigerator" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x070f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x738803e6, "strnlen" },
	{ 0x1c62b585, "i2c_smbus_xfer" },
	{ 0xbd750762, "const_pcpu_hot" },
	{ 0xc46feff3, "i2c_del_adapter" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xe729291a, "rc_keyup" },
	{ 0xc0011394, "__v4l2_ctrl_grab" },
	{ 0xc31dadd4, "i2c_unregister_device" },
	{ 0x8ef8fa20, "tveeprom_read" },
	{ 0x96a178ae, "rc_keydown_notimeout" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x618e83c9, "rc_register_device" },
	{ 0x5feab2fd, "dma_alloc_attrs" },
	{ 0x20947461, "rc_keydown" },
	{ 0xf766151a, "vb2_buffer_done" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x2063daa9, "i2c_new_client_device" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0xbb2a555a, "freezing_slow_path" },
	{ 0xa9d9ffa7, "rc_free_device" },
	{ 0x87bcb728, "hrtimer_start_range_ns" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x30f4e29b, "v4l2_device_register" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9e10a07b, "rc_allocate_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe7a383c6, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xc33380b0, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf2a353ac, "v4l2_i2c_tuner_addrs" },
	{ 0xa8861fb1, "__x86_indirect_thunk_eax" },
	{ 0x04ce3c97, "v4l2_ctrl_handler_free" },
	{ 0x9f9381cf, "i2c_transfer" },
	{ 0x2f9ac08e, "hrtimer_cancel" },
	{ 0x3a13edeb, "v4l2_device_unregister" },
	{ 0x0dbf0296, "tveeprom_hauppauge_analog" },
	{ 0x0e0b38a2, "hrtimer_forward" },
	{ 0xe53df451, "v4l2_i2c_new_subdev" },
	{ 0x76cf59bb, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0xd8fc81ed, "param_ops_int" },
	{ 0xe99e2260, "ir_raw_event_store_with_filter" },
	{ 0xc0e400c3, "i2c_smbus_read_byte_data" },
	{ 0xf4687ec6, "video_device_release_empty" },
	{ 0xf9a482f9, "msleep" },
	{ 0xfa603edb, "rc_unregister_device" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x46534646, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xee11a538, "module_layout" },
};

MODULE_INFO(depends, "videodev,rc-core,i2c-algo-bit,tveeprom,videobuf2-common");


MODULE_INFO(srcversion, "589AC743322CBC1653CD124");
