#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ivtv_ext_init, "", "");
KSYMTAB_FUNC(ivtv_set_irq_mask, "", "");
KSYMTAB_FUNC(ivtv_api, "", "");
KSYMTAB_FUNC(ivtv_vapi, "", "");
KSYMTAB_FUNC(ivtv_vapi_result, "", "");
KSYMTAB_FUNC(ivtv_clear_irq_mask, "", "");
KSYMTAB_DATA(ivtv_debug, "", "");
KSYMTAB_FUNC(ivtv_reset_ir_gpio, "", "");
KSYMTAB_FUNC(ivtv_udma_setup, "", "");
KSYMTAB_FUNC(ivtv_udma_unmap, "", "");
KSYMTAB_FUNC(ivtv_udma_alloc, "", "");
KSYMTAB_FUNC(ivtv_udma_prepare, "", "");
KSYMTAB_FUNC(ivtv_init_on_first_open, "", "");
KSYMTAB_FUNC(ivtv_firmware_check, "", "");
KSYMTAB_FUNC(ivtv_claim_stream, "", "");
KSYMTAB_FUNC(ivtv_release_stream, "", "");
KSYMTAB_FUNC(ivtv_start_v4l2_encode_stream, "", "");
KSYMTAB_FUNC(ivtv_stop_v4l2_encode_stream, "", "");

SYMBOL_CRC(ivtv_ext_init, 0x8091edb3, "");
SYMBOL_CRC(ivtv_set_irq_mask, 0x76b5d7f2, "");
SYMBOL_CRC(ivtv_api, 0x218b9a1c, "");
SYMBOL_CRC(ivtv_vapi, 0xa37a7b50, "");
SYMBOL_CRC(ivtv_vapi_result, 0x8d44b1b3, "");
SYMBOL_CRC(ivtv_clear_irq_mask, 0xa814cf23, "");
SYMBOL_CRC(ivtv_debug, 0x14f67530, "");
SYMBOL_CRC(ivtv_reset_ir_gpio, 0xbef162e2, "");
SYMBOL_CRC(ivtv_udma_setup, 0x4d8ada5f, "");
SYMBOL_CRC(ivtv_udma_unmap, 0x8701f40f, "");
SYMBOL_CRC(ivtv_udma_alloc, 0xf2d94a88, "");
SYMBOL_CRC(ivtv_udma_prepare, 0x4f680f09, "");
SYMBOL_CRC(ivtv_init_on_first_open, 0xbf4d3cbc, "");
SYMBOL_CRC(ivtv_firmware_check, 0x1413da59, "");
SYMBOL_CRC(ivtv_claim_stream, 0x1f6d114d, "");
SYMBOL_CRC(ivtv_release_stream, 0x06af3ca3, "");
SYMBOL_CRC(ivtv_start_v4l2_encode_stream, 0x7f758013, "");
SYMBOL_CRC(ivtv_stop_v4l2_encode_stream, 0x1da54704, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x07fa7933, "v4l2_fh_exit" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x80d56861, "cx2341x_handler_set_busy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xac40ab1c, "video_ioctl2" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x8235805b, "memmove" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7b15b31b, "i2c_bit_add_bus" },
	{ 0x291193af, "v4l2_fh_del" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x11b41fbd, "v4l2_i2c_new_subdev_board" },
	{ 0xf8d3f974, "kthread_flush_worker" },
	{ 0xdb7e4104, "v4l2_fh_add" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xcd745a44, "dma_unmap_page_attrs" },
	{ 0xd1dec0fa, "request_firmware" },
	{ 0xafeaf5f2, "__pci_register_driver" },
	{ 0x5f190aa1, "v4l2_ctrl_handler_init_class" },
	{ 0x41d06b63, "devm_ioremap" },
	{ 0xb9704631, "memcpy_fromio" },
	{ 0xca0acd0d, "unpin_user_pages" },
	{ 0x7f3055ce, "param_array_ops" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x054496b4, "schedule_timeout_interruptible" },
	{ 0xb500974e, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xeb02b316, "i2c_transfer_buffer_flags" },
	{ 0xec411fd6, "v4l2_subdev_init" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xb6b844b0, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x000a7de9, "wake_up_process" },
	{ 0xd2e46b08, "dev_driver_string" },
	{ 0x58671c1d, "dma_map_page_attrs" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xdd27f3c3, "__devm_request_region" },
	{ 0x070f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xc404da9e, "v4l2_ctrl_handler_log_status" },
	{ 0xabfaba77, "v4l2_ctrl_handler_setup" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd5e22124, "video_devdata" },
	{ 0x360e6c3f, "__kmalloc_large_noprof" },
	{ 0x32632cdf, "i2c_new_scanned_device" },
	{ 0x715395f8, "cx2341x_handler_setup" },
	{ 0x738803e6, "strnlen" },
	{ 0xe9946b48, "kthread_queue_work" },
	{ 0xbd750762, "const_pcpu_hot" },
	{ 0xd48df87f, "__free_pages" },
	{ 0xc46feff3, "i2c_del_adapter" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xbe39134b, "__v4l2_ctrl_s_ctrl" },
	{ 0x85594ddf, "__kmap_local_page_prot" },
	{ 0xebc1876d, "__dma_sync_single_for_cpu" },
	{ 0x955b0e2e, "kthread_worker_fn" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc3fa6a59, "memchr" },
	{ 0x8ef8fa20, "tveeprom_read" },
	{ 0x24d273d1, "add_timer" },
	{ 0x7966682d, "v4l2_device_set_name" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xc04612f6, "v4l2_fh_is_singular" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x505bc7eb, "pci_read_config_word" },
	{ 0x513b68e3, "v4l2_ctrl_subscribe_event" },
	{ 0x9bec2e93, "v4l2_fh_init" },
	{ 0x1ec9c264, "v4l2_event_pending" },
	{ 0x23ae3d2c, "__kthread_init_worker" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x38b204a1, "video_unregister_device" },
	{ 0x5152e605, "memcmp" },
	{ 0x3aed3b05, "kthread_stop" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x8fcc5065, "v4l2_event_subscribe" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd89da37f, "movable_zone" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x0b16341a, "__default_kernel_pte_mask" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x1f06060f, "pci_set_master" },
	{ 0x1c534397, "v4l2_ctrl_new_std_menu" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xd42a363f, "__v4l2_device_register_subdev" },
	{ 0x30f4e29b, "v4l2_device_register" },
	{ 0x93ccb6ec, "param_ops_string" },
	{ 0xab62aeb0, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x96985c9b, "kthread_create_on_node" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x40e1b13f, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd14a1f74, "__dma_sync_single_for_device" },
	{ 0xe7a383c6, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xc33380b0, "__kmalloc_cache_noprof" },
	{ 0x679acc36, "pin_user_pages_unlocked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x46cb1e2b, "v4l2_ctrl_new_std" },
	{ 0xe12aefe4, "v4l2_ctrl_g_ctrl" },
	{ 0x0cb56e32, "cx2341x_handler_init" },
	{ 0x38e53e8c, "cx2341x_handler_set_50hz" },
	{ 0x04ce3c97, "v4l2_ctrl_handler_free" },
	{ 0x9cac3696, "alloc_pages_noprof" },
	{ 0x3a13edeb, "v4l2_device_unregister" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x47ddf1a5, "dma_set_mask" },
	{ 0xc1c4be3e, "sched_set_fifo" },
	{ 0x0dbf0296, "tveeprom_hauppauge_analog" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x7c17c81b, "v4l2_subdev_call_wrappers" },
	{ 0x63a1989b, "dma_unmap_sg_attrs" },
	{ 0xcf508f0d, "v4l2_event_queue" },
	{ 0xe53df451, "v4l2_i2c_new_subdev" },
	{ 0x51f96847, "page_address" },
	{ 0x76cf59bb, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0xd8fc81ed, "param_ops_int" },
	{ 0x24cc801c, "pcim_enable_device" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf4687ec6, "video_device_release_empty" },
	{ 0x55a25a49, "v4l2_ctrl_cluster" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x91260f24, "pci_write_config_dword" },
	{ 0x7e7ba2c7, "v4l2_event_unsubscribe" },
	{ 0x46534646, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xe072d49f, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0xee11a538, "module_layout" },
};

MODULE_INFO(depends, "videodev,cx2341x,i2c-algo-bit,tveeprom");

MODULE_ALIAS("pci:v00004444d00000803sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00004444d00000016sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "B1225A0FA9EB7CCB07B31CC");
