#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rtsx_pci_start_run, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_write_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_read_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_write_phy_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_read_phy_register, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_stop_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_add_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_send_cmd_no_wait, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_send_cmd, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_transfer_data, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_dma_map_sg, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_dma_unmap_sg, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_dma_transfer, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_read_ppbuf, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_write_ppbuf, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_pull_ctl_enable, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_pull_ctl_disable, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_switch_clock, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_power_on, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_power_off, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_exclusive_check, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_switch_output_voltage, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_card_exist, "_gpl", "");
KSYMTAB_FUNC(rtsx_pci_complete_unfinished_transfer, "_gpl", "");

SYMBOL_CRC(rtsx_pci_start_run, 0x6ff4c1ce, "_gpl");
SYMBOL_CRC(rtsx_pci_write_register, 0x25338fcc, "_gpl");
SYMBOL_CRC(rtsx_pci_read_register, 0x6ce67244, "_gpl");
SYMBOL_CRC(rtsx_pci_write_phy_register, 0x66133ace, "_gpl");
SYMBOL_CRC(rtsx_pci_read_phy_register, 0x3e3a2b20, "_gpl");
SYMBOL_CRC(rtsx_pci_stop_cmd, 0xd26ff04a, "_gpl");
SYMBOL_CRC(rtsx_pci_add_cmd, 0x7f6e46ab, "_gpl");
SYMBOL_CRC(rtsx_pci_send_cmd_no_wait, 0x10b02c52, "_gpl");
SYMBOL_CRC(rtsx_pci_send_cmd, 0x571e3e04, "_gpl");
SYMBOL_CRC(rtsx_pci_transfer_data, 0x8a88ff6b, "_gpl");
SYMBOL_CRC(rtsx_pci_dma_map_sg, 0x88c14725, "_gpl");
SYMBOL_CRC(rtsx_pci_dma_unmap_sg, 0x98d822e1, "_gpl");
SYMBOL_CRC(rtsx_pci_dma_transfer, 0xd66a53ee, "_gpl");
SYMBOL_CRC(rtsx_pci_read_ppbuf, 0xc1b1a108, "_gpl");
SYMBOL_CRC(rtsx_pci_write_ppbuf, 0x03915aa2, "_gpl");
SYMBOL_CRC(rtsx_pci_card_pull_ctl_enable, 0x1a1772b4, "_gpl");
SYMBOL_CRC(rtsx_pci_card_pull_ctl_disable, 0x2bcaa9ba, "_gpl");
SYMBOL_CRC(rtsx_pci_switch_clock, 0x40eb00b1, "_gpl");
SYMBOL_CRC(rtsx_pci_card_power_on, 0x66d56623, "_gpl");
SYMBOL_CRC(rtsx_pci_card_power_off, 0xa8b1cc98, "_gpl");
SYMBOL_CRC(rtsx_pci_card_exclusive_check, 0x53642b9d, "_gpl");
SYMBOL_CRC(rtsx_pci_switch_output_voltage, 0x0399be6c, "_gpl");
SYMBOL_CRC(rtsx_pci_card_exist, 0xc81451fc, "_gpl");
SYMBOL_CRC(rtsx_pci_complete_unfinished_transfer, 0x6282593b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0x8b9ebe1e, "pcie_capability_read_word" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xf9af5827, "pci_find_ext_capability" },
	{ 0x33093c9b, "pci_enable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0xa6257a2f, "complete" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xafeaf5f2, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x13af44d6, "pci_disable_msi" },
	{ 0x9e45da97, "pci_request_regions" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xb500974e, "pcpu_hot" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xde088771, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xb6b844b0, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x50fa1224, "pci_read_config_dword" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xdc1acd4d, "pm_schedule_suspend" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xcdd69af7, "pci_intx" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x5f2759c3, "pci_enable_msi" },
	{ 0x2d5befcc, "_dev_err" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x954f099c, "idr_preload" },
	{ 0xde6129ee, "pcie_capability_clear_and_set_word_locked" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x5feab2fd, "dma_alloc_attrs" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xb03df1ce, "mfd_add_devices" },
	{ 0xde80cd09, "ioremap" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x0b19b445, "ioread8" },
	{ 0x1f06060f, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe8b726ba, "pm_runtime_forbid" },
	{ 0xe1f36b8c, "dma_free_attrs" },
	{ 0xb2c89005, "pm_runtime_allow" },
	{ 0x7d3fcdf2, "__pm_runtime_resume" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb4dcb7ed, "param_ops_bool" },
	{ 0xf5405d04, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe7a383c6, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xc33380b0, "__kmalloc_cache_noprof" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x12653d5a, "pci_disable_device" },
	{ 0xf7557c98, "mfd_remove_devices" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x47ddf1a5, "dma_set_mask" },
	{ 0x63a1989b, "dma_unmap_sg_attrs" },
	{ 0x76cf59bb, "pci_read_config_byte" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc88a3af3, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0x91260f24, "pci_write_config_dword" },
	{ 0x46534646, "kmalloc_caches" },
	{ 0xe072d49f, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xee11a538, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000010ECd00005209sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005229sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005289sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005227sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd0000522Asv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005249sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005287sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005286sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd0000524Asv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd0000525Asv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005260sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005261sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005228sv*sd*bcFFsc*i*");
MODULE_ALIAS("pci:v000010ECd00005264sv*sd*bcFFsc*i*");

MODULE_INFO(srcversion, "C84F85E7544A89EC63E766C");
