#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(phy_print_status, "", "");
KSYMTAB_FUNC(phy_get_rate_matching, "_gpl", "");
KSYMTAB_FUNC(phy_restart_aneg, "_gpl", "");
KSYMTAB_FUNC(phy_aneg_done, "", "");
KSYMTAB_FUNC(phy_check_valid, "", "");
KSYMTAB_FUNC(phy_ethtool_ksettings_get, "", "");
KSYMTAB_FUNC(phy_mii_ioctl, "", "");
KSYMTAB_FUNC(phy_do_ioctl, "", "");
KSYMTAB_FUNC(phy_do_ioctl_running, "", "");
KSYMTAB_FUNC(phy_queue_state_machine, "", "");
KSYMTAB_FUNC(phy_trigger_machine, "", "");
KSYMTAB_FUNC(phy_ethtool_get_strings, "", "");
KSYMTAB_FUNC(phy_ethtool_get_sset_count, "", "");
KSYMTAB_FUNC(phy_ethtool_get_stats, "", "");
KSYMTAB_FUNC(phy_start_cable_test, "", "");
KSYMTAB_FUNC(phy_start_cable_test_tdr, "", "");
KSYMTAB_FUNC(phy_config_aneg, "", "");
KSYMTAB_FUNC(phy_inband_caps, "_gpl", "");
KSYMTAB_FUNC(phy_config_inband, "", "");
KSYMTAB_FUNC(_phy_start_aneg, "", "");
KSYMTAB_FUNC(phy_start_aneg, "", "");
KSYMTAB_FUNC(phy_ethtool_ksettings_set, "", "");
KSYMTAB_FUNC(phy_speed_down, "_gpl", "");
KSYMTAB_FUNC(phy_speed_up, "_gpl", "");
KSYMTAB_FUNC(phy_start_machine, "_gpl", "");
KSYMTAB_FUNC(phy_error, "", "");
KSYMTAB_FUNC(phy_request_interrupt, "", "");
KSYMTAB_FUNC(phy_free_interrupt, "", "");
KSYMTAB_FUNC(phy_stop, "", "");
KSYMTAB_FUNC(phy_start, "", "");
KSYMTAB_FUNC(phy_mac_interrupt, "", "");
KSYMTAB_FUNC(phy_eee_tx_clock_stop_capable, "_gpl", "");
KSYMTAB_FUNC(phy_eee_rx_clock_stop, "_gpl", "");
KSYMTAB_FUNC(phy_init_eee, "", "");
KSYMTAB_FUNC(phy_get_eee_err, "", "");
KSYMTAB_FUNC(phy_ethtool_get_eee, "", "");
KSYMTAB_FUNC(phy_ethtool_set_eee, "", "");
KSYMTAB_FUNC(phy_ethtool_set_wol, "", "");
KSYMTAB_FUNC(phy_ethtool_get_wol, "", "");
KSYMTAB_FUNC(phy_ethtool_get_link_ksettings, "", "");
KSYMTAB_FUNC(phy_ethtool_set_link_ksettings, "", "");
KSYMTAB_FUNC(phy_ethtool_nway_reset, "", "");
KSYMTAB_FUNC(genphy_c45_pma_resume, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_suspend, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_baset1_setup_master_slave, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_setup_forced, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_an_config_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_an_disable_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_restart_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_check_and_restart_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_aneg_done, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_link, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_lpa, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_baset1_read_master_slave, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_pma, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_mdix, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_eee_abilities, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_an_config_eee_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_baset1_read_abilities, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_read_ext_abilities, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_read_abilities, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_baset1_read_status, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_status, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_config_aneg, "_gpl", "");
KSYMTAB_FUNC(gen10g_config_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_loopback, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_fast_retrain, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_plca_get_cfg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_plca_set_cfg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_plca_get_status, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_eee_is_active, "", "");
KSYMTAB_FUNC(genphy_c45_ethtool_get_eee, "", "");
KSYMTAB_FUNC(genphy_c45_ethtool_set_eee, "", "");
KSYMTAB_FUNC(phy_speed_to_str, "_gpl", "");
KSYMTAB_FUNC(phy_duplex_to_str, "_gpl", "");
KSYMTAB_FUNC(phy_rate_matching_to_str, "_gpl", "");
KSYMTAB_FUNC(phy_interface_num_ports, "_gpl", "");
KSYMTAB_FUNC(phy_lookup_setting, "_gpl", "");
KSYMTAB_FUNC(phy_set_max_speed, "", "");
KSYMTAB_FUNC(phy_resolve_aneg_pause, "_gpl", "");
KSYMTAB_FUNC(phy_resolve_aneg_linkmode, "_gpl", "");
KSYMTAB_FUNC(phy_check_downshift, "_gpl", "");
KSYMTAB_FUNC(__phy_read_mmd, "", "");
KSYMTAB_FUNC(phy_read_mmd, "", "");
KSYMTAB_FUNC(__phy_write_mmd, "", "");
KSYMTAB_FUNC(phy_write_mmd, "", "");
KSYMTAB_FUNC(__phy_package_read_mmd, "", "");
KSYMTAB_FUNC(phy_package_read_mmd, "", "");
KSYMTAB_FUNC(__phy_package_write_mmd, "", "");
KSYMTAB_FUNC(phy_package_write_mmd, "", "");
KSYMTAB_FUNC(phy_modify_changed, "_gpl", "");
KSYMTAB_FUNC(__phy_modify, "_gpl", "");
KSYMTAB_FUNC(phy_modify, "_gpl", "");
KSYMTAB_FUNC(__phy_modify_mmd_changed, "_gpl", "");
KSYMTAB_FUNC(phy_modify_mmd_changed, "_gpl", "");
KSYMTAB_FUNC(__phy_modify_mmd, "_gpl", "");
KSYMTAB_FUNC(phy_modify_mmd, "_gpl", "");
KSYMTAB_FUNC(phy_save_page, "_gpl", "");
KSYMTAB_FUNC(phy_select_page, "_gpl", "");
KSYMTAB_FUNC(phy_restore_page, "_gpl", "");
KSYMTAB_FUNC(phy_read_paged, "", "");
KSYMTAB_FUNC(phy_write_paged, "", "");
KSYMTAB_FUNC(phy_modify_paged_changed, "", "");
KSYMTAB_FUNC(phy_modify_paged, "", "");
KSYMTAB_DATA(phy_basic_features, "_gpl", "");
KSYMTAB_DATA(phy_basic_t1_features, "_gpl", "");
KSYMTAB_DATA(phy_basic_t1s_p2mp_features, "_gpl", "");
KSYMTAB_DATA(phy_gbit_features, "_gpl", "");
KSYMTAB_DATA(phy_gbit_fibre_features, "_gpl", "");
KSYMTAB_DATA(phy_10gbit_features, "_gpl", "");
KSYMTAB_DATA(phy_basic_ports_array, "_gpl", "");
KSYMTAB_DATA(phy_10_100_features_array, "_gpl", "");
KSYMTAB_DATA(phy_basic_t1_features_array, "_gpl", "");
KSYMTAB_DATA(phy_basic_t1s_p2mp_features_array, "_gpl", "");
KSYMTAB_DATA(phy_gbit_features_array, "_gpl", "");
KSYMTAB_DATA(phy_10gbit_features_array, "_gpl", "");
KSYMTAB_DATA(phy_eee_cap1_features, "_gpl", "");
KSYMTAB_DATA(phy_eee_cap2_features, "_gpl", "");
KSYMTAB_FUNC(phy_device_free, "", "");
KSYMTAB_FUNC(phy_register_fixup, "", "");
KSYMTAB_FUNC(phy_register_fixup_for_uid, "", "");
KSYMTAB_FUNC(phy_register_fixup_for_id, "", "");
KSYMTAB_FUNC(phy_unregister_fixup, "", "");
KSYMTAB_FUNC(phy_unregister_fixup_for_uid, "", "");
KSYMTAB_FUNC(phy_unregister_fixup_for_id, "", "");
KSYMTAB_FUNC(phy_device_create, "", "");
KSYMTAB_FUNC(fwnode_get_phy_id, "", "");
KSYMTAB_FUNC(get_phy_device, "", "");
KSYMTAB_FUNC(phy_device_register, "", "");
KSYMTAB_FUNC(phy_device_remove, "", "");
KSYMTAB_FUNC(phy_get_c45_ids, "", "");
KSYMTAB_FUNC(phy_find_first, "", "");
KSYMTAB_FUNC(phy_connect_direct, "", "");
KSYMTAB_FUNC(phy_connect, "", "");
KSYMTAB_FUNC(phy_disconnect, "", "");
KSYMTAB_FUNC(phy_init_hw, "", "");
KSYMTAB_FUNC(phy_attached_info, "", "");
KSYMTAB_FUNC(phy_attached_info_irq, "", "");
KSYMTAB_FUNC(phy_attached_print, "", "");
KSYMTAB_FUNC(phy_sfp_connect_phy, "", "");
KSYMTAB_FUNC(phy_sfp_disconnect_phy, "", "");
KSYMTAB_FUNC(phy_sfp_attach, "", "");
KSYMTAB_FUNC(phy_sfp_detach, "", "");
KSYMTAB_FUNC(phy_sfp_probe, "", "");
KSYMTAB_FUNC(phy_attach_direct, "", "");
KSYMTAB_FUNC(phy_attach, "", "");
KSYMTAB_FUNC(phy_driver_is_genphy, "_gpl", "");
KSYMTAB_FUNC(phy_driver_is_genphy_10g, "_gpl", "");
KSYMTAB_FUNC(phy_package_join, "_gpl", "");
KSYMTAB_FUNC(of_phy_package_join, "_gpl", "");
KSYMTAB_FUNC(phy_package_leave, "_gpl", "");
KSYMTAB_FUNC(devm_phy_package_join, "_gpl", "");
KSYMTAB_FUNC(devm_of_phy_package_join, "_gpl", "");
KSYMTAB_FUNC(phy_detach, "", "");
KSYMTAB_FUNC(phy_suspend, "", "");
KSYMTAB_FUNC(__phy_resume, "", "");
KSYMTAB_FUNC(phy_resume, "", "");
KSYMTAB_FUNC(phy_loopback, "", "");
KSYMTAB_FUNC(phy_reset_after_clk_enable, "", "");
KSYMTAB_FUNC(genphy_setup_forced, "", "");
KSYMTAB_FUNC(genphy_read_master_slave, "", "");
KSYMTAB_FUNC(genphy_restart_aneg, "", "");
KSYMTAB_FUNC(genphy_check_and_restart_aneg, "", "");
KSYMTAB_FUNC(__genphy_config_aneg, "", "");
KSYMTAB_FUNC(genphy_c37_config_aneg, "", "");
KSYMTAB_FUNC(genphy_aneg_done, "", "");
KSYMTAB_FUNC(genphy_update_link, "", "");
KSYMTAB_FUNC(genphy_read_lpa, "", "");
KSYMTAB_FUNC(genphy_read_status_fixed, "", "");
KSYMTAB_FUNC(genphy_read_status, "", "");
KSYMTAB_FUNC(genphy_c37_read_status, "", "");
KSYMTAB_FUNC(genphy_soft_reset, "", "");
KSYMTAB_FUNC(genphy_handle_interrupt_no_ack, "", "");
KSYMTAB_FUNC(genphy_read_abilities, "", "");
KSYMTAB_FUNC(genphy_read_mmd_unsupported, "", "");
KSYMTAB_FUNC(genphy_write_mmd_unsupported, "", "");
KSYMTAB_FUNC(genphy_suspend, "", "");
KSYMTAB_FUNC(genphy_resume, "", "");
KSYMTAB_FUNC(genphy_loopback, "", "");
KSYMTAB_FUNC(phy_remove_link_mode, "", "");
KSYMTAB_FUNC(phy_advertise_supported, "", "");
KSYMTAB_FUNC(phy_advertise_eee_all, "_gpl", "");
KSYMTAB_FUNC(phy_support_eee, "", "");
KSYMTAB_FUNC(phy_disable_eee, "_gpl", "");
KSYMTAB_FUNC(phy_support_sym_pause, "", "");
KSYMTAB_FUNC(phy_support_asym_pause, "", "");
KSYMTAB_FUNC(phy_set_sym_pause, "", "");
KSYMTAB_FUNC(phy_set_asym_pause, "", "");
KSYMTAB_FUNC(phy_validate_pause, "", "");
KSYMTAB_FUNC(phy_get_pause, "", "");
KSYMTAB_FUNC(phy_get_internal_delay, "", "");
KSYMTAB_FUNC(phy_get_tx_amplitude_gain, "_gpl", "");
KSYMTAB_FUNC(fwnode_mdio_find_device, "", "");
KSYMTAB_FUNC(fwnode_phy_find_device, "", "");
KSYMTAB_FUNC(device_phy_find_device, "_gpl", "");
KSYMTAB_FUNC(fwnode_get_phy_node, "_gpl", "");
KSYMTAB_FUNC(phy_driver_register, "", "");
KSYMTAB_FUNC(phy_drivers_register, "", "");
KSYMTAB_FUNC(phy_driver_unregister, "", "");
KSYMTAB_FUNC(phy_drivers_unregister, "", "");
KSYMTAB_FUNC(linkmode_resolve_pause, "_gpl", "");
KSYMTAB_FUNC(linkmode_set_pause, "_gpl", "");
KSYMTAB_FUNC(phy_link_topo_add_phy, "_gpl", "");
KSYMTAB_FUNC(phy_link_topo_del_phy, "_gpl", "");
KSYMTAB_FUNC(mdiobus_register_device, "", "");
KSYMTAB_FUNC(mdiobus_unregister_device, "", "");
KSYMTAB_FUNC(mdiobus_get_phy, "", "");
KSYMTAB_FUNC(mdiobus_is_registered_device, "", "");
KSYMTAB_FUNC(mdiobus_alloc_size, "", "");
KSYMTAB_FUNC(mdio_find_bus, "", "");
KSYMTAB_FUNC(of_mdio_find_bus, "", "");
KSYMTAB_FUNC(mdiobus_scan_c22, "", "");
KSYMTAB_FUNC(__mdiobus_register, "", "");
KSYMTAB_FUNC(mdiobus_unregister, "", "");
KSYMTAB_FUNC(mdiobus_free, "", "");
KSYMTAB_FUNC(__mdiobus_read, "", "");
KSYMTAB_FUNC(__mdiobus_write, "", "");
KSYMTAB_FUNC(__mdiobus_modify_changed, "_gpl", "");
KSYMTAB_FUNC(__mdiobus_c45_read, "", "");
KSYMTAB_FUNC(__mdiobus_c45_write, "", "");
KSYMTAB_FUNC(mdiobus_read_nested, "", "");
KSYMTAB_FUNC(mdiobus_read, "", "");
KSYMTAB_FUNC(mdiobus_c45_read, "", "");
KSYMTAB_FUNC(mdiobus_c45_read_nested, "", "");
KSYMTAB_FUNC(mdiobus_write_nested, "", "");
KSYMTAB_FUNC(mdiobus_write, "", "");
KSYMTAB_FUNC(mdiobus_c45_write, "", "");
KSYMTAB_FUNC(mdiobus_c45_write_nested, "", "");
KSYMTAB_FUNC(__mdiobus_modify, "_gpl", "");
KSYMTAB_FUNC(mdiobus_modify, "_gpl", "");
KSYMTAB_FUNC(mdiobus_c45_modify, "_gpl", "");
KSYMTAB_FUNC(mdiobus_modify_changed, "_gpl", "");
KSYMTAB_FUNC(mdiobus_c45_modify_changed, "_gpl", "");
KSYMTAB_DATA(mdio_bus_type, "", "");
KSYMTAB_FUNC(mdio_bus_exit, "_gpl", "");
KSYMTAB_FUNC(mdio_device_free, "", "");
KSYMTAB_FUNC(mdio_device_create, "", "");
KSYMTAB_FUNC(mdio_device_register, "", "");
KSYMTAB_FUNC(mdio_device_remove, "", "");
KSYMTAB_FUNC(mdio_device_reset, "", "");
KSYMTAB_FUNC(mdio_driver_register, "", "");
KSYMTAB_FUNC(mdio_driver_unregister, "", "");
KSYMTAB_FUNC(swphy_validate_state, "_gpl", "");
KSYMTAB_FUNC(swphy_read_reg, "_gpl", "");
KSYMTAB_FUNC(phy_led_trigger_change_speed, "_gpl", "");
KSYMTAB_FUNC(phy_led_triggers_register, "_gpl", "");
KSYMTAB_FUNC(phy_led_triggers_unregister, "_gpl", "");
KSYMTAB_FUNC(oa_1000bt1_get_ethtool_cable_result_code, "_gpl", "");
KSYMTAB_FUNC(oa_1000bt1_get_tdr_distance, "_gpl", "");

SYMBOL_CRC(phy_print_status, 0x48d87a0b, "");
SYMBOL_CRC(phy_get_rate_matching, 0x13332185, "_gpl");
SYMBOL_CRC(phy_restart_aneg, 0x34e800fb, "_gpl");
SYMBOL_CRC(phy_aneg_done, 0x83cb58eb, "");
SYMBOL_CRC(phy_check_valid, 0xf44f852a, "");
SYMBOL_CRC(phy_ethtool_ksettings_get, 0xdb6e8d4f, "");
SYMBOL_CRC(phy_mii_ioctl, 0x4e418f85, "");
SYMBOL_CRC(phy_do_ioctl, 0x097004e5, "");
SYMBOL_CRC(phy_do_ioctl_running, 0x4cd406b9, "");
SYMBOL_CRC(phy_queue_state_machine, 0x3e43b6c9, "");
SYMBOL_CRC(phy_trigger_machine, 0x4bb07448, "");
SYMBOL_CRC(phy_ethtool_get_strings, 0x60bd7b8c, "");
SYMBOL_CRC(phy_ethtool_get_sset_count, 0xba57215f, "");
SYMBOL_CRC(phy_ethtool_get_stats, 0x148695f8, "");
SYMBOL_CRC(phy_start_cable_test, 0x145ee7a6, "");
SYMBOL_CRC(phy_start_cable_test_tdr, 0x2d5d2924, "");
SYMBOL_CRC(phy_config_aneg, 0xe3d36fdc, "");
SYMBOL_CRC(phy_inband_caps, 0xa15727fa, "_gpl");
SYMBOL_CRC(phy_config_inband, 0x6c35ddb8, "");
SYMBOL_CRC(_phy_start_aneg, 0x9292ebe5, "");
SYMBOL_CRC(phy_start_aneg, 0xaa33dd68, "");
SYMBOL_CRC(phy_ethtool_ksettings_set, 0xfa7241cb, "");
SYMBOL_CRC(phy_speed_down, 0xfd607fff, "_gpl");
SYMBOL_CRC(phy_speed_up, 0xaf94fb28, "_gpl");
SYMBOL_CRC(phy_start_machine, 0x82c8149c, "_gpl");
SYMBOL_CRC(phy_error, 0x6de726ea, "");
SYMBOL_CRC(phy_request_interrupt, 0x130d996c, "");
SYMBOL_CRC(phy_free_interrupt, 0x53cedf7c, "");
SYMBOL_CRC(phy_stop, 0x88e62ada, "");
SYMBOL_CRC(phy_start, 0x9a8dcc90, "");
SYMBOL_CRC(phy_mac_interrupt, 0x9738593f, "");
SYMBOL_CRC(phy_eee_tx_clock_stop_capable, 0x38d04da3, "_gpl");
SYMBOL_CRC(phy_eee_rx_clock_stop, 0x82d9463f, "_gpl");
SYMBOL_CRC(phy_init_eee, 0x5ed5ccc5, "");
SYMBOL_CRC(phy_get_eee_err, 0xed705e0f, "");
SYMBOL_CRC(phy_ethtool_get_eee, 0x3c81d72a, "");
SYMBOL_CRC(phy_ethtool_set_eee, 0xdeded7c3, "");
SYMBOL_CRC(phy_ethtool_set_wol, 0xa6914dcd, "");
SYMBOL_CRC(phy_ethtool_get_wol, 0x0d74e8cf, "");
SYMBOL_CRC(phy_ethtool_get_link_ksettings, 0xad4c5db5, "");
SYMBOL_CRC(phy_ethtool_set_link_ksettings, 0xb5d3cd2b, "");
SYMBOL_CRC(phy_ethtool_nway_reset, 0xa9fd2938, "");
SYMBOL_CRC(genphy_c45_pma_resume, 0xf26f9114, "_gpl");
SYMBOL_CRC(genphy_c45_pma_suspend, 0x57e89fb1, "_gpl");
SYMBOL_CRC(genphy_c45_pma_baset1_setup_master_slave, 0x969c929e, "_gpl");
SYMBOL_CRC(genphy_c45_pma_setup_forced, 0xf571993f, "_gpl");
SYMBOL_CRC(genphy_c45_an_config_aneg, 0xecc6e3cb, "_gpl");
SYMBOL_CRC(genphy_c45_an_disable_aneg, 0xa1c1c7da, "_gpl");
SYMBOL_CRC(genphy_c45_restart_aneg, 0xe1d21f05, "_gpl");
SYMBOL_CRC(genphy_c45_check_and_restart_aneg, 0x57eaf3c3, "_gpl");
SYMBOL_CRC(genphy_c45_aneg_done, 0x521220d9, "_gpl");
SYMBOL_CRC(genphy_c45_read_link, 0x2bc40f33, "_gpl");
SYMBOL_CRC(genphy_c45_read_lpa, 0x069f750d, "_gpl");
SYMBOL_CRC(genphy_c45_pma_baset1_read_master_slave, 0xbddaa073, "_gpl");
SYMBOL_CRC(genphy_c45_read_pma, 0xb8c2bac9, "_gpl");
SYMBOL_CRC(genphy_c45_read_mdix, 0x24278361, "_gpl");
SYMBOL_CRC(genphy_c45_read_eee_abilities, 0xb3e14313, "_gpl");
SYMBOL_CRC(genphy_c45_an_config_eee_aneg, 0x99c08092, "_gpl");
SYMBOL_CRC(genphy_c45_pma_baset1_read_abilities, 0x39213781, "_gpl");
SYMBOL_CRC(genphy_c45_pma_read_ext_abilities, 0x56b60722, "_gpl");
SYMBOL_CRC(genphy_c45_pma_read_abilities, 0xdaee2cc9, "_gpl");
SYMBOL_CRC(genphy_c45_baset1_read_status, 0xa871525c, "_gpl");
SYMBOL_CRC(genphy_c45_read_status, 0x85524c3f, "_gpl");
SYMBOL_CRC(genphy_c45_config_aneg, 0x25d3aab4, "_gpl");
SYMBOL_CRC(gen10g_config_aneg, 0x4cea0fa2, "_gpl");
SYMBOL_CRC(genphy_c45_loopback, 0x14061f18, "_gpl");
SYMBOL_CRC(genphy_c45_fast_retrain, 0xb92305ed, "_gpl");
SYMBOL_CRC(genphy_c45_plca_get_cfg, 0x6e2481c3, "_gpl");
SYMBOL_CRC(genphy_c45_plca_set_cfg, 0x0df616ed, "_gpl");
SYMBOL_CRC(genphy_c45_plca_get_status, 0x54c3759f, "_gpl");
SYMBOL_CRC(genphy_c45_eee_is_active, 0x6970da0a, "");
SYMBOL_CRC(genphy_c45_ethtool_get_eee, 0xd5f34340, "");
SYMBOL_CRC(genphy_c45_ethtool_set_eee, 0x6bbd0a9d, "");
SYMBOL_CRC(phy_speed_to_str, 0xe4b818c3, "_gpl");
SYMBOL_CRC(phy_duplex_to_str, 0x538d073d, "_gpl");
SYMBOL_CRC(phy_rate_matching_to_str, 0x59edfeb8, "_gpl");
SYMBOL_CRC(phy_interface_num_ports, 0x75c2741b, "_gpl");
SYMBOL_CRC(phy_lookup_setting, 0x06209f49, "_gpl");
SYMBOL_CRC(phy_set_max_speed, 0x7ff946c4, "");
SYMBOL_CRC(phy_resolve_aneg_pause, 0x093b1079, "_gpl");
SYMBOL_CRC(phy_resolve_aneg_linkmode, 0x2f3c4aa9, "_gpl");
SYMBOL_CRC(phy_check_downshift, 0x80210d48, "_gpl");
SYMBOL_CRC(__phy_read_mmd, 0xbc82902c, "");
SYMBOL_CRC(phy_read_mmd, 0x80f88a14, "");
SYMBOL_CRC(__phy_write_mmd, 0x8a9e5ca8, "");
SYMBOL_CRC(phy_write_mmd, 0xbac02917, "");
SYMBOL_CRC(__phy_package_read_mmd, 0xd799a01f, "");
SYMBOL_CRC(phy_package_read_mmd, 0x2aa47827, "");
SYMBOL_CRC(__phy_package_write_mmd, 0xc0e7a089, "");
SYMBOL_CRC(phy_package_write_mmd, 0x88bb67b3, "");
SYMBOL_CRC(phy_modify_changed, 0x2eb0a480, "_gpl");
SYMBOL_CRC(__phy_modify, 0x87dfd3e8, "_gpl");
SYMBOL_CRC(phy_modify, 0x594ec8fb, "_gpl");
SYMBOL_CRC(__phy_modify_mmd_changed, 0xefcfc2e6, "_gpl");
SYMBOL_CRC(phy_modify_mmd_changed, 0xb0ee80fc, "_gpl");
SYMBOL_CRC(__phy_modify_mmd, 0x7f6de904, "_gpl");
SYMBOL_CRC(phy_modify_mmd, 0x85b7c334, "_gpl");
SYMBOL_CRC(phy_save_page, 0xd6f84258, "_gpl");
SYMBOL_CRC(phy_select_page, 0x1df9aff9, "_gpl");
SYMBOL_CRC(phy_restore_page, 0x9757d349, "_gpl");
SYMBOL_CRC(phy_read_paged, 0x681ac6c1, "");
SYMBOL_CRC(phy_write_paged, 0x6c4a5ca5, "");
SYMBOL_CRC(phy_modify_paged_changed, 0x59ff6ec9, "");
SYMBOL_CRC(phy_modify_paged, 0xad9f21a1, "");
SYMBOL_CRC(phy_basic_features, 0xd48100b5, "_gpl");
SYMBOL_CRC(phy_basic_t1_features, 0xd0c31656, "_gpl");
SYMBOL_CRC(phy_basic_t1s_p2mp_features, 0xf1a5eed0, "_gpl");
SYMBOL_CRC(phy_gbit_features, 0x01b60fb7, "_gpl");
SYMBOL_CRC(phy_gbit_fibre_features, 0x134458cd, "_gpl");
SYMBOL_CRC(phy_10gbit_features, 0x7778b582, "_gpl");
SYMBOL_CRC(phy_basic_ports_array, 0x690f585e, "_gpl");
SYMBOL_CRC(phy_10_100_features_array, 0x7073c04f, "_gpl");
SYMBOL_CRC(phy_basic_t1_features_array, 0x7de39e07, "_gpl");
SYMBOL_CRC(phy_basic_t1s_p2mp_features_array, 0x2eca6a19, "_gpl");
SYMBOL_CRC(phy_gbit_features_array, 0x61f67c92, "_gpl");
SYMBOL_CRC(phy_10gbit_features_array, 0xeedd987e, "_gpl");
SYMBOL_CRC(phy_eee_cap1_features, 0xeb5c36fd, "_gpl");
SYMBOL_CRC(phy_eee_cap2_features, 0xc1e39790, "_gpl");
SYMBOL_CRC(phy_device_free, 0xe2750dd8, "");
SYMBOL_CRC(phy_register_fixup, 0x3cdd60b1, "");
SYMBOL_CRC(phy_register_fixup_for_uid, 0xe3bfaae5, "");
SYMBOL_CRC(phy_register_fixup_for_id, 0x586eba82, "");
SYMBOL_CRC(phy_unregister_fixup, 0xc633d82d, "");
SYMBOL_CRC(phy_unregister_fixup_for_uid, 0xd738ca1b, "");
SYMBOL_CRC(phy_unregister_fixup_for_id, 0x3efe1703, "");
SYMBOL_CRC(phy_device_create, 0x20625b76, "");
SYMBOL_CRC(fwnode_get_phy_id, 0xfd882eaf, "");
SYMBOL_CRC(get_phy_device, 0xc82b032d, "");
SYMBOL_CRC(phy_device_register, 0x113b0f55, "");
SYMBOL_CRC(phy_device_remove, 0xd93e66d8, "");
SYMBOL_CRC(phy_get_c45_ids, 0xe3fb7674, "");
SYMBOL_CRC(phy_find_first, 0x00f50d7f, "");
SYMBOL_CRC(phy_connect_direct, 0xf368cab4, "");
SYMBOL_CRC(phy_connect, 0x79bc79d8, "");
SYMBOL_CRC(phy_disconnect, 0xd6b7bb94, "");
SYMBOL_CRC(phy_init_hw, 0xee70dd8a, "");
SYMBOL_CRC(phy_attached_info, 0xfe2c9219, "");
SYMBOL_CRC(phy_attached_info_irq, 0xf285fc48, "");
SYMBOL_CRC(phy_attached_print, 0xedaac9e5, "");
SYMBOL_CRC(phy_sfp_connect_phy, 0xe834df3f, "");
SYMBOL_CRC(phy_sfp_disconnect_phy, 0x424f2d08, "");
SYMBOL_CRC(phy_sfp_attach, 0x394a1e11, "");
SYMBOL_CRC(phy_sfp_detach, 0xb6acaa13, "");
SYMBOL_CRC(phy_sfp_probe, 0x67a54d73, "");
SYMBOL_CRC(phy_attach_direct, 0xd73feb6e, "");
SYMBOL_CRC(phy_attach, 0xb0d27daa, "");
SYMBOL_CRC(phy_driver_is_genphy, 0x0dba3a81, "_gpl");
SYMBOL_CRC(phy_driver_is_genphy_10g, 0xd0c7239d, "_gpl");
SYMBOL_CRC(phy_package_join, 0x6e6c350d, "_gpl");
SYMBOL_CRC(of_phy_package_join, 0xc2ffb4e6, "_gpl");
SYMBOL_CRC(phy_package_leave, 0x8f71b437, "_gpl");
SYMBOL_CRC(devm_phy_package_join, 0x962648c4, "_gpl");
SYMBOL_CRC(devm_of_phy_package_join, 0x3d184d03, "_gpl");
SYMBOL_CRC(phy_detach, 0xdcdb735e, "");
SYMBOL_CRC(phy_suspend, 0xb78f1dc6, "");
SYMBOL_CRC(__phy_resume, 0x2fe18225, "");
SYMBOL_CRC(phy_resume, 0x17483b9a, "");
SYMBOL_CRC(phy_loopback, 0x159a44ad, "");
SYMBOL_CRC(phy_reset_after_clk_enable, 0x79b4c534, "");
SYMBOL_CRC(genphy_setup_forced, 0x39874728, "");
SYMBOL_CRC(genphy_read_master_slave, 0x95937db1, "");
SYMBOL_CRC(genphy_restart_aneg, 0x25f8a029, "");
SYMBOL_CRC(genphy_check_and_restart_aneg, 0xb61440f5, "");
SYMBOL_CRC(__genphy_config_aneg, 0xd6817005, "");
SYMBOL_CRC(genphy_c37_config_aneg, 0x3466b616, "");
SYMBOL_CRC(genphy_aneg_done, 0x4fb0c0d1, "");
SYMBOL_CRC(genphy_update_link, 0x1b338fe1, "");
SYMBOL_CRC(genphy_read_lpa, 0xcde5309e, "");
SYMBOL_CRC(genphy_read_status_fixed, 0xfd731aca, "");
SYMBOL_CRC(genphy_read_status, 0xc6497cb5, "");
SYMBOL_CRC(genphy_c37_read_status, 0x4b0b33c0, "");
SYMBOL_CRC(genphy_soft_reset, 0x2f7f251c, "");
SYMBOL_CRC(genphy_handle_interrupt_no_ack, 0xbdaf3bdc, "");
SYMBOL_CRC(genphy_read_abilities, 0x7ae34929, "");
SYMBOL_CRC(genphy_read_mmd_unsupported, 0x93d6eb88, "");
SYMBOL_CRC(genphy_write_mmd_unsupported, 0x42cc9998, "");
SYMBOL_CRC(genphy_suspend, 0x1e170729, "");
SYMBOL_CRC(genphy_resume, 0x33fc8776, "");
SYMBOL_CRC(genphy_loopback, 0x00c6d929, "");
SYMBOL_CRC(phy_remove_link_mode, 0x823d3d40, "");
SYMBOL_CRC(phy_advertise_supported, 0xe47d76fc, "");
SYMBOL_CRC(phy_advertise_eee_all, 0x08622605, "_gpl");
SYMBOL_CRC(phy_support_eee, 0xdef0ec08, "");
SYMBOL_CRC(phy_disable_eee, 0xde5d1098, "_gpl");
SYMBOL_CRC(phy_support_sym_pause, 0x5844700b, "");
SYMBOL_CRC(phy_support_asym_pause, 0x0344ebd7, "");
SYMBOL_CRC(phy_set_sym_pause, 0x2f800fd2, "");
SYMBOL_CRC(phy_set_asym_pause, 0xfed25ec0, "");
SYMBOL_CRC(phy_validate_pause, 0x2c253bfe, "");
SYMBOL_CRC(phy_get_pause, 0x907d839d, "");
SYMBOL_CRC(phy_get_internal_delay, 0x0c9b0dc7, "");
SYMBOL_CRC(phy_get_tx_amplitude_gain, 0x9a3ef949, "_gpl");
SYMBOL_CRC(fwnode_mdio_find_device, 0xd35c1848, "");
SYMBOL_CRC(fwnode_phy_find_device, 0x6cc3d794, "");
SYMBOL_CRC(device_phy_find_device, 0x1c9af1ba, "_gpl");
SYMBOL_CRC(fwnode_get_phy_node, 0x9430b265, "_gpl");
SYMBOL_CRC(phy_driver_register, 0x7346bfe8, "");
SYMBOL_CRC(phy_drivers_register, 0x676f3fc7, "");
SYMBOL_CRC(phy_driver_unregister, 0x6164175f, "");
SYMBOL_CRC(phy_drivers_unregister, 0x0645c84e, "");
SYMBOL_CRC(linkmode_resolve_pause, 0xd59a1587, "_gpl");
SYMBOL_CRC(linkmode_set_pause, 0xf4689d50, "_gpl");
SYMBOL_CRC(phy_link_topo_add_phy, 0x020486eb, "_gpl");
SYMBOL_CRC(phy_link_topo_del_phy, 0x5980cc41, "_gpl");
SYMBOL_CRC(mdiobus_register_device, 0xf559f2ca, "");
SYMBOL_CRC(mdiobus_unregister_device, 0xfd8db4c3, "");
SYMBOL_CRC(mdiobus_get_phy, 0x062633a4, "");
SYMBOL_CRC(mdiobus_is_registered_device, 0x767ea01b, "");
SYMBOL_CRC(mdiobus_alloc_size, 0x22d6e88d, "");
SYMBOL_CRC(mdio_find_bus, 0xc68d7a43, "");
SYMBOL_CRC(of_mdio_find_bus, 0x390957b0, "");
SYMBOL_CRC(mdiobus_scan_c22, 0x1289b739, "");
SYMBOL_CRC(__mdiobus_register, 0xf76e1eb8, "");
SYMBOL_CRC(mdiobus_unregister, 0x68f4bcfa, "");
SYMBOL_CRC(mdiobus_free, 0xff21121e, "");
SYMBOL_CRC(__mdiobus_read, 0x5bf5367b, "");
SYMBOL_CRC(__mdiobus_write, 0x02ca82d2, "");
SYMBOL_CRC(__mdiobus_modify_changed, 0x71a93c04, "_gpl");
SYMBOL_CRC(__mdiobus_c45_read, 0x38ea9c0c, "");
SYMBOL_CRC(__mdiobus_c45_write, 0x62d06050, "");
SYMBOL_CRC(mdiobus_read_nested, 0x03ee6408, "");
SYMBOL_CRC(mdiobus_read, 0x3fb853c5, "");
SYMBOL_CRC(mdiobus_c45_read, 0x73405ca7, "");
SYMBOL_CRC(mdiobus_c45_read_nested, 0xc8c4aec3, "");
SYMBOL_CRC(mdiobus_write_nested, 0x26f6f374, "");
SYMBOL_CRC(mdiobus_write, 0x3e9ed46a, "");
SYMBOL_CRC(mdiobus_c45_write, 0x4016a17b, "");
SYMBOL_CRC(mdiobus_c45_write_nested, 0x97846d15, "");
SYMBOL_CRC(__mdiobus_modify, 0x3cdf50eb, "_gpl");
SYMBOL_CRC(mdiobus_modify, 0x82fc94d4, "_gpl");
SYMBOL_CRC(mdiobus_c45_modify, 0xb121d194, "_gpl");
SYMBOL_CRC(mdiobus_modify_changed, 0x3bd907a0, "_gpl");
SYMBOL_CRC(mdiobus_c45_modify_changed, 0xa5ffd2cd, "_gpl");
SYMBOL_CRC(mdio_bus_type, 0xfc5b1a86, "");
SYMBOL_CRC(mdio_bus_exit, 0xfab30dc0, "_gpl");
SYMBOL_CRC(mdio_device_free, 0x7fa87a07, "");
SYMBOL_CRC(mdio_device_create, 0xdf94afee, "");
SYMBOL_CRC(mdio_device_register, 0x80dc74d1, "");
SYMBOL_CRC(mdio_device_remove, 0xf7db9d24, "");
SYMBOL_CRC(mdio_device_reset, 0xe717bc66, "");
SYMBOL_CRC(mdio_driver_register, 0xa3319659, "");
SYMBOL_CRC(mdio_driver_unregister, 0xd60882c6, "");
SYMBOL_CRC(swphy_validate_state, 0xe4e48b12, "_gpl");
SYMBOL_CRC(swphy_read_reg, 0x18e4f8aa, "_gpl");
SYMBOL_CRC(phy_led_trigger_change_speed, 0x51c20797, "_gpl");
SYMBOL_CRC(phy_led_triggers_register, 0x6b604cf2, "_gpl");
SYMBOL_CRC(phy_led_triggers_unregister, 0x8bc31dc5, "_gpl");
SYMBOL_CRC(oa_1000bt1_get_ethtool_cable_result_code, 0x2721b932, "_gpl");
SYMBOL_CRC(oa_1000bt1_get_tdr_distance, 0xa0fec1cc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfb8e6232, "sfp_bus_find_fwnode" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x35a169f0, "try_module_get" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x923ae8f4, "is_acpi_device_node" },
	{ 0x60ffcfec, "gpiod_put" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xc58919d7, "devm_kmalloc" },
	{ 0x939d6077, "of_node_put" },
	{ 0xb1809bfd, "of_property_read_variable_u32_array" },
	{ 0x59c58af1, "sysfs_create_file_ns" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0xbc98446f, "dev_set_name" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x7091822b, "trace_raw_output_prep" },
	{ 0x0f48bdeb, "device_match_of_node" },
	{ 0xbf20d5db, "ethtool_set_ethtool_phy_ops" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xc7be54d7, "bpf_trace_run6" },
	{ 0x9504df26, "irq_wake_thread" },
	{ 0x77e75be3, "sfp_bus_put" },
	{ 0x11740df1, "__trace_trigger_soft_disabled" },
	{ 0x3ae42b7d, "gpiod_set_value_cansleep" },
	{ 0x2eae3806, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x5b747ec2, "refcount_dec_and_mutex_lock" },
	{ 0x49467b36, "device_initialize" },
	{ 0x8c0215f2, "pm_system_wakeup" },
	{ 0xfc1acff8, "trace_event_raw_init" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x037a0cba, "kfree" },
	{ 0xa6ecff40, "of_get_parent" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xb500974e, "pcpu_hot" },
	{ 0xd7095f8e, "led_classdev_unregister" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd7b82ae2, "devm_gpiod_get_optional" },
	{ 0x4cdba8b5, "get_device" },
	{ 0x904e17b6, "of_get_next_available_child" },
	{ 0xde088771, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x5a427a0e, "devres_add" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x06d11488, "__bitmap_equal" },
	{ 0x107846b9, "trace_event_buffer_commit" },
	{ 0xcde9c809, "device_match_fwnode" },
	{ 0x3e6c8985, "device_set_node" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x070f7896, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x3f8d5b21, "pm_wakeup_dev_event" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x25ddc6ca, "put_device" },
	{ 0x3fc22acd, "sysfs_remove_file_ns" },
	{ 0x738803e6, "strnlen" },
	{ 0xcf0eaf3b, "device_property_read_u32_array" },
	{ 0xf9f40d90, "_dev_info" },
	{ 0x695ddb34, "module_put" },
	{ 0xd2466541, "sysfs_create_link" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x42948eb5, "of_get_child_by_name" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xff738d88, "phylib_stubs" },
	{ 0xe63409de, "of_match_device" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x66f13687, "perf_trace_run_bpf_submit" },
	{ 0x40f0683e, "reset_control_put" },
	{ 0xf243aa7a, "bus_unregister" },
	{ 0x2d5befcc, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x84f7e0b0, "bus_find_device" },
	{ 0x9d5d9d57, "device_add" },
	{ 0x5d28135a, "sysfs_remove_link" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x6c18303b, "of_property_read_bool" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0xb04a43ad, "__xa_alloc_cyclic" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x58169218, "vprintk" },
	{ 0xfb744389, "__devres_alloc_node" },
	{ 0x8a62b81b, "sfp_upstream_stop" },
	{ 0x09268685, "trace_event_reg" },
	{ 0x53389f74, "mutex_is_locked" },
	{ 0xbcd51c7f, "is_acpi_data_node" },
	{ 0x85ec9b02, "driver_unregister" },
	{ 0xea4a09cb, "mod_delayed_work_on" },
	{ 0x8cac23dd, "of_property_read_string" },
	{ 0xee76352f, "sfp_bus_add_upstream" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x0e68df24, "of_find_property" },
	{ 0xccf52bc9, "sfp_upstream_start" },
	{ 0xca799b31, "class_unregister" },
	{ 0xc03a5fd1, "led_trigger_unregister" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x4de1e759, "led_classdev_register_ext" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x61b4f314, "device_register" },
	{ 0x10a21318, "device_del" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0xf81a2b39, "device_bind_driver" },
	{ 0xc5e4bb2b, "_dev_warn" },
	{ 0xb27df94d, "of_device_uevent_modalias" },
	{ 0xa29d4cf8, "device_link_del" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x447059ce, "fwnode_handle_get" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x8d105634, "netdev_alert" },
	{ 0xd729bdd1, "ethnl_cable_test_alloc" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x0745a981, "xa_erase" },
	{ 0xf7220721, "fwnode_find_reference" },
	{ 0x64517007, "fwnode_property_read_string" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x4e578a2f, "trace_event_buffer_reserve" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x427f141d, "linkwatch_fire_event" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc33380b0, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1d3c31b4, "__reset_control_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xae714d6b, "netif_carrier_off" },
	{ 0xf613889e, "device_match_name" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x1ffcfae6, "led_trigger_register" },
	{ 0x0dce342d, "netif_carrier_on" },
	{ 0xefc07ce6, "gpiod_get_optional" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x6cba64b1, "mdiobus_setup_mdiodev_from_board_info" },
	{ 0xe36606ee, "sysfs_create_link_nowarn" },
	{ 0x47ade33d, "of_node_name_eq" },
	{ 0x7727c3ac, "dev_err_probe" },
	{ 0x26a36f30, "ethnl_cable_test_finished" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x3edb086b, "pse_control_put" },
	{ 0x0141edf4, "led_trigger_event" },
	{ 0x58763fcf, "device_release_driver" },
	{ 0x5a6ec8c8, "ethnl_cable_test_free" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x335ae13b, "gpiod_set_consumer_name" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xbc249a61, "device_link_add" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0xe5515291, "driver_register" },
	{ 0xfea4a621, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x40934db0, "__dev_fwnode" },
	{ 0x46534646, "kmalloc_caches" },
	{ 0x17751bd1, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xb709e456, "bus_register" },
	{ 0xf0910075, "sfp_bus_del_upstream" },
	{ 0x761ae0d8, "class_find_device" },
	{ 0xee11a538, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "73A98EA01F7DE9B8B2445F7");
