#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(smsc_phy_config_intr, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_handle_interrupt, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_config_init, "_gpl", "");
KSYMTAB_FUNC(lan87xx_read_status, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_get_tunable, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_set_tunable, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_probe, "_gpl", "");

SYMBOL_CRC(smsc_phy_config_intr, 0xf2dec78b, "_gpl");
SYMBOL_CRC(smsc_phy_handle_interrupt, 0x69917a50, "_gpl");
SYMBOL_CRC(smsc_phy_config_init, 0x19a3d3f7, "_gpl");
SYMBOL_CRC(lan87xx_read_status, 0xc29e8306, "_gpl");
SYMBOL_CRC(smsc_phy_get_tunable, 0xfe0ca8d1, "_gpl");
SYMBOL_CRC(smsc_phy_set_tunable, 0xd866ccd5, "_gpl");
SYMBOL_CRC(smsc_phy_probe, 0xe495971e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3fb853c5, "mdiobus_read" },
	{ 0x4bb07448, "phy_trigger_machine" },
	{ 0x6de726ea, "phy_error" },
	{ 0xc6497cb5, "genphy_read_status" },
	{ 0x3e9ed46a, "mdiobus_write" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc58919d7, "devm_kmalloc" },
	{ 0x152ae45d, "device_property_present" },
	{ 0x4a9f6cc3, "devm_clk_get_optional_enabled_with_rate" },
	{ 0x7727c3ac, "dev_err_probe" },
	{ 0x676f3fc7, "phy_drivers_register" },
	{ 0x80f88a14, "phy_read_mmd" },
	{ 0xd6817005, "__genphy_config_aneg" },
	{ 0x594ec8fb, "phy_modify" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x2f7f251c, "genphy_soft_reset" },
	{ 0x0645c84e, "phy_drivers_unregister" },
	{ 0xf102732a, "crc16" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xbac02917, "phy_write_mmd" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xde088771, "__dynamic_dev_dbg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf9f40d90, "_dev_info" },
	{ 0x1e170729, "genphy_suspend" },
	{ 0x33fc8776, "genphy_resume" },
	{ 0xee11a538, "module_layout" },
};

MODULE_INFO(depends, "libphy");

MODULE_ALIAS("mdio:0000000000000111110000001010????");
MODULE_ALIAS("mdio:0000000000000111110000001011????");
MODULE_ALIAS("mdio:0000000000000111110000001100????");
MODULE_ALIAS("mdio:0000000000000111110000001101????");
MODULE_ALIAS("mdio:0000000000000111110000001111????");
MODULE_ALIAS("mdio:0000000000000111110000010001????");
MODULE_ALIAS("mdio:0000000000000111110000010011??0?");

MODULE_INFO(srcversion, "FD064005EC667A6BA9923A8");
