#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(p54_parse_eeprom, "_gpl", "");
KSYMTAB_FUNC(p54_read_eeprom, "_gpl", "");
KSYMTAB_FUNC(p54_parse_firmware, "_gpl", "");
KSYMTAB_FUNC(p54_free_skb, "_gpl", "");
KSYMTAB_FUNC(p54_rx, "_gpl", "");
KSYMTAB_FUNC(p54_init_common, "_gpl", "");
KSYMTAB_FUNC(p54_register_common, "_gpl", "");
KSYMTAB_FUNC(p54_free_common, "_gpl", "");
KSYMTAB_FUNC(p54_unregister_common, "_gpl", "");

SYMBOL_CRC(p54_parse_eeprom, 0x292fcb74, "_gpl");
SYMBOL_CRC(p54_read_eeprom, 0x92f3cb38, "_gpl");
SYMBOL_CRC(p54_parse_firmware, 0x353b026b, "_gpl");
SYMBOL_CRC(p54_free_skb, 0x37669e19, "_gpl");
SYMBOL_CRC(p54_rx, 0x686efc3d, "_gpl");
SYMBOL_CRC(p54_init_common, 0xda58066b, "_gpl");
SYMBOL_CRC(p54_register_common, 0x14a627a9, "_gpl");
SYMBOL_CRC(p54_free_common, 0x0221c06f, "_gpl");
SYMBOL_CRC(p54_unregister_common, 0x40cbf442, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe55c56cd, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x3e0e78bf, "consume_skb" },
	{ 0x8235805b, "memmove" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc3ffe85f, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x51f2f092, "ieee80211_free_hw" },
	{ 0x2e60bace, "memcpy" },
	{ 0xcccdeb54, "ieee80211_beacon_loss" },
	{ 0xbd5994d0, "regulatory_hint" },
	{ 0x037a0cba, "kfree" },
	{ 0xd7095f8e, "led_classdev_unregister" },
	{ 0x2e69f7fa, "ieee80211_register_hw" },
	{ 0x435929a1, "ieee80211_emulate_change_chanctx" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x4ed35484, "ieee80211_get_hdrlen_from_skb" },
	{ 0xdfa77710, "__ieee80211_get_radio_led_name" },
	{ 0xa8ec7d34, "crc_ccitt" },
	{ 0xb1662107, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x12d51776, "__ieee80211_get_tx_led_name" },
	{ 0x4187ffe8, "skb_queue_purge_reason" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xdea3eeb9, "ieee80211_handle_wake_tx_queue" },
	{ 0x070f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xaac48d13, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x360e6c3f, "__kmalloc_large_noprof" },
	{ 0x738803e6, "strnlen" },
	{ 0xcaf72b79, "__ieee80211_get_rx_led_name" },
	{ 0xf9f40d90, "_dev_info" },
	{ 0x16a6e322, "skb_queue_tail" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0xcdd34ef7, "ieee80211_queue_delayed_work" },
	{ 0x2d5befcc, "_dev_err" },
	{ 0xaacc9e27, "sort" },
	{ 0x3e6017df, "skb_pull" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xacac5bc4, "skb_push" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x016dabf0, "ieee80211_free_txskb" },
	{ 0x4de1e759, "led_classdev_register_ext" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x7855114a, "ieee80211_alloc_hw_nm" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xc5e4bb2b, "_dev_warn" },
	{ 0xccf2af2d, "ieee80211_emulate_add_chanctx" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7682717a, "kmemdup_noprof" },
	{ 0x5ed6d7ee, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xa9cc5a58, "ieee80211_stop_queue" },
	{ 0x3dd66e5b, "__netdev_alloc_skb" },
	{ 0x74bebf5b, "skb_trim" },
	{ 0x6ef106e9, "skb_unlink" },
	{ 0x2f394515, "wiphy_rfkill_set_hw_state_reason" },
	{ 0xb4b6b053, "__ieee80211_get_assoc_led_name" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb4dcb7ed, "param_ops_bool" },
	{ 0x6cc82df7, "ieee80211_unregister_hw" },
	{ 0xc33380b0, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x28e83215, "ieee80211_beacon_get_tim" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xc32abbf4, "dev_kfree_skb_any_reason" },
	{ 0xd9178d6c, "_dev_printk" },
	{ 0x91962c6b, "ieee80211_emulate_remove_chanctx" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x46534646, "kmalloc_caches" },
	{ 0x0500abb9, "ieee80211_rx_irqsafe" },
	{ 0x5c27d043, "skb_queue_head" },
	{ 0xee11a538, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "C1FE7481AB18C588612452C");
