#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rtw89_core_fill_txdesc, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_v1, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_v2, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_fwcmd_v1, "", "");
KSYMTAB_FUNC(rtw89_core_fill_txdesc_fwcmd_v2, "", "");
KSYMTAB_FUNC(rtw89_core_query_rxdesc, "", "");
KSYMTAB_FUNC(rtw89_core_query_rxdesc_v2, "", "");
KSYMTAB_FUNC(rtw89_core_rx, "", "");
KSYMTAB_FUNC(rtw89_core_napi_start, "", "");
KSYMTAB_FUNC(rtw89_core_napi_stop, "", "");
KSYMTAB_FUNC(rtw89_core_napi_init, "", "");
KSYMTAB_FUNC(rtw89_core_napi_deinit, "", "");
KSYMTAB_FUNC(rtw89_check_quirks, "", "");
KSYMTAB_FUNC(rtw89_core_init, "", "");
KSYMTAB_FUNC(rtw89_core_deinit, "", "");
KSYMTAB_FUNC(rtw89_chip_info_setup, "", "");
KSYMTAB_FUNC(rtw89_core_register, "", "");
KSYMTAB_FUNC(rtw89_core_unregister, "", "");
KSYMTAB_FUNC(rtw89_alloc_ieee80211_hw, "", "");
KSYMTAB_FUNC(rtw89_free_ieee80211_hw, "", "");
KSYMTAB_DATA(rtw89_ops, "", "");
KSYMTAB_FUNC(rtw89_mac_get_err_status, "", "");
KSYMTAB_FUNC(rtw89_mac_set_err_status, "", "");
KSYMTAB_DATA(rtw89_mac_size, "", "");
KSYMTAB_FUNC(rtw89_mac_stop_sch_tx, "", "");
KSYMTAB_FUNC(rtw89_mac_stop_sch_tx_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_resume_sch_tx, "", "");
KSYMTAB_FUNC(rtw89_mac_resume_sch_tx_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_enable_bb_rf, "", "");
KSYMTAB_FUNC(rtw89_mac_disable_bb_rf, "", "");
KSYMTAB_FUNC(rtw89_mac_coex_init, "", "");
KSYMTAB_FUNC(rtw89_mac_coex_init_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_gnt, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_gnt_v1, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ctrl_path, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ctrl_path_v1, "", "");
KSYMTAB_DATA(rtw89_mac_gen_ax, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_gnt_v2, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_ctrl_path_v2, "", "");
KSYMTAB_FUNC(rtw89_mac_stop_sch_tx_v2, "", "");
KSYMTAB_FUNC(rtw89_mac_resume_sch_tx_v2, "", "");
KSYMTAB_FUNC(rtw89_mac_cfg_phy_rpt_be, "", "");
KSYMTAB_DATA(rtw89_mac_gen_be, "", "");
KSYMTAB_FUNC(rtw89_phy_get_txsc, "", "");
KSYMTAB_FUNC(rtw89_phy_get_txsb, "", "");
KSYMTAB_FUNC(rtw89_phy_read_rf, "", "");
KSYMTAB_FUNC(rtw89_phy_read_rf_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_read_rf_v2, "", "");
KSYMTAB_FUNC(rtw89_phy_write_rf, "", "");
KSYMTAB_FUNC(rtw89_phy_write_rf_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_write_rf_v2, "", "");
KSYMTAB_FUNC(rtw89_phy_config_rf_reg_v1, "", "");
KSYMTAB_FUNC(rtw89_phy_write32_idx, "", "");
KSYMTAB_FUNC(rtw89_phy_write32_idx_set, "", "");
KSYMTAB_FUNC(rtw89_phy_write32_idx_clr, "", "");
KSYMTAB_FUNC(rtw89_phy_read32_idx, "", "");
KSYMTAB_FUNC(rtw89_phy_set_phy_regs, "", "");
KSYMTAB_FUNC(rtw89_phy_write_reg3_tbl, "", "");
KSYMTAB_FUNC(rtw89_phy_ant_gain_pwr_offset, "", "");
KSYMTAB_FUNC(rtw89_phy_load_txpwr_byrate, "", "");
KSYMTAB_FUNC(rtw89_phy_read_txpwr_limit, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_pre_ntfy_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_tssi_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_iqk_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_dpk_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_txgapk_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_dack_and_wait, "", "");
KSYMTAB_FUNC(rtw89_phy_rfk_rxdck_and_wait, "", "");
KSYMTAB_FUNC(rtw89_rfk_chan_lookup, "", "");
KSYMTAB_FUNC(rtw89_rfk_parser, "", "");
KSYMTAB_FUNC(rtw89_phy_tssi_ctrl_set_bandedge_cfg, "", "");
KSYMTAB_FUNC(rtw89_encode_chan_idx, "", "");
KSYMTAB_FUNC(rtw89_decode_chan_idx, "", "");
KSYMTAB_FUNC(rtw89_phy_get_kpath, "", "");
KSYMTAB_FUNC(rtw89_phy_get_syn_sel, "", "");
KSYMTAB_DATA(rtw89_phy_gen_ax, "", "");
KSYMTAB_DATA(rtw89_phy_gen_be, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_dctl_sec_cam_v1, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_dctl_sec_cam_v2, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_default_dmac_tbl_v2, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_ba_cam, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_ba_cam_v1, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_default_cmac_tbl, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_default_cmac_tbl_g7, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_assoc_cmac_tbl, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_assoc_cmac_tbl_g7, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_ampdu_cmac_tbl_g7, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_update_beacon, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_update_beacon_be, "", "");
KSYMTAB_FUNC(rtw89_fw_h2c_rf_ntfy_mcc, "", "");
KSYMTAB_FUNC(rtw89_read_efuse_ver, "", "");
KSYMTAB_FUNC(rtw89_btc_set_policy, "", "");
KSYMTAB_FUNC(rtw89_btc_set_policy_v1, "", "");
KSYMTAB_FUNC(rtw89_btc_ntfy_wl_rfk, "", "");
KSYMTAB_FUNC(__rtw89_mgnt_chan_get, "", "");
KSYMTAB_FUNC(rtw89_ser_notify, "", "");
KSYMTAB_FUNC(rtw89_linear_2_db, "", "");
KSYMTAB_FUNC(rtw89_db_2_linear, "", "");

SYMBOL_CRC(rtw89_core_fill_txdesc, 0x2cabbefd, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_v1, 0xc113a402, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_v2, 0x54dd3390, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_fwcmd_v1, 0x5a4f8f68, "");
SYMBOL_CRC(rtw89_core_fill_txdesc_fwcmd_v2, 0xcf8118fa, "");
SYMBOL_CRC(rtw89_core_query_rxdesc, 0x6d7a8a47, "");
SYMBOL_CRC(rtw89_core_query_rxdesc_v2, 0x62117c75, "");
SYMBOL_CRC(rtw89_core_rx, 0xd67eb712, "");
SYMBOL_CRC(rtw89_core_napi_start, 0xb4297f8f, "");
SYMBOL_CRC(rtw89_core_napi_stop, 0x234dba22, "");
SYMBOL_CRC(rtw89_core_napi_init, 0xfbd6b36e, "");
SYMBOL_CRC(rtw89_core_napi_deinit, 0x0076629f, "");
SYMBOL_CRC(rtw89_check_quirks, 0x2581d910, "");
SYMBOL_CRC(rtw89_core_init, 0x1fb3668a, "");
SYMBOL_CRC(rtw89_core_deinit, 0x73d743fb, "");
SYMBOL_CRC(rtw89_chip_info_setup, 0xee8d90f9, "");
SYMBOL_CRC(rtw89_core_register, 0x25a04b44, "");
SYMBOL_CRC(rtw89_core_unregister, 0x8181551f, "");
SYMBOL_CRC(rtw89_alloc_ieee80211_hw, 0x364daca6, "");
SYMBOL_CRC(rtw89_free_ieee80211_hw, 0x9a881cd8, "");
SYMBOL_CRC(rtw89_ops, 0xf9c9b29d, "");
SYMBOL_CRC(rtw89_mac_get_err_status, 0x49d5ed11, "");
SYMBOL_CRC(rtw89_mac_set_err_status, 0xc7527224, "");
SYMBOL_CRC(rtw89_mac_size, 0x8042eefb, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx, 0x7d8f10b5, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx_v1, 0xa32c0c5c, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx, 0x70930a48, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx_v1, 0x0e6eb613, "");
SYMBOL_CRC(rtw89_mac_enable_bb_rf, 0x69f266ce, "");
SYMBOL_CRC(rtw89_mac_disable_bb_rf, 0xe4405609, "");
SYMBOL_CRC(rtw89_mac_coex_init, 0xd3bc257d, "");
SYMBOL_CRC(rtw89_mac_coex_init_v1, 0xd170659b, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt, 0xa0e28a4a, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt_v1, 0x5956c773, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path, 0xbb15bd43, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path_v1, 0xcfa34539, "");
SYMBOL_CRC(rtw89_mac_gen_ax, 0x71a88c12, "");
SYMBOL_CRC(rtw89_mac_cfg_gnt_v2, 0xbe9c39f9, "");
SYMBOL_CRC(rtw89_mac_cfg_ctrl_path_v2, 0x030779b9, "");
SYMBOL_CRC(rtw89_mac_stop_sch_tx_v2, 0x5ac29e50, "");
SYMBOL_CRC(rtw89_mac_resume_sch_tx_v2, 0x9df8b16b, "");
SYMBOL_CRC(rtw89_mac_cfg_phy_rpt_be, 0x37a5e2cb, "");
SYMBOL_CRC(rtw89_mac_gen_be, 0x19f29175, "");
SYMBOL_CRC(rtw89_phy_get_txsc, 0xba92f007, "");
SYMBOL_CRC(rtw89_phy_get_txsb, 0xd7ffc593, "");
SYMBOL_CRC(rtw89_phy_read_rf, 0x2db907c9, "");
SYMBOL_CRC(rtw89_phy_read_rf_v1, 0x7c9004ad, "");
SYMBOL_CRC(rtw89_phy_read_rf_v2, 0x6260c50b, "");
SYMBOL_CRC(rtw89_phy_write_rf, 0x3949afdf, "");
SYMBOL_CRC(rtw89_phy_write_rf_v1, 0xf9b6bd52, "");
SYMBOL_CRC(rtw89_phy_write_rf_v2, 0xf5573dcc, "");
SYMBOL_CRC(rtw89_phy_config_rf_reg_v1, 0x41978ae4, "");
SYMBOL_CRC(rtw89_phy_write32_idx, 0x94e6c535, "");
SYMBOL_CRC(rtw89_phy_write32_idx_set, 0x311c94ce, "");
SYMBOL_CRC(rtw89_phy_write32_idx_clr, 0xe6e234b7, "");
SYMBOL_CRC(rtw89_phy_read32_idx, 0x2f0b4731, "");
SYMBOL_CRC(rtw89_phy_set_phy_regs, 0xae3be850, "");
SYMBOL_CRC(rtw89_phy_write_reg3_tbl, 0xae3d377d, "");
SYMBOL_CRC(rtw89_phy_ant_gain_pwr_offset, 0x4d8ecdc6, "");
SYMBOL_CRC(rtw89_phy_load_txpwr_byrate, 0xc5241040, "");
SYMBOL_CRC(rtw89_phy_read_txpwr_limit, 0xbd9418c6, "");
SYMBOL_CRC(rtw89_phy_rfk_pre_ntfy_and_wait, 0x9f390d91, "");
SYMBOL_CRC(rtw89_phy_rfk_tssi_and_wait, 0x2b8a29d6, "");
SYMBOL_CRC(rtw89_phy_rfk_iqk_and_wait, 0x3dcb93b3, "");
SYMBOL_CRC(rtw89_phy_rfk_dpk_and_wait, 0x679d2449, "");
SYMBOL_CRC(rtw89_phy_rfk_txgapk_and_wait, 0x31f17389, "");
SYMBOL_CRC(rtw89_phy_rfk_dack_and_wait, 0xe1e43214, "");
SYMBOL_CRC(rtw89_phy_rfk_rxdck_and_wait, 0xe6598df1, "");
SYMBOL_CRC(rtw89_rfk_chan_lookup, 0x0ca57582, "");
SYMBOL_CRC(rtw89_rfk_parser, 0xb5b56868, "");
SYMBOL_CRC(rtw89_phy_tssi_ctrl_set_bandedge_cfg, 0x7e06a405, "");
SYMBOL_CRC(rtw89_encode_chan_idx, 0x581f5930, "");
SYMBOL_CRC(rtw89_decode_chan_idx, 0x725d46ab, "");
SYMBOL_CRC(rtw89_phy_get_kpath, 0x4aca5038, "");
SYMBOL_CRC(rtw89_phy_get_syn_sel, 0xfc9e7219, "");
SYMBOL_CRC(rtw89_phy_gen_ax, 0x4d0fefc9, "");
SYMBOL_CRC(rtw89_phy_gen_be, 0x009979be, "");
SYMBOL_CRC(rtw89_fw_h2c_dctl_sec_cam_v1, 0xef804428, "");
SYMBOL_CRC(rtw89_fw_h2c_dctl_sec_cam_v2, 0xbb752a25, "");
SYMBOL_CRC(rtw89_fw_h2c_default_dmac_tbl_v2, 0x9755eb9c, "");
SYMBOL_CRC(rtw89_fw_h2c_ba_cam, 0x4d4784d3, "");
SYMBOL_CRC(rtw89_fw_h2c_ba_cam_v1, 0x3cc15660, "");
SYMBOL_CRC(rtw89_fw_h2c_default_cmac_tbl, 0x2781e06e, "");
SYMBOL_CRC(rtw89_fw_h2c_default_cmac_tbl_g7, 0x3cc4acca, "");
SYMBOL_CRC(rtw89_fw_h2c_assoc_cmac_tbl, 0x1056a2c3, "");
SYMBOL_CRC(rtw89_fw_h2c_assoc_cmac_tbl_g7, 0x379c083e, "");
SYMBOL_CRC(rtw89_fw_h2c_ampdu_cmac_tbl_g7, 0x0186d799, "");
SYMBOL_CRC(rtw89_fw_h2c_update_beacon, 0x0e1b21e2, "");
SYMBOL_CRC(rtw89_fw_h2c_update_beacon_be, 0xb5ff9bdd, "");
SYMBOL_CRC(rtw89_fw_h2c_rf_ntfy_mcc, 0x07a496bf, "");
SYMBOL_CRC(rtw89_read_efuse_ver, 0x823e3aff, "");
SYMBOL_CRC(rtw89_btc_set_policy, 0x295f18a7, "");
SYMBOL_CRC(rtw89_btc_set_policy_v1, 0xf0bb6726, "");
SYMBOL_CRC(rtw89_btc_ntfy_wl_rfk, 0xd50f68af, "");
SYMBOL_CRC(__rtw89_mgnt_chan_get, 0x56f8ed93, "");
SYMBOL_CRC(rtw89_ser_notify, 0x8317ea1e, "");
SYMBOL_CRC(rtw89_linear_2_db, 0x8b2996f1, "");
SYMBOL_CRC(rtw89_db_2_linear, 0xe44a7282, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6f296547, "ieee80211_stop_tx_ba_session" },
	{ 0x70e3fb9f, "ieee80211_gtk_rekey_notify" },
	{ 0x4e30ddf1, "device_set_wakeup_enable" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x617a2ac7, "ieee80211_connection_loss" },
	{ 0x04d82296, "ieee80211_report_wowlan_wakeup" },
	{ 0xd0e9fb09, "release_firmware" },
	{ 0x923ae8f4, "is_acpi_device_node" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x157028d2, "__ieee80211_schedule_txq" },
	{ 0x127d5258, "ieee80211_txq_get_depth" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x1be2700c, "cfg80211_bss_iter" },
	{ 0xe55c56cd, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x3e0e78bf, "consume_skb" },
	{ 0x8235805b, "memmove" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x51f2f092, "ieee80211_free_hw" },
	{ 0x8432181a, "ieee80211_probereq_get" },
	{ 0xe919d296, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xd1dec0fa, "request_firmware" },
	{ 0xe694c912, "ieee80211_iterate_stations_atomic" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb2951093, "ieee80211_start_tx_ba_session" },
	{ 0x2e60bace, "memcpy" },
	{ 0xbd5994d0, "regulatory_hint" },
	{ 0x037a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xa5f74759, "ieee80211_nullfunc_get" },
	{ 0xb500974e, "pcpu_hot" },
	{ 0x83bca6be, "ieee80211_pspoll_get" },
	{ 0x2e69f7fa, "ieee80211_register_hw" },
	{ 0x435929a1, "ieee80211_emulate_change_chanctx" },
	{ 0x9fd6092c, "netif_napi_add_weight_locked" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xa1c83313, "ieee80211_restart_hw" },
	{ 0x603f1f33, "atomic64_inc_return_cx8" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x826f5856, "pskb_expand_head" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0xbc4e2679, "ieee80211_find_sta" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xcce27038, "ieee80211_get_key_rx_seq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x61e94681, "ieee80211_sta_uapsd_trigger" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xe2374320, "__napi_schedule" },
	{ 0x360e6c3f, "__kmalloc_large_noprof" },
	{ 0xb9784e55, "ieee80211_set_key_rx_seq" },
	{ 0xf9f40d90, "_dev_info" },
	{ 0x16a6e322, "skb_queue_tail" },
	{ 0xded1373d, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x38a3c8dd, "wiphy_to_ieee80211_hw" },
	{ 0x519b67cd, "ieee80211_gtk_rekey_add" },
	{ 0xcdd34ef7, "ieee80211_queue_delayed_work" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x2d5befcc, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x7505bdef, "memchr_inv" },
	{ 0x3939f8f0, "rfkill_pause_polling" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbfa0eae4, "sk_skb_reason_drop" },
	{ 0xc66ff12d, "ieee80211_next_txq" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xb9168c5e, "ieee80211_remain_on_channel_expired" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xacac5bc4, "skb_push" },
	{ 0x4fa52618, "napi_enable" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xadb0efb2, "seq_putc" },
	{ 0xc8742a95, "ieee80211_sta_pspoll" },
	{ 0xdcc3e910, "ieee80211_wake_queues" },
	{ 0x25b53a07, "free_netdev" },
	{ 0xea4a09cb, "mod_delayed_work_on" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5152e605, "memcmp" },
	{ 0x0abc4956, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x016dabf0, "ieee80211_free_txskb" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xaa4c992e, "dev_coredumpv" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x7855114a, "ieee80211_alloc_hw_nm" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x7e9d6a0f, "ieee80211_tx_dequeue" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x2bc95bd4, "memset" },
	{ 0xc5e4bb2b, "_dev_warn" },
	{ 0xccf2af2d, "ieee80211_emulate_add_chanctx" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7682717a, "kmemdup_noprof" },
	{ 0x5ed6d7ee, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x3dd66e5b, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xab38f7a2, "ieee80211_ready_on_channel" },
	{ 0xf966e3b8, "ieee80211_stop_queues" },
	{ 0x74bebf5b, "skb_trim" },
	{ 0x6ef106e9, "skb_unlink" },
	{ 0x703e0cfd, "__netif_napi_del_locked" },
	{ 0x2f394515, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x1b772d87, "wiphy_rfkill_start_polling" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x4bb46416, "alloc_netdev_dummy" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x2e097534, "ieee80211_scan_completed" },
	{ 0x14f3d59d, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb4dcb7ed, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6580f998, "acpi_evaluate_object" },
	{ 0x6cc82df7, "ieee80211_unregister_hw" },
	{ 0xc1eaf630, "seq_write" },
	{ 0xc33380b0, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xa6e36705, "vzalloc_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x384785e1, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x28e83215, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x9d1539c2, "skb_copy" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0x23026b4b, "cfg80211_chandef_create" },
	{ 0x08b8852f, "ieee80211_cqm_rssi_notify" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x4ab04dbd, "ieee80211_queue_work" },
	{ 0x37444b3e, "napi_schedule_prep" },
	{ 0xd0d8621b, "strlen" },
	{ 0x170f2488, "napi_disable" },
	{ 0x0b67e7d9, "ieee80211_sta_ps_transition" },
	{ 0xc32abbf4, "dev_kfree_skb_any_reason" },
	{ 0x91962c6b, "ieee80211_emulate_remove_chanctx" },
	{ 0xf9a482f9, "msleep" },
	{ 0x050877b9, "dmi_first_match" },
	{ 0x6776093b, "atomic64_set_cx8" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x46534646, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x92b57248, "flush_work" },
	{ 0xbf8b9438, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xee11a538, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211,rfkill");


MODULE_INFO(srcversion, "CAF7692A57BCB507CFB06ED");
