#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cxgbi_device_portmap_create, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_portmap_cleanup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_register, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_unregister, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_unregister_all, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_lldev, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_netdev, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_netdev_rcu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_hbas_remove, "_gpl", "");
KSYMTAB_FUNC(cxgbi_hbas_add, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_free_cpl_skbs, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_established, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_closed, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_fail_act_open, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_act_open_req_arp_failure, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_abort_rpl, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_peer_close, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_close_conn_rpl, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_wr_ack, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_select_mss, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_skb_entail, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_purge_wr_queue, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_check_wr_invariants, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ddp_set_one_ppod, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ddp_ppm_setup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_parse_pdu_itt, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_tx_open, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_pdu_ready, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_alloc_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_init_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_xmit_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_cleanup_task, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_conn_stats, "_gpl", "");
KSYMTAB_FUNC(cxgbi_set_conn_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_ep_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_create_conn, "_gpl", "");
KSYMTAB_FUNC(cxgbi_bind_conn, "_gpl", "");
KSYMTAB_FUNC(cxgbi_create_session, "_gpl", "");
KSYMTAB_FUNC(cxgbi_destroy_session, "_gpl", "");
KSYMTAB_FUNC(cxgbi_set_host_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_host_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_connect, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_poll, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_disconnect, "_gpl", "");
KSYMTAB_FUNC(cxgbi_iscsi_init, "_gpl", "");
KSYMTAB_FUNC(cxgbi_iscsi_cleanup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_attr_is_visible, "_gpl", "");

SYMBOL_CRC(cxgbi_device_portmap_create, 0x70b4651a, "_gpl");
SYMBOL_CRC(cxgbi_device_portmap_cleanup, 0x49c1acd5, "_gpl");
SYMBOL_CRC(cxgbi_device_register, 0x269d6277, "_gpl");
SYMBOL_CRC(cxgbi_device_unregister, 0x04276a4f, "_gpl");
SYMBOL_CRC(cxgbi_device_unregister_all, 0x7fdb6004, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_lldev, 0x7d4cf95b, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_netdev, 0xd1d78701, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_netdev_rcu, 0x5c1001ae, "_gpl");
SYMBOL_CRC(cxgbi_hbas_remove, 0x2bf4af94, "_gpl");
SYMBOL_CRC(cxgbi_hbas_add, 0x8277fdd4, "_gpl");
SYMBOL_CRC(cxgbi_sock_free_cpl_skbs, 0xac71b682, "_gpl");
SYMBOL_CRC(cxgbi_sock_established, 0x903d4ed5, "_gpl");
SYMBOL_CRC(cxgbi_sock_closed, 0x019d8c2d, "_gpl");
SYMBOL_CRC(cxgbi_sock_fail_act_open, 0xb8447afe, "_gpl");
SYMBOL_CRC(cxgbi_sock_act_open_req_arp_failure, 0x32af6829, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_abort_rpl, 0xc639e2fa, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_peer_close, 0x11d731f4, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_close_conn_rpl, 0x3b2b980d, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_wr_ack, 0x629df115, "_gpl");
SYMBOL_CRC(cxgbi_sock_select_mss, 0x7d217696, "_gpl");
SYMBOL_CRC(cxgbi_sock_skb_entail, 0xab41221d, "_gpl");
SYMBOL_CRC(cxgbi_sock_purge_wr_queue, 0xe5ba77f6, "_gpl");
SYMBOL_CRC(cxgbi_sock_check_wr_invariants, 0x4cbda1e1, "_gpl");
SYMBOL_CRC(cxgbi_ddp_set_one_ppod, 0x8319f739, "_gpl");
SYMBOL_CRC(cxgbi_ddp_ppm_setup, 0x4c525674, "_gpl");
SYMBOL_CRC(cxgbi_parse_pdu_itt, 0xf389c7e3, "_gpl");
SYMBOL_CRC(cxgbi_conn_tx_open, 0x53ccb6d5, "_gpl");
SYMBOL_CRC(cxgbi_conn_pdu_ready, 0x7e7d3efe, "_gpl");
SYMBOL_CRC(cxgbi_conn_alloc_pdu, 0xdc1737ab, "_gpl");
SYMBOL_CRC(cxgbi_conn_init_pdu, 0xe1fc7c72, "_gpl");
SYMBOL_CRC(cxgbi_conn_xmit_pdu, 0xae14051f, "_gpl");
SYMBOL_CRC(cxgbi_cleanup_task, 0x9be615cd, "_gpl");
SYMBOL_CRC(cxgbi_get_conn_stats, 0x51948782, "_gpl");
SYMBOL_CRC(cxgbi_set_conn_param, 0x0edf2e8b, "_gpl");
SYMBOL_CRC(cxgbi_get_ep_param, 0x36808344, "_gpl");
SYMBOL_CRC(cxgbi_create_conn, 0x7f1ffa16, "_gpl");
SYMBOL_CRC(cxgbi_bind_conn, 0x591776e7, "_gpl");
SYMBOL_CRC(cxgbi_create_session, 0x9c116441, "_gpl");
SYMBOL_CRC(cxgbi_destroy_session, 0x7f386318, "_gpl");
SYMBOL_CRC(cxgbi_set_host_param, 0xa9559bf7, "_gpl");
SYMBOL_CRC(cxgbi_get_host_param, 0x90b0f2dc, "_gpl");
SYMBOL_CRC(cxgbi_ep_connect, 0x840364b4, "_gpl");
SYMBOL_CRC(cxgbi_ep_poll, 0x7a540ccb, "_gpl");
SYMBOL_CRC(cxgbi_ep_disconnect, 0x70fb334f, "_gpl");
SYMBOL_CRC(cxgbi_iscsi_init, 0x836e08dd, "_gpl");
SYMBOL_CRC(cxgbi_iscsi_cleanup, 0x6b894b61, "_gpl");
SYMBOL_CRC(cxgbi_attr_is_visible, 0xef346615, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x070f7896, "_printk" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x951c4dbc, "vlan_dev_real_dev" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x56ffda74, "iscsi_host_remove" },
	{ 0xfc242644, "pci_dev_put" },
	{ 0x862b2ae6, "iscsi_host_free" },
	{ 0xad781930, "iscsi_host_alloc" },
	{ 0x08a787d0, "pci_dev_get" },
	{ 0xf7973f53, "iscsi_host_add" },
	{ 0x983b3b5e, "scsi_host_put" },
	{ 0xbfa0eae4, "sk_skb_reason_drop" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x3ec6c8b9, "cxgbi_ppm_init" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xcee0230e, "iscsi_conn_queue_xmit" },
	{ 0xb67f68eb, "__kfree_skb" },
	{ 0x93c37643, "iscsi_tcp_cleanup_task" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x0ddf4558, "cxgbi_ppm_ppod_release" },
	{ 0x63a1989b, "dma_unmap_sg_attrs" },
	{ 0x037a0cba, "kfree" },
	{ 0xeab9cbd5, "iscsi_conn_get_addr_param" },
	{ 0x6e03d40d, "iscsi_tcp_conn_setup" },
	{ 0x76cca1b8, "iscsi_session_setup" },
	{ 0x472f5fbb, "iscsi_tcp_r2tpool_alloc" },
	{ 0x298c8614, "iscsi_session_teardown" },
	{ 0xaf71443c, "iscsi_tcp_r2tpool_free" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x3b905a1f, "iscsi_host_set_param" },
	{ 0x1b6314fd, "in_aton" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd9178d6c, "_dev_printk" },
	{ 0x96898769, "sysfs_format_mac" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb4cef6b9, "iscsi_host_get_param" },
	{ 0x5152e605, "memcmp" },
	{ 0x1af9bc25, "iscsi_unregister_transport" },
	{ 0x9cac3696, "alloc_pages_noprof" },
	{ 0x1d066419, "__kvmalloc_node_noprof" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xcd05bae2, "iscsi_conn_failure" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x70bb557c, "iscsi_register_transport" },
	{ 0xe738a2b7, "init_net" },
	{ 0x0bd1e16f, "ip6_route_output_flags" },
	{ 0x158ae279, "iscsi_tcp_set_max_r2t" },
	{ 0x9947ffb7, "iscsi_set_param" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x4c2bf01e, "__alloc_skb" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x46534646, "kmalloc_caches" },
	{ 0xc33380b0, "__kmalloc_cache_noprof" },
	{ 0xc9512bfe, "cxgbi_ppm_ppods_reserve" },
	{ 0xe072d49f, "dma_map_sg_attrs" },
	{ 0xee804785, "cxgbi_ppm_make_ppod_hdr" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb811be3e, "iscsi_tcp_recv_segment_is_hdr" },
	{ 0x8c578719, "iscsi_tcp_recv_skb" },
	{ 0x9fb4a233, "iscsi_lookup_endpoint" },
	{ 0xa5bb3229, "iscsi_conn_bind" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x51674879, "iscsi_tcp_hdr_recv_prep" },
	{ 0xb0aefebc, "iscsi_put_endpoint" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xe55c56cd, "skb_put" },
	{ 0x0b16341a, "__default_kernel_pte_mask" },
	{ 0xb500974e, "pcpu_hot" },
	{ 0xbd750762, "const_pcpu_hot" },
	{ 0x85594ddf, "__kmap_local_page_prot" },
	{ 0x2e60bace, "memcpy" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x420eabe4, "mem_section" },
	{ 0x51f96847, "page_address" },
	{ 0xbee35b3f, "dst_release" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x7061b535, "cxgbi_ppm_release" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x90855797, "__folio_put" },
	{ 0x695ddb34, "module_put" },
	{ 0x45980f41, "iscsi_destroy_endpoint" },
	{ 0x1c4abc20, "ipv6_dev_get_saddr" },
	{ 0x48c18c17, "make_kuid" },
	{ 0xaae73de8, "ip_route_output_flow" },
	{ 0xef63b073, "neigh_destroy" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x1fac537d, "iscsi_create_endpoint" },
	{ 0xbe9ef6ad, "__ip_dev_find" },
	{ 0x39751142, "iscsi_itt_to_ctask" },
	{ 0xc0ae51cd, "param_ops_uint" },
	{ 0xee11a538, "module_layout" },
};

MODULE_INFO(depends, "libiscsi,scsi_mod,libcxgb,libiscsi_tcp,scsi_transport_iscsi");


MODULE_INFO(srcversion, "A1FE6C08DA5E47540AE3FD6");
