#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(usb_disabled, "_gpl", "");
KSYMTAB_FUNC(usb_find_common_endpoints, "_gpl", "");
KSYMTAB_FUNC(usb_find_common_endpoints_reverse, "_gpl", "");
KSYMTAB_FUNC(usb_check_bulk_endpoints, "_gpl", "");
KSYMTAB_FUNC(usb_check_int_endpoints, "_gpl", "");
KSYMTAB_FUNC(usb_find_alt_setting, "_gpl", "");
KSYMTAB_FUNC(usb_ifnum_to_if, "_gpl", "");
KSYMTAB_FUNC(usb_altnum_to_altsetting, "_gpl", "");
KSYMTAB_FUNC(usb_find_interface, "_gpl", "");
KSYMTAB_FUNC(usb_for_each_dev, "_gpl", "");
KSYMTAB_FUNC(usb_alloc_dev, "_gpl", "");
KSYMTAB_FUNC(usb_get_dev, "_gpl", "");
KSYMTAB_FUNC(usb_put_dev, "_gpl", "");
KSYMTAB_FUNC(usb_get_intf, "_gpl", "");
KSYMTAB_FUNC(usb_put_intf, "_gpl", "");
KSYMTAB_FUNC(usb_intf_get_dma_device, "_gpl", "");
KSYMTAB_FUNC(usb_lock_device_for_reset, "_gpl", "");
KSYMTAB_FUNC(usb_get_current_frame_number, "_gpl", "");
KSYMTAB_FUNC(__usb_get_extra_descriptor, "_gpl", "");
KSYMTAB_FUNC(usb_alloc_coherent, "_gpl", "");
KSYMTAB_FUNC(usb_free_coherent, "_gpl", "");
KSYMTAB_DATA(ehci_cf_port_reset_rwsem, "_gpl", "");
KSYMTAB_FUNC(usb_wakeup_notification, "_gpl", "");
KSYMTAB_FUNC(usb_hub_clear_tt_buffer, "_gpl", "");
KSYMTAB_FUNC(usb_hub_claim_port, "_gpl", "");
KSYMTAB_FUNC(usb_hub_release_port, "_gpl", "");
KSYMTAB_FUNC(usb_set_device_state, "_gpl", "");
KSYMTAB_FUNC(usb_disable_ltm, "_gpl", "");
KSYMTAB_FUNC(usb_enable_ltm, "_gpl", "");
KSYMTAB_FUNC(usb_wakeup_enabled_descendants, "_gpl", "");
KSYMTAB_FUNC(usb_root_hub_lost_power, "_gpl", "");
KSYMTAB_FUNC(usb_disable_lpm, "_gpl", "");
KSYMTAB_FUNC(usb_unlocked_disable_lpm, "_gpl", "");
KSYMTAB_FUNC(usb_enable_lpm, "_gpl", "");
KSYMTAB_FUNC(usb_unlocked_enable_lpm, "_gpl", "");
KSYMTAB_FUNC(usb_ep0_reinit, "_gpl", "");
KSYMTAB_FUNC(usb_reset_device, "_gpl", "");
KSYMTAB_FUNC(usb_queue_reset_device, "_gpl", "");
KSYMTAB_FUNC(usb_hub_find_child, "_gpl", "");
KSYMTAB_DATA(usb_hcds_loaded, "_gpl", "");
KSYMTAB_DATA(usb_bus_idr, "_gpl", "");
KSYMTAB_DATA(usb_bus_idr_lock, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_poll_rh_status, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_start_port_resume, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_end_port_resume, "_gpl", "");
KSYMTAB_FUNC(usb_calc_bus_time, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_link_urb_to_ep, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_check_unlink_urb, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_unlink_urb_from_ep, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_unmap_urb_setup_for_dma, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_unmap_urb_for_dma, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_map_urb_for_dma, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_giveback_urb, "_gpl", "");
KSYMTAB_FUNC(usb_alloc_streams, "_gpl", "");
KSYMTAB_FUNC(usb_free_streams, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_resume_root_hub, "_gpl", "");
KSYMTAB_FUNC(usb_bus_start_enum, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_irq, "_gpl", "");
KSYMTAB_FUNC(usb_hc_died, "_gpl", "");
KSYMTAB_FUNC(__usb_create_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_create_shared_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_create_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_get_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_put_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_is_primary_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_add_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_remove_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_platform_shutdown, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_setup_local_mem, "_gpl", "");
KSYMTAB_FUNC(usb_mon_register, "_gpl", "");
KSYMTAB_FUNC(usb_mon_deregister, "_gpl", "");
KSYMTAB_FUNC(usb_init_urb, "_gpl", "");
KSYMTAB_FUNC(usb_alloc_urb, "_gpl", "");
KSYMTAB_FUNC(usb_free_urb, "_gpl", "");
KSYMTAB_FUNC(usb_get_urb, "_gpl", "");
KSYMTAB_FUNC(usb_anchor_urb, "_gpl", "");
KSYMTAB_FUNC(usb_unanchor_urb, "_gpl", "");
KSYMTAB_FUNC(usb_pipe_type_check, "_gpl", "");
KSYMTAB_FUNC(usb_urb_ep_type_check, "_gpl", "");
KSYMTAB_FUNC(usb_submit_urb, "_gpl", "");
KSYMTAB_FUNC(usb_unlink_urb, "_gpl", "");
KSYMTAB_FUNC(usb_kill_urb, "_gpl", "");
KSYMTAB_FUNC(usb_poison_urb, "_gpl", "");
KSYMTAB_FUNC(usb_unpoison_urb, "_gpl", "");
KSYMTAB_FUNC(usb_block_urb, "_gpl", "");
KSYMTAB_FUNC(usb_kill_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_poison_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_unpoison_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_unlink_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_anchor_suspend_wakeups, "_gpl", "");
KSYMTAB_FUNC(usb_anchor_resume_wakeups, "_gpl", "");
KSYMTAB_FUNC(usb_wait_anchor_empty_timeout, "_gpl", "");
KSYMTAB_FUNC(usb_get_from_anchor, "_gpl", "");
KSYMTAB_FUNC(usb_scuttle_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_anchor_empty, "_gpl", "");
KSYMTAB_FUNC(usb_control_msg, "_gpl", "");
KSYMTAB_FUNC(usb_control_msg_send, "_gpl", "");
KSYMTAB_FUNC(usb_control_msg_recv, "_gpl", "");
KSYMTAB_FUNC(usb_interrupt_msg, "_gpl", "");
KSYMTAB_FUNC(usb_bulk_msg, "_gpl", "");
KSYMTAB_FUNC(usb_sg_init, "_gpl", "");
KSYMTAB_FUNC(usb_sg_wait, "_gpl", "");
KSYMTAB_FUNC(usb_sg_cancel, "_gpl", "");
KSYMTAB_FUNC(usb_get_descriptor, "_gpl", "");
KSYMTAB_FUNC(usb_string, "_gpl", "");
KSYMTAB_FUNC(usb_cache_string, "_gpl", "");
KSYMTAB_FUNC(usb_get_status, "_gpl", "");
KSYMTAB_FUNC(usb_clear_halt, "_gpl", "");
KSYMTAB_FUNC(usb_reset_endpoint, "_gpl", "");
KSYMTAB_FUNC(usb_set_interface, "_gpl", "");
KSYMTAB_FUNC(usb_reset_configuration, "_gpl", "");
KSYMTAB_FUNC(usb_set_wireless_status, "_gpl", "");
KSYMTAB_FUNC(usb_set_configuration, "_gpl", "");
KSYMTAB_FUNC(usb_driver_set_configuration, "_gpl", "");
KSYMTAB_FUNC(cdc_parse_cdc_header, "", "");
KSYMTAB_FUNC(usb_store_new_id, "_gpl", "");
KSYMTAB_FUNC(usb_show_dynids, "_gpl", "");
KSYMTAB_FUNC(usb_driver_claim_interface, "_gpl", "");
KSYMTAB_FUNC(usb_driver_release_interface, "_gpl", "");
KSYMTAB_FUNC(usb_match_one_id, "_gpl", "");
KSYMTAB_FUNC(usb_match_id, "_gpl", "");
KSYMTAB_FUNC(usb_device_match_id, "_gpl", "");
KSYMTAB_FUNC(usb_register_device_driver, "_gpl", "");
KSYMTAB_FUNC(usb_deregister_device_driver, "_gpl", "");
KSYMTAB_FUNC(usb_register_driver, "_gpl", "");
KSYMTAB_FUNC(usb_deregister, "_gpl", "");
KSYMTAB_FUNC(usb_enable_autosuspend, "_gpl", "");
KSYMTAB_FUNC(usb_disable_autosuspend, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_put_interface, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_put_interface_async, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_put_interface_no_suspend, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_get_interface, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_get_interface_async, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_get_interface_no_resume, "_gpl", "");
KSYMTAB_FUNC(usb_register_dev, "_gpl", "");
KSYMTAB_FUNC(usb_deregister_dev, "_gpl", "");
KSYMTAB_FUNC(usb_register_notify, "_gpl", "");
KSYMTAB_FUNC(usb_unregister_notify, "_gpl", "");
KSYMTAB_FUNC(usb_choose_configuration, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_alloc, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_alloc_usb3_phy, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_init, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_exit, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_set_mode, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_calibrate, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_notify_connect, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_notify_disconnect, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_power_on, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_power_off, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_suspend, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_resume, "_gpl", "");
KSYMTAB_FUNC(usb_of_get_device_node, "_gpl", "");
KSYMTAB_FUNC(usb_of_has_combined_node, "_gpl", "");
KSYMTAB_FUNC(usb_of_get_connect_type, "_gpl", "");
KSYMTAB_FUNC(usb_of_get_interface_node, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_pci_probe, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_pci_remove, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_pci_shutdown, "_gpl", "");
KSYMTAB_DATA(usb_hcd_pci_pm_ops, "_gpl", "");
KSYMTAB_FUNC(usb_acpi_power_manageable, "_gpl", "");
KSYMTAB_FUNC(usb_acpi_port_lpm_incapable, "_gpl", "");
KSYMTAB_FUNC(usb_acpi_set_power_state, "_gpl", "");
KSYMTAB_FUNC(onboard_dev_create_pdevs, "_gpl", "");
KSYMTAB_FUNC(onboard_dev_destroy_pdevs, "_gpl", "");

SYMBOL_CRC(usb_disabled, 0x19a304ba, "_gpl");
SYMBOL_CRC(usb_find_common_endpoints, 0x93c7edeb, "_gpl");
SYMBOL_CRC(usb_find_common_endpoints_reverse, 0x1e9c590a, "_gpl");
SYMBOL_CRC(usb_check_bulk_endpoints, 0xb65d501c, "_gpl");
SYMBOL_CRC(usb_check_int_endpoints, 0x78be8b6e, "_gpl");
SYMBOL_CRC(usb_find_alt_setting, 0xa3344dcf, "_gpl");
SYMBOL_CRC(usb_ifnum_to_if, 0x4cd403e0, "_gpl");
SYMBOL_CRC(usb_altnum_to_altsetting, 0xa2aee803, "_gpl");
SYMBOL_CRC(usb_find_interface, 0xa77daee9, "_gpl");
SYMBOL_CRC(usb_for_each_dev, 0x6c4cddd9, "_gpl");
SYMBOL_CRC(usb_alloc_dev, 0x46e825a7, "_gpl");
SYMBOL_CRC(usb_get_dev, 0x70bf8269, "_gpl");
SYMBOL_CRC(usb_put_dev, 0x0b6966ca, "_gpl");
SYMBOL_CRC(usb_get_intf, 0x2243c137, "_gpl");
SYMBOL_CRC(usb_put_intf, 0x391296e3, "_gpl");
SYMBOL_CRC(usb_intf_get_dma_device, 0x55dd8868, "_gpl");
SYMBOL_CRC(usb_lock_device_for_reset, 0x0dbf3dc2, "_gpl");
SYMBOL_CRC(usb_get_current_frame_number, 0xd8b7903c, "_gpl");
SYMBOL_CRC(__usb_get_extra_descriptor, 0x4cf24332, "_gpl");
SYMBOL_CRC(usb_alloc_coherent, 0xeacf8f76, "_gpl");
SYMBOL_CRC(usb_free_coherent, 0xfe68e0eb, "_gpl");
SYMBOL_CRC(ehci_cf_port_reset_rwsem, 0x82618415, "_gpl");
SYMBOL_CRC(usb_wakeup_notification, 0x7f1f270b, "_gpl");
SYMBOL_CRC(usb_hub_clear_tt_buffer, 0x5e84ddb0, "_gpl");
SYMBOL_CRC(usb_hub_claim_port, 0x48a7c701, "_gpl");
SYMBOL_CRC(usb_hub_release_port, 0xe055fc16, "_gpl");
SYMBOL_CRC(usb_set_device_state, 0x95e83d85, "_gpl");
SYMBOL_CRC(usb_disable_ltm, 0xccd44d9f, "_gpl");
SYMBOL_CRC(usb_enable_ltm, 0xba3f12d1, "_gpl");
SYMBOL_CRC(usb_wakeup_enabled_descendants, 0xb460d34a, "_gpl");
SYMBOL_CRC(usb_root_hub_lost_power, 0x5cbd0404, "_gpl");
SYMBOL_CRC(usb_disable_lpm, 0x41dfbeaa, "_gpl");
SYMBOL_CRC(usb_unlocked_disable_lpm, 0x7195477f, "_gpl");
SYMBOL_CRC(usb_enable_lpm, 0x3734e1e4, "_gpl");
SYMBOL_CRC(usb_unlocked_enable_lpm, 0x0bc17928, "_gpl");
SYMBOL_CRC(usb_ep0_reinit, 0x2409cd61, "_gpl");
SYMBOL_CRC(usb_reset_device, 0x97761ca9, "_gpl");
SYMBOL_CRC(usb_queue_reset_device, 0x113bb734, "_gpl");
SYMBOL_CRC(usb_hub_find_child, 0x08038097, "_gpl");
SYMBOL_CRC(usb_hcds_loaded, 0xc17515d7, "_gpl");
SYMBOL_CRC(usb_bus_idr, 0x790be0b9, "_gpl");
SYMBOL_CRC(usb_bus_idr_lock, 0xe7740ac6, "_gpl");
SYMBOL_CRC(usb_hcd_poll_rh_status, 0xc0585480, "_gpl");
SYMBOL_CRC(usb_hcd_start_port_resume, 0x46dde3d4, "_gpl");
SYMBOL_CRC(usb_hcd_end_port_resume, 0xdb08e1ad, "_gpl");
SYMBOL_CRC(usb_calc_bus_time, 0x7e64181d, "_gpl");
SYMBOL_CRC(usb_hcd_link_urb_to_ep, 0x6209e834, "_gpl");
SYMBOL_CRC(usb_hcd_check_unlink_urb, 0x0bc7b94f, "_gpl");
SYMBOL_CRC(usb_hcd_unlink_urb_from_ep, 0xc6b6e1bd, "_gpl");
SYMBOL_CRC(usb_hcd_unmap_urb_setup_for_dma, 0x5b736d6e, "_gpl");
SYMBOL_CRC(usb_hcd_unmap_urb_for_dma, 0x625f6103, "_gpl");
SYMBOL_CRC(usb_hcd_map_urb_for_dma, 0x2dbb9753, "_gpl");
SYMBOL_CRC(usb_hcd_giveback_urb, 0x4ab0a9b6, "_gpl");
SYMBOL_CRC(usb_alloc_streams, 0x65ea0ea9, "_gpl");
SYMBOL_CRC(usb_free_streams, 0x75745264, "_gpl");
SYMBOL_CRC(usb_hcd_resume_root_hub, 0x9804dce2, "_gpl");
SYMBOL_CRC(usb_bus_start_enum, 0x2fa24dca, "_gpl");
SYMBOL_CRC(usb_hcd_irq, 0x70cf032f, "_gpl");
SYMBOL_CRC(usb_hc_died, 0x3c006605, "_gpl");
SYMBOL_CRC(__usb_create_hcd, 0xf9e5feb0, "_gpl");
SYMBOL_CRC(usb_create_shared_hcd, 0x36e26e76, "_gpl");
SYMBOL_CRC(usb_create_hcd, 0x32d2ba91, "_gpl");
SYMBOL_CRC(usb_get_hcd, 0xd4684642, "_gpl");
SYMBOL_CRC(usb_put_hcd, 0x6f6ce485, "_gpl");
SYMBOL_CRC(usb_hcd_is_primary_hcd, 0xa12e9e78, "_gpl");
SYMBOL_CRC(usb_add_hcd, 0xe65bf830, "_gpl");
SYMBOL_CRC(usb_remove_hcd, 0x21e39f56, "_gpl");
SYMBOL_CRC(usb_hcd_platform_shutdown, 0x71a81f91, "_gpl");
SYMBOL_CRC(usb_hcd_setup_local_mem, 0x7538c171, "_gpl");
SYMBOL_CRC(usb_mon_register, 0x9027873f, "_gpl");
SYMBOL_CRC(usb_mon_deregister, 0xfed11ed1, "_gpl");
SYMBOL_CRC(usb_init_urb, 0x3efa4b64, "_gpl");
SYMBOL_CRC(usb_alloc_urb, 0xa647519a, "_gpl");
SYMBOL_CRC(usb_free_urb, 0x2961626c, "_gpl");
SYMBOL_CRC(usb_get_urb, 0xdfc4ed79, "_gpl");
SYMBOL_CRC(usb_anchor_urb, 0xab72dd78, "_gpl");
SYMBOL_CRC(usb_unanchor_urb, 0xda73c103, "_gpl");
SYMBOL_CRC(usb_pipe_type_check, 0x491f5ed1, "_gpl");
SYMBOL_CRC(usb_urb_ep_type_check, 0x3a3ddeb5, "_gpl");
SYMBOL_CRC(usb_submit_urb, 0x860f8360, "_gpl");
SYMBOL_CRC(usb_unlink_urb, 0xd49afb8a, "_gpl");
SYMBOL_CRC(usb_kill_urb, 0x6a2ea55c, "_gpl");
SYMBOL_CRC(usb_poison_urb, 0x8928efbb, "_gpl");
SYMBOL_CRC(usb_unpoison_urb, 0xf8808aa8, "_gpl");
SYMBOL_CRC(usb_block_urb, 0x4e26ee51, "_gpl");
SYMBOL_CRC(usb_kill_anchored_urbs, 0x962c8ae1, "_gpl");
SYMBOL_CRC(usb_poison_anchored_urbs, 0x842f046d, "_gpl");
SYMBOL_CRC(usb_unpoison_anchored_urbs, 0x86b13d2a, "_gpl");
SYMBOL_CRC(usb_unlink_anchored_urbs, 0x933f75e0, "_gpl");
SYMBOL_CRC(usb_anchor_suspend_wakeups, 0x79bc842c, "_gpl");
SYMBOL_CRC(usb_anchor_resume_wakeups, 0x40267068, "_gpl");
SYMBOL_CRC(usb_wait_anchor_empty_timeout, 0x407af304, "_gpl");
SYMBOL_CRC(usb_get_from_anchor, 0x4fd9863f, "_gpl");
SYMBOL_CRC(usb_scuttle_anchored_urbs, 0x807766ea, "_gpl");
SYMBOL_CRC(usb_anchor_empty, 0x7e8d8619, "_gpl");
SYMBOL_CRC(usb_control_msg, 0x305aa0ab, "_gpl");
SYMBOL_CRC(usb_control_msg_send, 0x6d3ce640, "_gpl");
SYMBOL_CRC(usb_control_msg_recv, 0xac58583f, "_gpl");
SYMBOL_CRC(usb_interrupt_msg, 0xb59f4865, "_gpl");
SYMBOL_CRC(usb_bulk_msg, 0x6b0896e7, "_gpl");
SYMBOL_CRC(usb_sg_init, 0xdbf6bed7, "_gpl");
SYMBOL_CRC(usb_sg_wait, 0x421bbec9, "_gpl");
SYMBOL_CRC(usb_sg_cancel, 0x03ab2eea, "_gpl");
SYMBOL_CRC(usb_get_descriptor, 0x5944b7f6, "_gpl");
SYMBOL_CRC(usb_string, 0x4afe4aeb, "_gpl");
SYMBOL_CRC(usb_cache_string, 0xe50901f6, "_gpl");
SYMBOL_CRC(usb_get_status, 0xb42aff45, "_gpl");
SYMBOL_CRC(usb_clear_halt, 0x90f18fba, "_gpl");
SYMBOL_CRC(usb_reset_endpoint, 0x1ce7ab00, "_gpl");
SYMBOL_CRC(usb_set_interface, 0x8873fa30, "_gpl");
SYMBOL_CRC(usb_reset_configuration, 0x69b6e982, "_gpl");
SYMBOL_CRC(usb_set_wireless_status, 0xf8cebf39, "_gpl");
SYMBOL_CRC(usb_set_configuration, 0x79014e5b, "_gpl");
SYMBOL_CRC(usb_driver_set_configuration, 0x6ce34064, "_gpl");
SYMBOL_CRC(cdc_parse_cdc_header, 0x41266e70, "");
SYMBOL_CRC(usb_store_new_id, 0xf9936701, "_gpl");
SYMBOL_CRC(usb_show_dynids, 0x390c0aba, "_gpl");
SYMBOL_CRC(usb_driver_claim_interface, 0x02022625, "_gpl");
SYMBOL_CRC(usb_driver_release_interface, 0x871b33e2, "_gpl");
SYMBOL_CRC(usb_match_one_id, 0xef44944f, "_gpl");
SYMBOL_CRC(usb_match_id, 0x9e574791, "_gpl");
SYMBOL_CRC(usb_device_match_id, 0xa79b33f7, "_gpl");
SYMBOL_CRC(usb_register_device_driver, 0xc05b8ba0, "_gpl");
SYMBOL_CRC(usb_deregister_device_driver, 0x8afb33c1, "_gpl");
SYMBOL_CRC(usb_register_driver, 0x1fd20a2f, "_gpl");
SYMBOL_CRC(usb_deregister, 0x535d5c87, "_gpl");
SYMBOL_CRC(usb_enable_autosuspend, 0x53c3709a, "_gpl");
SYMBOL_CRC(usb_disable_autosuspend, 0x612d9ac0, "_gpl");
SYMBOL_CRC(usb_autopm_put_interface, 0x163136db, "_gpl");
SYMBOL_CRC(usb_autopm_put_interface_async, 0x6e2ac5ff, "_gpl");
SYMBOL_CRC(usb_autopm_put_interface_no_suspend, 0x1685b1ee, "_gpl");
SYMBOL_CRC(usb_autopm_get_interface, 0x1acd8d56, "_gpl");
SYMBOL_CRC(usb_autopm_get_interface_async, 0x6eb9ab87, "_gpl");
SYMBOL_CRC(usb_autopm_get_interface_no_resume, 0x8dee71bc, "_gpl");
SYMBOL_CRC(usb_register_dev, 0xde386fd4, "_gpl");
SYMBOL_CRC(usb_deregister_dev, 0x81d1fb4f, "_gpl");
SYMBOL_CRC(usb_register_notify, 0x89bbafc6, "_gpl");
SYMBOL_CRC(usb_unregister_notify, 0x811dc334, "_gpl");
SYMBOL_CRC(usb_choose_configuration, 0xc18c7749, "_gpl");
SYMBOL_CRC(usb_phy_roothub_alloc, 0x6246b7ad, "_gpl");
SYMBOL_CRC(usb_phy_roothub_alloc_usb3_phy, 0x530c8ae8, "_gpl");
SYMBOL_CRC(usb_phy_roothub_init, 0xc93ee1e7, "_gpl");
SYMBOL_CRC(usb_phy_roothub_exit, 0xe39d0794, "_gpl");
SYMBOL_CRC(usb_phy_roothub_set_mode, 0x5bdae35b, "_gpl");
SYMBOL_CRC(usb_phy_roothub_calibrate, 0x851e6003, "_gpl");
SYMBOL_CRC(usb_phy_roothub_notify_connect, 0x193780c4, "_gpl");
SYMBOL_CRC(usb_phy_roothub_notify_disconnect, 0xef6a57e5, "_gpl");
SYMBOL_CRC(usb_phy_roothub_power_on, 0x9c803020, "_gpl");
SYMBOL_CRC(usb_phy_roothub_power_off, 0x8c89e3b8, "_gpl");
SYMBOL_CRC(usb_phy_roothub_suspend, 0x985e141d, "_gpl");
SYMBOL_CRC(usb_phy_roothub_resume, 0x7d6a55c8, "_gpl");
SYMBOL_CRC(usb_of_get_device_node, 0x112f89c3, "_gpl");
SYMBOL_CRC(usb_of_has_combined_node, 0x7429ac05, "_gpl");
SYMBOL_CRC(usb_of_get_connect_type, 0x8f381c10, "_gpl");
SYMBOL_CRC(usb_of_get_interface_node, 0xf68275a6, "_gpl");
SYMBOL_CRC(usb_hcd_pci_probe, 0x4b20b9d7, "_gpl");
SYMBOL_CRC(usb_hcd_pci_remove, 0xec7f07aa, "_gpl");
SYMBOL_CRC(usb_hcd_pci_shutdown, 0x7ca6885d, "_gpl");
SYMBOL_CRC(usb_hcd_pci_pm_ops, 0x80fe9077, "_gpl");
SYMBOL_CRC(usb_acpi_power_manageable, 0x33e6c29a, "_gpl");
SYMBOL_CRC(usb_acpi_port_lpm_incapable, 0x74e7a52f, "_gpl");
SYMBOL_CRC(usb_acpi_set_power_state, 0x1f80385b, "_gpl");
SYMBOL_CRC(onboard_dev_create_pdevs, 0xd7d4d594, "_gpl");
SYMBOL_CRC(onboard_dev_destroy_pdevs, 0x4a71e5f3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd054d92f, "phy_notify_connect" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x1a146ec3, "usb_ep_type_string" },
	{ 0x5561f227, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x760a0f4f, "yield" },
	{ 0x4e30ddf1, "device_set_wakeup_enable" },
	{ 0x35a169f0, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x923ae8f4, "is_acpi_device_node" },
	{ 0x68cad1c7, "device_set_wakeup_capable" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd27f6ec4, "of_platform_device_create" },
	{ 0xf9e8b4c4, "device_set_of_node_from_dev" },
	{ 0xc0ae51cd, "param_ops_uint" },
	{ 0x7688ef49, "dma_pool_create" },
	{ 0xd394d49b, "bus_unregister_notifier" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xc58919d7, "devm_kmalloc" },
	{ 0x939d6077, "of_node_put" },
	{ 0x33093c9b, "pci_enable_device" },
	{ 0xb1809bfd, "of_property_read_variable_u32_array" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x2183de7e, "devm_memremap" },
	{ 0xbc98446f, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x8235805b, "memmove" },
	{ 0xc42f0a1e, "of_find_device_by_node" },
	{ 0x07f34003, "pci_alloc_irq_vectors" },
	{ 0x7aa76be5, "param_get_string" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x2c640292, "dmam_alloc_attrs" },
	{ 0x0b235e7e, "memdup_user" },
	{ 0x412d46ca, "driver_remove_file" },
	{ 0x90b1df12, "sysfs_add_file_to_group" },
	{ 0xd8e99ff5, "system_bh_wq" },
	{ 0x3b46c804, "driver_attach" },
	{ 0x722dcd22, "device_unregister" },
	{ 0x17ebeda2, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xceacc4d7, "gen_pool_dma_alloc_align" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x3863e006, "pci_get_device" },
	{ 0xcd745a44, "dma_unmap_page_attrs" },
	{ 0xfa66ff08, "devm_of_phy_get" },
	{ 0x401f6ef2, "of_graph_is_present" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x485c90ab, "sysfs_unbreak_active_protection" },
	{ 0xad1f7553, "pci_dev_run_wake" },
	{ 0x41d06b63, "devm_ioremap" },
	{ 0xa66e88b1, "pci_prepare_to_sleep" },
	{ 0x49467b36, "device_initialize" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0xeba7f1ba, "current_time" },
	{ 0x2e60bace, "memcpy" },
	{ 0x09c613fc, "component_del" },
	{ 0xa4549953, "remap_pfn_range" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x037a0cba, "kfree" },
	{ 0xcbfdd847, "kobject_get_path" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x0d81a5e6, "acpi_find_child_by_adr" },
	{ 0x889f465f, "of_graph_get_remote_port_parent" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x3be4d1a6, "bus_for_each_drv" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x94725409, "pci_irq_vector" },
	{ 0x4cdba8b5, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xde088771, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x44ed347e, "kernfs_notify" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xd0ae376d, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x938f3b16, "param_set_copystring" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xbad167f5, "of_graph_get_endpoint_by_regs" },
	{ 0xd8527f8e, "__put_cred" },
	{ 0xde39c796, "__suspend_report_result" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xd2e46b08, "dev_driver_string" },
	{ 0xb7d0e4d0, "gen_pool_dma_alloc" },
	{ 0x9067dc49, "sysfs_notify" },
	{ 0x95dc9810, "__pm_runtime_set_status" },
	{ 0x58671c1d, "dma_map_page_attrs" },
	{ 0x945eb81c, "add_device_randomness" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xdd27f3c3, "__devm_request_region" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x070f7896, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x3f8d5b21, "pm_wakeup_dev_event" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xa2c79df5, "device_reprobe" },
	{ 0xfbab7dd3, "register_acpi_bus_type" },
	{ 0x4292364c, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x02c81caa, "blocking_notifier_call_chain" },
	{ 0xf3d14ff4, "of_get_next_child" },
	{ 0x55077865, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xa814a501, "debugfs_lookup_and_remove" },
	{ 0x25ddc6ca, "put_device" },
	{ 0x48dcb804, "pm_runtime_enable" },
	{ 0x738803e6, "strnlen" },
	{ 0x9c0b3cdb, "driver_create_file" },
	{ 0x7d59dd46, "pm_wq" },
	{ 0xefe606c0, "phy_exit" },
	{ 0xb7d76f6d, "bus_register_notifier" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xbd750762, "const_pcpu_hot" },
	{ 0xcf0a8ceb, "bus_for_each_dev" },
	{ 0x9f984513, "strrchr" },
	{ 0xf9f40d90, "_dev_info" },
	{ 0x695ddb34, "module_put" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0xd2466541, "sysfs_create_link" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x8651ea33, "device_wakeup_disable" },
	{ 0xd0194a53, "cdev_add" },
	{ 0x269296f7, "device_create_file" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xa2825ee0, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0xd99e0840, "sysfs_update_group" },
	{ 0x1e02ae88, "sysfs_unmerge_group" },
	{ 0xf243aa7a, "bus_unregister" },
	{ 0x5af8e078, "down_write" },
	{ 0x2d5befcc, "_dev_err" },
	{ 0x4a598c22, "device_wakeup_enable" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x84f7e0b0, "bus_find_device" },
	{ 0x9d5d9d57, "device_add" },
	{ 0x020cb77f, "__of_parse_phandle_with_args" },
	{ 0x5d28135a, "sysfs_remove_link" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc3fa6a59, "memchr" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x666f9e16, "init_uts_ns" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c121381, "device_create" },
	{ 0xbd12f9f7, "noop_llseek" },
	{ 0xdfb475db, "sysfs_merge_group" },
	{ 0x4220a08b, "phy_notify_disconnect" },
	{ 0xdc88480e, "of_platform_device_destroy" },
	{ 0xe592b539, "device_attach" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xfb6eedf9, "power_group_name" },
	{ 0x420eabe4, "mem_section" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xcbc1a659, "kernfs_find_and_get_ns" },
	{ 0x5feab2fd, "dma_alloc_attrs" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x12fb3b1d, "phy_power_on" },
	{ 0xac2fa391, "no_seek_end_llseek" },
	{ 0x85ec9b02, "driver_unregister" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x0e68df24, "of_find_property" },
	{ 0xca799b31, "class_unregister" },
	{ 0xff722584, "of_match_node" },
	{ 0x5152e605, "memcmp" },
	{ 0x1ebf6c2a, "pci_power_names" },
	{ 0x94d5d3c4, "sysfs_remove_file_from_group" },
	{ 0x7d1952a1, "sysfs_create_group" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x27094c28, "of_device_is_available" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd89da37f, "movable_zone" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0x11089ac7, "_ctype" },
	{ 0x61b4f314, "device_register" },
	{ 0x795a5437, "acpi_get_physical_device_location" },
	{ 0x10a21318, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xaae8ab0e, "acpi_bus_power_manageable" },
	{ 0x77ae495d, "usb_speed_string" },
	{ 0xf81a2b39, "device_bind_driver" },
	{ 0xdbdf6c92, "ioport_resource" },
	{ 0x2bc95bd4, "memset" },
	{ 0xc5e4bb2b, "_dev_warn" },
	{ 0x0257f912, "system_bh_highpri_wq" },
	{ 0xc2fc9ed3, "unregister_acpi_bus_type" },
	{ 0x3dfb5b80, "device_match_devt" },
	{ 0x1f06060f, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xc3241b05, "gen_pool_add_owner" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7682717a, "kmemdup_noprof" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x237d5d17, "pm_runtime_no_callbacks" },
	{ 0x8dbc93c8, "phy_power_off" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x5dba206c, "devm_gen_pool_create" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xc7f0b619, "mutex_trylock" },
	{ 0x9ca24797, "dev_pm_qos_flags" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcb733bf2, "acpi_bus_set_power" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0xb247aa97, "sysfs_remove_group" },
	{ 0xdb9aa8ff, "phy_set_mode_ext" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf7220721, "fwnode_find_reference" },
	{ 0xd3171834, "_dev_notice" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xe8b726ba, "pm_runtime_forbid" },
	{ 0x9b8a9b70, "blocking_notifier_chain_unregister" },
	{ 0xe1f36b8c, "dma_free_attrs" },
	{ 0x167e7f9d, "__get_user_1" },
	{ 0xb2c89005, "pm_runtime_allow" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x7d3fcdf2, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0x282cdabc, "usb_led_activity" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x39d2bbbb, "acpi_fetch_acpi_dev" },
	{ 0xb4dcb7ed, "param_ops_bool" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x726bc3c7, "wait_for_completion_killable_timeout" },
	{ 0x13dde702, "kernfs_put" },
	{ 0x89cd4952, "gen_pool_free_owner" },
	{ 0x6580f998, "acpi_evaluate_object" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x8d6239be, "inode_set_ctime_current" },
	{ 0x71456ef4, "__register_chrdev" },
	{ 0x845a07cc, "sysfs_break_active_protection" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x75b9d4ba, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc33380b0, "__kmalloc_cache_noprof" },
	{ 0xffa6129a, "usb_dynids_lock" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0xd0ecf134, "kobject_uevent" },
	{ 0xa1473b70, "debugfs_create_file_full" },
	{ 0x4b3fd10e, "device_pm_wait_for_dev" },
	{ 0x12653d5a, "pci_disable_device" },
	{ 0x16cc0519, "kill_pid_usb_asyncio" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xebd35a88, "dma_mmap_attrs" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x00d4c500, "usb_decode_interval" },
	{ 0xe558fae1, "of_count_phandle_with_args" },
	{ 0x23075bd5, "usb_hcd_amd_remote_wakeup_quirk" },
	{ 0x63a1989b, "dma_unmap_sg_attrs" },
	{ 0xdd18a993, "acpi_check_dsm" },
	{ 0x260fad71, "dev_pm_qos_add_request" },
	{ 0xdfee3759, "pm_runtime_barrier" },
	{ 0x4a43c08e, "__pm_runtime_suspend" },
	{ 0xa022e639, "usb_debug_root" },
	{ 0x5f8bc739, "component_add" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0x51f96847, "page_address" },
	{ 0x86cabeff, "set_primary_fwnode" },
	{ 0x58763fcf, "device_release_driver" },
	{ 0xd0d8621b, "strlen" },
	{ 0x84cb4845, "__pm_runtime_use_autosuspend" },
	{ 0x77358855, "iomem_resource" },
	{ 0x38df766a, "phy_calibrate" },
	{ 0xd8fc81ed, "param_ops_int" },
	{ 0xd9178d6c, "_dev_printk" },
	{ 0x0ab8feb1, "dev_pm_qos_expose_flags" },
	{ 0xe85396da, "__pm_runtime_disable" },
	{ 0x4de17ab3, "usb_state_string" },
	{ 0x90fdcb6e, "dev_pm_qos_remove_request" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xbc249a61, "device_link_add" },
	{ 0x5263c357, "pci_free_irq_vectors" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x29f3a126, "up_read" },
	{ 0xe5515291, "driver_register" },
	{ 0x56c01834, "put_pid" },
	{ 0xfea4a621, "class_register" },
	{ 0xc88a3af3, "__pm_runtime_idle" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0x090fa510, "cdev_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x40934db0, "__dev_fwnode" },
	{ 0x46534646, "kmalloc_caches" },
	{ 0x19bd2dff, "devm_of_phy_get_by_index" },
	{ 0x30f26a4e, "cdev_del" },
	{ 0x263040e0, "device_remove_file" },
	{ 0xb709e456, "bus_register" },
	{ 0xe072d49f, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x47e443ad, "phy_init" },
	{ 0x92b57248, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xee11a538, "module_layout" },
};

MODULE_INFO(depends, "usb-common");

MODULE_ALIAS("usb:v0424p5534d*dc*dsc*dp*ic09isc*ip*in*");
MODULE_ALIAS("usb:v04B4p6570d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05E3p*d*dc*dsc*dp*ic09isc*ip*in*");
MODULE_ALIAS("usb:v0451p8142d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0451p8140d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p4913d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p4914d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p4915d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v*p*d*dc09dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic09isc*ip*in*");

MODULE_INFO(srcversion, "78080F40E9ACE39F46C4464");
