#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(get_nfs_version, "_gpl", "");
KSYMTAB_FUNC(register_nfs_version, "_gpl", "");
KSYMTAB_FUNC(unregister_nfs_version, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_client, "_gpl", "");
KSYMTAB_FUNC(nfs_free_client, "_gpl", "");
KSYMTAB_FUNC(nfs_put_client, "_gpl", "");
KSYMTAB_FUNC(nfs_client_init_is_complete, "_gpl", "");
KSYMTAB_FUNC(nfs_client_init_status, "_gpl", "");
KSYMTAB_FUNC(nfs_wait_client_init_complete, "_gpl", "");
KSYMTAB_FUNC(nfs_get_client, "_gpl", "");
KSYMTAB_FUNC(nfs_mark_client_ready, "_gpl", "");
KSYMTAB_FUNC(nfs_init_timeout_values, "_gpl", "");
KSYMTAB_FUNC(nfs_create_rpc_client, "_gpl", "");
KSYMTAB_FUNC(nfs_init_server_rpcclient, "_gpl", "");
KSYMTAB_FUNC(nfs_init_client, "_gpl", "");
KSYMTAB_FUNC(nfs_probe_server, "_gpl", "");
KSYMTAB_FUNC(nfs_server_copy_userdata, "_gpl", "");
KSYMTAB_FUNC(nfs_server_insert_lists, "_gpl", "");
KSYMTAB_FUNC(nfs_server_remove_lists, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_server, "_gpl", "");
KSYMTAB_FUNC(nfs_free_server, "_gpl", "");
KSYMTAB_FUNC(nfs_create_server, "_gpl", "");
KSYMTAB_FUNC(nfs_clone_server, "_gpl", "");
KSYMTAB_FUNC(nfs_force_lookup_revalidate, "_gpl", "");
KSYMTAB_FUNC(nfs_set_verifier, "_gpl", "");
KSYMTAB_FUNC(nfs_clear_verifier_delegated, "_gpl", "");
KSYMTAB_DATA(nfs_dentry_operations, "_gpl", "");
KSYMTAB_FUNC(nfs_lookup, "_gpl", "");
KSYMTAB_FUNC(nfs_d_prune_case_insensitive_aliases, "_gpl", "");
KSYMTAB_DATA(nfs4_dentry_operations, "_gpl", "");
KSYMTAB_FUNC(nfs_atomic_open, "_gpl", "");
KSYMTAB_FUNC(nfs_atomic_open_v23, "_gpl", "");
KSYMTAB_FUNC(nfs_add_or_obtain, "_gpl", "");
KSYMTAB_FUNC(nfs_instantiate, "_gpl", "");
KSYMTAB_FUNC(nfs_create, "_gpl", "");
KSYMTAB_FUNC(nfs_mknod, "_gpl", "");
KSYMTAB_FUNC(nfs_mkdir, "_gpl", "");
KSYMTAB_FUNC(nfs_rmdir, "_gpl", "");
KSYMTAB_FUNC(nfs_unlink, "_gpl", "");
KSYMTAB_FUNC(nfs_symlink, "_gpl", "");
KSYMTAB_FUNC(nfs_link, "_gpl", "");
KSYMTAB_FUNC(nfs_rename, "_gpl", "");
KSYMTAB_FUNC(nfs_access_zap_cache, "_gpl", "");
KSYMTAB_FUNC(nfs_access_get_cached, "_gpl", "");
KSYMTAB_FUNC(nfs_access_add_cache, "_gpl", "");
KSYMTAB_FUNC(nfs_access_set_mask, "_gpl", "");
KSYMTAB_FUNC(nfs_may_open, "_gpl", "");
KSYMTAB_FUNC(nfs_permission, "_gpl", "");
KSYMTAB_FUNC(nfs_check_flags, "_gpl", "");
KSYMTAB_FUNC(nfs_file_release, "_gpl", "");
KSYMTAB_FUNC(nfs_file_llseek, "_gpl", "");
KSYMTAB_FUNC(nfs_file_read, "_gpl", "");
KSYMTAB_FUNC(nfs_file_splice_read, "_gpl", "");
KSYMTAB_FUNC(nfs_file_mmap, "_gpl", "");
KSYMTAB_FUNC(nfs_file_fsync, "_gpl", "");
KSYMTAB_FUNC(nfs_file_write, "_gpl", "");
KSYMTAB_FUNC(nfs_lock, "_gpl", "");
KSYMTAB_FUNC(nfs_flock, "_gpl", "");
KSYMTAB_DATA(nfs_file_operations, "_gpl", "");
KSYMTAB_FUNC(nfs_wait_bit_killable, "_gpl", "");
KSYMTAB_FUNC(nfs_drop_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_clear_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_sync_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_check_cache_invalid, "_gpl", "");
KSYMTAB_FUNC(nfs_set_cache_invalid, "_gpl", "");
KSYMTAB_FUNC(nfs_zap_acl_cache, "_gpl", "");
KSYMTAB_FUNC(nfs_invalidate_atime, "_gpl", "");
KSYMTAB_FUNC(nfs4_label_alloc, "_gpl", "");
KSYMTAB_FUNC(nfs_setsecurity, "_gpl", "");
KSYMTAB_FUNC(nfs_fhget, "_gpl", "");
KSYMTAB_FUNC(nfs_update_delegated_mtime, "_gpl", "");
KSYMTAB_FUNC(nfs_setattr, "_gpl", "");
KSYMTAB_FUNC(nfs_setattr_update_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_getattr, "_gpl", "");
KSYMTAB_FUNC(nfs_get_lock_context, "_gpl", "");
KSYMTAB_FUNC(nfs_put_lock_context, "_gpl", "");
KSYMTAB_FUNC(nfs_close_context, "_gpl", "");
KSYMTAB_FUNC(alloc_nfs_open_context, "_gpl", "");
KSYMTAB_FUNC(get_nfs_open_context, "_gpl", "");
KSYMTAB_FUNC(put_nfs_open_context, "_gpl", "");
KSYMTAB_FUNC(nfs_inode_attach_open_context, "_gpl", "");
KSYMTAB_FUNC(nfs_file_set_open_context, "_gpl", "");
KSYMTAB_FUNC(nfs_revalidate_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_inc_attr_generation_counter, "_gpl", "");
KSYMTAB_FUNC(nfs_fattr_init, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_fattr, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_fattr_with_label, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_fhandle, "_gpl", "");
KSYMTAB_FUNC(_nfs_display_fhandle_hash, "_gpl", "");
KSYMTAB_FUNC(_nfs_display_fhandle, "_gpl", "");
KSYMTAB_FUNC(nfs_refresh_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_post_op_update_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_post_op_update_inode_force_wcc, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_free_inode, "_gpl", "");
KSYMTAB_DATA(nfsiod_workqueue, "_gpl", "");
KSYMTAB_DATA(nfs_net_id, "_gpl", "");
KSYMTAB_DATA(nfs_sops, "_gpl", "");
KSYMTAB_FUNC(nfs_sb_active, "_gpl", "");
KSYMTAB_FUNC(nfs_sb_deactive, "_gpl", "");
KSYMTAB_FUNC(nfs_client_for_each_server, "_gpl", "");
KSYMTAB_FUNC(nfs_statfs, "_gpl", "");
KSYMTAB_FUNC(nfs_show_options, "_gpl", "");
KSYMTAB_FUNC(nfs_show_devname, "_gpl", "");
KSYMTAB_FUNC(nfs_show_path, "_gpl", "");
KSYMTAB_FUNC(nfs_show_stats, "_gpl", "");
KSYMTAB_FUNC(nfs_umount_begin, "_gpl", "");
KSYMTAB_FUNC(nfs_auth_info_match, "_gpl", "");
KSYMTAB_FUNC(nfs_try_get_tree, "_gpl", "");
KSYMTAB_FUNC(nfs_reconfigure, "_gpl", "");
KSYMTAB_FUNC(nfs_kill_super, "_gpl", "");
KSYMTAB_DATA(nfs_callback_nr_threads, "_gpl", "");
KSYMTAB_DATA(nfs_callback_set_tcpport, "_gpl", "");
KSYMTAB_DATA(nfs_idmap_cache_timeout, "_gpl", "");
KSYMTAB_DATA(nfs4_disable_idmapping, "_gpl", "");
KSYMTAB_DATA(max_session_slots, "_gpl", "");
KSYMTAB_DATA(max_session_cb_slots, "_gpl", "");
KSYMTAB_DATA(send_implementation_id, "_gpl", "");
KSYMTAB_DATA(nfs4_client_id_uniquifier, "_gpl", "");
KSYMTAB_DATA(recover_lost_locks, "_gpl", "");
KSYMTAB_DATA(nfs_delay_retrans, "_gpl", "");
KSYMTAB_FUNC(nfs_dreq_bytes_left, "_gpl", "");
KSYMTAB_FUNC(nfs_pgio_current_mirror, "_gpl", "");
KSYMTAB_FUNC(nfs_pgheader_init, "_gpl", "");
KSYMTAB_FUNC(nfs_async_iocounter_wait, "_gpl", "");
KSYMTAB_FUNC(nfs_release_request, "_gpl", "");
KSYMTAB_FUNC(nfs_generic_pg_test, "_gpl", "");
KSYMTAB_FUNC(nfs_pgio_header_alloc, "_gpl", "");
KSYMTAB_FUNC(nfs_pgio_header_free, "_gpl", "");
KSYMTAB_FUNC(nfs_initiate_pgio, "_gpl", "");
KSYMTAB_FUNC(nfs_generic_pgio, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_resend, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_init_read, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_reset_read_mds, "_gpl", "");
KSYMTAB_FUNC(nfs_read_alloc_scratch, "_gpl", "");
KSYMTAB_FUNC(nfs_commitdata_alloc, "_gpl", "");
KSYMTAB_FUNC(nfs_commit_free, "_gpl", "");
KSYMTAB_FUNC(nfs_request_add_commit_list_locked, "_gpl", "");
KSYMTAB_FUNC(nfs_request_add_commit_list, "_gpl", "");
KSYMTAB_FUNC(nfs_request_remove_commit_list, "_gpl", "");
KSYMTAB_FUNC(nfs_init_cinfo, "_gpl", "");
KSYMTAB_FUNC(nfs_scan_commit_list, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_init_write, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_reset_write_mds, "_gpl", "");
KSYMTAB_FUNC(nfs_writeback_update_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_commitdata_release, "_gpl", "");
KSYMTAB_FUNC(nfs_initiate_commit, "_gpl", "");
KSYMTAB_FUNC(nfs_init_commit, "_gpl", "");
KSYMTAB_FUNC(nfs_retry_commit, "_gpl", "");
KSYMTAB_FUNC(nfs_commit_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_write_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_filemap_write_and_wait_range, "_gpl", "");
KSYMTAB_FUNC(nfs_wb_all, "_gpl", "");
KSYMTAB_FUNC(nfs_path, "_gpl", "");
KSYMTAB_FUNC(nfs_do_submount, "_gpl", "");
KSYMTAB_FUNC(nfs_submount, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_fsync_enter, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_fsync_enter, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_fsync_enter, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs_fsync_enter, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_fsync_exit, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_fsync_exit, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_fsync_exit, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs_fsync_exit, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_xdr_status, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_xdr_status, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_xdr_status, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs_xdr_status, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_FUNC(nfs_sysfs_link_rpc_client, "_gpl", "");
KSYMTAB_FUNC(nfs_sysfs_add_server, "_gpl", "");
KSYMTAB_DATA(nfs_fs_type, "_gpl", "");
KSYMTAB_DATA(nfs4_fs_type, "_gpl", "");
KSYMTAB_FUNC(nfs_fscache_open_file, "_gpl", "");

SYMBOL_CRC(get_nfs_version, 0xb90f599e, "_gpl");
SYMBOL_CRC(register_nfs_version, 0x5fe198b6, "_gpl");
SYMBOL_CRC(unregister_nfs_version, 0xeca28066, "_gpl");
SYMBOL_CRC(nfs_alloc_client, 0xbac05982, "_gpl");
SYMBOL_CRC(nfs_free_client, 0x366d59af, "_gpl");
SYMBOL_CRC(nfs_put_client, 0x0a5d2f30, "_gpl");
SYMBOL_CRC(nfs_client_init_is_complete, 0xdc86c4e8, "_gpl");
SYMBOL_CRC(nfs_client_init_status, 0xbcd5b85e, "_gpl");
SYMBOL_CRC(nfs_wait_client_init_complete, 0xf018b027, "_gpl");
SYMBOL_CRC(nfs_get_client, 0xd7eff1d0, "_gpl");
SYMBOL_CRC(nfs_mark_client_ready, 0xb0e70528, "_gpl");
SYMBOL_CRC(nfs_init_timeout_values, 0x98b0ece8, "_gpl");
SYMBOL_CRC(nfs_create_rpc_client, 0x0b6cbc6d, "_gpl");
SYMBOL_CRC(nfs_init_server_rpcclient, 0x605b5852, "_gpl");
SYMBOL_CRC(nfs_init_client, 0x1b13f557, "_gpl");
SYMBOL_CRC(nfs_probe_server, 0x76dabd7e, "_gpl");
SYMBOL_CRC(nfs_server_copy_userdata, 0x71c8621a, "_gpl");
SYMBOL_CRC(nfs_server_insert_lists, 0x0e98b6b9, "_gpl");
SYMBOL_CRC(nfs_server_remove_lists, 0xfb317980, "_gpl");
SYMBOL_CRC(nfs_alloc_server, 0x47bcf214, "_gpl");
SYMBOL_CRC(nfs_free_server, 0xfdfa4b30, "_gpl");
SYMBOL_CRC(nfs_create_server, 0x218d5962, "_gpl");
SYMBOL_CRC(nfs_clone_server, 0xc2dbcbac, "_gpl");
SYMBOL_CRC(nfs_force_lookup_revalidate, 0x3c5b6663, "_gpl");
SYMBOL_CRC(nfs_set_verifier, 0xdf581aa1, "_gpl");
SYMBOL_CRC(nfs_clear_verifier_delegated, 0x4d0fbd3a, "_gpl");
SYMBOL_CRC(nfs_dentry_operations, 0x23aa99b8, "_gpl");
SYMBOL_CRC(nfs_lookup, 0xe9ff3820, "_gpl");
SYMBOL_CRC(nfs_d_prune_case_insensitive_aliases, 0x18a0f389, "_gpl");
SYMBOL_CRC(nfs4_dentry_operations, 0x72a8e5c3, "_gpl");
SYMBOL_CRC(nfs_atomic_open, 0x3f703473, "_gpl");
SYMBOL_CRC(nfs_atomic_open_v23, 0x03d42d31, "_gpl");
SYMBOL_CRC(nfs_add_or_obtain, 0xa0d44ad8, "_gpl");
SYMBOL_CRC(nfs_instantiate, 0x645100e6, "_gpl");
SYMBOL_CRC(nfs_create, 0x359b62cc, "_gpl");
SYMBOL_CRC(nfs_mknod, 0x254784f5, "_gpl");
SYMBOL_CRC(nfs_mkdir, 0x75087a91, "_gpl");
SYMBOL_CRC(nfs_rmdir, 0x86df8086, "_gpl");
SYMBOL_CRC(nfs_unlink, 0x6a1ff5b1, "_gpl");
SYMBOL_CRC(nfs_symlink, 0x6b163b44, "_gpl");
SYMBOL_CRC(nfs_link, 0x29640350, "_gpl");
SYMBOL_CRC(nfs_rename, 0xdb790693, "_gpl");
SYMBOL_CRC(nfs_access_zap_cache, 0x7993c4ec, "_gpl");
SYMBOL_CRC(nfs_access_get_cached, 0xe2f3f834, "_gpl");
SYMBOL_CRC(nfs_access_add_cache, 0xdc414ff6, "_gpl");
SYMBOL_CRC(nfs_access_set_mask, 0x08e162a8, "_gpl");
SYMBOL_CRC(nfs_may_open, 0x69c4e4b1, "_gpl");
SYMBOL_CRC(nfs_permission, 0xd8fe26d0, "_gpl");
SYMBOL_CRC(nfs_check_flags, 0x3f2690f2, "_gpl");
SYMBOL_CRC(nfs_file_release, 0xffbdac95, "_gpl");
SYMBOL_CRC(nfs_file_llseek, 0x409f8370, "_gpl");
SYMBOL_CRC(nfs_file_read, 0xd9a4360a, "_gpl");
SYMBOL_CRC(nfs_file_splice_read, 0x906eef6d, "_gpl");
SYMBOL_CRC(nfs_file_mmap, 0x960edbff, "_gpl");
SYMBOL_CRC(nfs_file_fsync, 0xef02af29, "_gpl");
SYMBOL_CRC(nfs_file_write, 0xfcbb46b1, "_gpl");
SYMBOL_CRC(nfs_lock, 0x268e7305, "_gpl");
SYMBOL_CRC(nfs_flock, 0xe1401a71, "_gpl");
SYMBOL_CRC(nfs_file_operations, 0x111c6270, "_gpl");
SYMBOL_CRC(nfs_wait_bit_killable, 0x4161e916, "_gpl");
SYMBOL_CRC(nfs_drop_inode, 0xac8498e1, "_gpl");
SYMBOL_CRC(nfs_clear_inode, 0x1b06dd8d, "_gpl");
SYMBOL_CRC(nfs_sync_inode, 0x7820af3c, "_gpl");
SYMBOL_CRC(nfs_check_cache_invalid, 0x2c8f849d, "_gpl");
SYMBOL_CRC(nfs_set_cache_invalid, 0xe049ad4e, "_gpl");
SYMBOL_CRC(nfs_zap_acl_cache, 0xce2e43f6, "_gpl");
SYMBOL_CRC(nfs_invalidate_atime, 0x0b31cc42, "_gpl");
SYMBOL_CRC(nfs4_label_alloc, 0x38e2041d, "_gpl");
SYMBOL_CRC(nfs_setsecurity, 0xb86cea96, "_gpl");
SYMBOL_CRC(nfs_fhget, 0x814b54fc, "_gpl");
SYMBOL_CRC(nfs_update_delegated_mtime, 0x09a18b89, "_gpl");
SYMBOL_CRC(nfs_setattr, 0x53f2f472, "_gpl");
SYMBOL_CRC(nfs_setattr_update_inode, 0xf4f6d3ef, "_gpl");
SYMBOL_CRC(nfs_getattr, 0x59a9651b, "_gpl");
SYMBOL_CRC(nfs_get_lock_context, 0xe69c9311, "_gpl");
SYMBOL_CRC(nfs_put_lock_context, 0x42386479, "_gpl");
SYMBOL_CRC(nfs_close_context, 0xc9a7c64c, "_gpl");
SYMBOL_CRC(alloc_nfs_open_context, 0xe8b837ed, "_gpl");
SYMBOL_CRC(get_nfs_open_context, 0xd5f0aee9, "_gpl");
SYMBOL_CRC(put_nfs_open_context, 0x234d55cb, "_gpl");
SYMBOL_CRC(nfs_inode_attach_open_context, 0x7d06a77a, "_gpl");
SYMBOL_CRC(nfs_file_set_open_context, 0xe243d9bc, "_gpl");
SYMBOL_CRC(nfs_revalidate_inode, 0x7d2fdfa6, "_gpl");
SYMBOL_CRC(nfs_inc_attr_generation_counter, 0x584b8482, "_gpl");
SYMBOL_CRC(nfs_fattr_init, 0x4ed2b7d9, "_gpl");
SYMBOL_CRC(nfs_alloc_fattr, 0x2d0f9b90, "_gpl");
SYMBOL_CRC(nfs_alloc_fattr_with_label, 0x4eb94e87, "_gpl");
SYMBOL_CRC(nfs_alloc_fhandle, 0x26884ff7, "_gpl");
SYMBOL_CRC(_nfs_display_fhandle_hash, 0x22d795a8, "_gpl");
SYMBOL_CRC(_nfs_display_fhandle, 0xfc619abd, "_gpl");
SYMBOL_CRC(nfs_refresh_inode, 0xa5f5cff8, "_gpl");
SYMBOL_CRC(nfs_post_op_update_inode, 0x72c4ce23, "_gpl");
SYMBOL_CRC(nfs_post_op_update_inode_force_wcc, 0x39ee24a8, "_gpl");
SYMBOL_CRC(nfs_alloc_inode, 0x600c0a6b, "_gpl");
SYMBOL_CRC(nfs_free_inode, 0xee3799e6, "_gpl");
SYMBOL_CRC(nfsiod_workqueue, 0x90a5530f, "_gpl");
SYMBOL_CRC(nfs_net_id, 0xc3a2be67, "_gpl");
SYMBOL_CRC(nfs_sops, 0xca5047fc, "_gpl");
SYMBOL_CRC(nfs_sb_active, 0xa517b7dd, "_gpl");
SYMBOL_CRC(nfs_sb_deactive, 0x86c44a31, "_gpl");
SYMBOL_CRC(nfs_client_for_each_server, 0x66254626, "_gpl");
SYMBOL_CRC(nfs_statfs, 0x07a80f94, "_gpl");
SYMBOL_CRC(nfs_show_options, 0x16533e28, "_gpl");
SYMBOL_CRC(nfs_show_devname, 0xa0f76506, "_gpl");
SYMBOL_CRC(nfs_show_path, 0x9849a890, "_gpl");
SYMBOL_CRC(nfs_show_stats, 0xc8f26ba9, "_gpl");
SYMBOL_CRC(nfs_umount_begin, 0xea42697a, "_gpl");
SYMBOL_CRC(nfs_auth_info_match, 0x10962bc2, "_gpl");
SYMBOL_CRC(nfs_try_get_tree, 0x6ed096f6, "_gpl");
SYMBOL_CRC(nfs_reconfigure, 0xa43c4a59, "_gpl");
SYMBOL_CRC(nfs_kill_super, 0xce95c058, "_gpl");
SYMBOL_CRC(nfs_callback_nr_threads, 0x0294c6a2, "_gpl");
SYMBOL_CRC(nfs_callback_set_tcpport, 0x51892d61, "_gpl");
SYMBOL_CRC(nfs_idmap_cache_timeout, 0x39e05ac3, "_gpl");
SYMBOL_CRC(nfs4_disable_idmapping, 0xdae9b5d7, "_gpl");
SYMBOL_CRC(max_session_slots, 0x91d1fe52, "_gpl");
SYMBOL_CRC(max_session_cb_slots, 0xaafd4acc, "_gpl");
SYMBOL_CRC(send_implementation_id, 0xa8e9e1ae, "_gpl");
SYMBOL_CRC(nfs4_client_id_uniquifier, 0x42f2c81f, "_gpl");
SYMBOL_CRC(recover_lost_locks, 0x4cb9e001, "_gpl");
SYMBOL_CRC(nfs_delay_retrans, 0xefa414fb, "_gpl");
SYMBOL_CRC(nfs_dreq_bytes_left, 0xc3b9ab82, "_gpl");
SYMBOL_CRC(nfs_pgio_current_mirror, 0xed6b4150, "_gpl");
SYMBOL_CRC(nfs_pgheader_init, 0xae304142, "_gpl");
SYMBOL_CRC(nfs_async_iocounter_wait, 0xad26ff52, "_gpl");
SYMBOL_CRC(nfs_release_request, 0x591b8cfc, "_gpl");
SYMBOL_CRC(nfs_generic_pg_test, 0x2bb94bc0, "_gpl");
SYMBOL_CRC(nfs_pgio_header_alloc, 0x40e841d1, "_gpl");
SYMBOL_CRC(nfs_pgio_header_free, 0xa3d158e7, "_gpl");
SYMBOL_CRC(nfs_initiate_pgio, 0x12e5b587, "_gpl");
SYMBOL_CRC(nfs_generic_pgio, 0x42bd7ecf, "_gpl");
SYMBOL_CRC(nfs_pageio_resend, 0xd3a96897, "_gpl");
SYMBOL_CRC(nfs_pageio_init_read, 0x152b0379, "_gpl");
SYMBOL_CRC(nfs_pageio_reset_read_mds, 0x148671a0, "_gpl");
SYMBOL_CRC(nfs_read_alloc_scratch, 0x8f712c33, "_gpl");
SYMBOL_CRC(nfs_commitdata_alloc, 0xe809e03a, "_gpl");
SYMBOL_CRC(nfs_commit_free, 0x8bfa513d, "_gpl");
SYMBOL_CRC(nfs_request_add_commit_list_locked, 0xc201a018, "_gpl");
SYMBOL_CRC(nfs_request_add_commit_list, 0xa1f0ba9b, "_gpl");
SYMBOL_CRC(nfs_request_remove_commit_list, 0xdaef2583, "_gpl");
SYMBOL_CRC(nfs_init_cinfo, 0xc533c9c2, "_gpl");
SYMBOL_CRC(nfs_scan_commit_list, 0x66ee5807, "_gpl");
SYMBOL_CRC(nfs_pageio_init_write, 0xf1774a66, "_gpl");
SYMBOL_CRC(nfs_pageio_reset_write_mds, 0x5f482ad1, "_gpl");
SYMBOL_CRC(nfs_writeback_update_inode, 0xf0cea03c, "_gpl");
SYMBOL_CRC(nfs_commitdata_release, 0xe0e31977, "_gpl");
SYMBOL_CRC(nfs_initiate_commit, 0x0f2ad569, "_gpl");
SYMBOL_CRC(nfs_init_commit, 0x74596889, "_gpl");
SYMBOL_CRC(nfs_retry_commit, 0x7b72d639, "_gpl");
SYMBOL_CRC(nfs_commit_inode, 0xd1b1327f, "_gpl");
SYMBOL_CRC(nfs_write_inode, 0x3e41c092, "_gpl");
SYMBOL_CRC(nfs_filemap_write_and_wait_range, 0x4c50653c, "_gpl");
SYMBOL_CRC(nfs_wb_all, 0xf66358a7, "_gpl");
SYMBOL_CRC(nfs_path, 0x3f40762b, "_gpl");
SYMBOL_CRC(nfs_do_submount, 0x4270796f, "_gpl");
SYMBOL_CRC(nfs_submount, 0xb40c1bdd, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_fsync_enter, 0xfc423e7b, "_gpl");
SYMBOL_CRC(__traceiter_nfs_fsync_enter, 0xa7dd814e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_fsync_enter, 0xf96f04c4, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs_fsync_enter, 0xfd3c0de6, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_fsync_exit, 0x43ec5cf5, "_gpl");
SYMBOL_CRC(__traceiter_nfs_fsync_exit, 0x36d10c41, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_fsync_exit, 0x6e81f032, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs_fsync_exit, 0x9d919c44, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_xdr_status, 0x5eb25807, "_gpl");
SYMBOL_CRC(__traceiter_nfs_xdr_status, 0xa1a739a0, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_xdr_status, 0x73dff4c0, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs_xdr_status, 0xfeb42418, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_xdr_bad_filehandle, 0xe8537f7b, "_gpl");
SYMBOL_CRC(__traceiter_nfs_xdr_bad_filehandle, 0x4d7ffc83, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_xdr_bad_filehandle, 0x95007f7e, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs_xdr_bad_filehandle, 0x37239e6d, "_gpl");
SYMBOL_CRC(nfs_sysfs_link_rpc_client, 0xfaf4a27f, "_gpl");
SYMBOL_CRC(nfs_sysfs_add_server, 0x5bb37edd, "_gpl");
SYMBOL_CRC(nfs_fs_type, 0x187ad3f0, "_gpl");
SYMBOL_CRC(nfs4_fs_type, 0xbc0a0636, "_gpl");
SYMBOL_CRC(nfs_fscache_open_file, 0x556a2f9e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9411ed04, "rpc_put_task" },
	{ 0xb286fcd6, "super_setup_bdi_name" },
	{ 0x9c7a9b81, "posix_test_lock" },
	{ 0xb9856cf9, "inode_update_timestamps" },
	{ 0xbf1c9c95, "filemap_fdatawrite" },
	{ 0x9ccbb04d, "generic_fillattr" },
	{ 0xda323d31, "vfs_fsync_range" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xc933b109, "shrinker_alloc" },
	{ 0x40fa0b3c, "clear_nlink" },
	{ 0x27e3c168, "file_check_and_advance_wb_err" },
	{ 0x35a169f0, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd01446ee, "d_alloc_parallel" },
	{ 0x0d542439, "__ipv6_addr_type" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0x3c185c61, "page_put_link" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xaba94751, "clear_inode" },
	{ 0x8f725a7a, "inode_to_bdi" },
	{ 0x2b3f0532, "bpf_trace_run4" },
	{ 0x22833a2b, "__fscache_acquire_volume" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xd2acc868, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8f924adf, "proc_dointvec_jiffies" },
	{ 0x45b26438, "rpc_proc_register" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x59c58af1, "sysfs_create_file_ns" },
	{ 0x6172d861, "rpc_shutdown_client" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x70a23133, "fs_param_is_string" },
	{ 0xfb68cc81, "folio_unlock" },
	{ 0xe8083ce7, "mnt_set_expiry" },
	{ 0x96f17817, "param_ops_ushort" },
	{ 0x3e9b9dcf, "lookup_one_len" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xe42a7ef1, "rpc_clnt_show_stats" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x52d0c0a8, "filemap_map_pages" },
	{ 0x0b5783dd, "xdr_inline_decode" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7091822b, "trace_raw_output_prep" },
	{ 0x2591fb8b, "kobject_rename" },
	{ 0x09d85c3d, "security_sb_set_mnt_opts" },
	{ 0xc45142ec, "init_special_inode" },
	{ 0x9401cef5, "unregister_filesystem" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x2d4e02a2, "generic_error_remove_folio" },
	{ 0x11740df1, "__trace_trigger_soft_disabled" },
	{ 0x521a9448, "filemap_fdatawrite_range" },
	{ 0xfb2b9d07, "folio_wait_bit_killable" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xf9f044fc, "rpc_wake_up" },
	{ 0xdd691402, "xprt_find_transport_ident" },
	{ 0xc050640f, "d_make_root" },
	{ 0x2eae3806, "trace_event_printf" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xcdb1e667, "sync_filesystem" },
	{ 0x58c2545f, "__fscache_unuse_cookie" },
	{ 0x30e2f053, "folio_redirty_for_writepage" },
	{ 0x28915cf9, "sget_fc" },
	{ 0xef210d5c, "d_splice_alias" },
	{ 0xfc1acff8, "trace_event_raw_init" },
	{ 0x24c0c03d, "trace_print_symbols_seq" },
	{ 0x2e60bace, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0xc9d0ef50, "unmap_mapping_range" },
	{ 0x21944707, "ihold" },
	{ 0x9a032f25, "inode_dio_wait" },
	{ 0xf1d9efdc, "generic_permission" },
	{ 0x037a0cba, "kfree" },
	{ 0x0a72e547, "invalidate_inode_pages2_range" },
	{ 0xcb39d019, "read_cache_page" },
	{ 0xe52143cf, "finish_open" },
	{ 0xc4cc063a, "iput" },
	{ 0x756609ff, "kset_unregister" },
	{ 0xb500974e, "pcpu_hot" },
	{ 0x4e45c820, "security_sb_clone_mnt_opts" },
	{ 0x574dadf5, "fs_param_is_enum" },
	{ 0x7ee726c9, "logfc" },
	{ 0xb8b130fa, "iter_file_splice_write" },
	{ 0x07a9b7b7, "rpc_pton" },
	{ 0xf60a1e3a, "mod_node_page_state" },
	{ 0x60a956f7, "rpc_wake_up_queued_task" },
	{ 0x81e7a544, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x3a375ec6, "out_of_line_wait_on_bit" },
	{ 0x6241afcb, "remove_proc_subtree" },
	{ 0x0ff2d102, "rpc_restart_call_prepare" },
	{ 0x8310e3ff, "d_lookup" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x95548ea9, "__module_get" },
	{ 0x1e7c0353, "__fscache_relinquish_cookie" },
	{ 0x03518242, "register_filesystem" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x185fb1d4, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xd9497d10, "trace_print_hex_seq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0xb3ba4991, "filemap_add_folio" },
	{ 0xc50198bb, "rpc_sleep_on" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xf1c1857d, "rpc_run_task" },
	{ 0x6e21972d, "netfs_readahead" },
	{ 0xb93fa203, "proc_create_net_data" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x27f30818, "d_prune_aliases" },
	{ 0xd8527f8e, "__put_cred" },
	{ 0xf62cfb10, "register_pernet_subsys" },
	{ 0x4b761c3c, "rpc_cancel_tasks" },
	{ 0xb90b3be4, "shrinker_free" },
	{ 0x107846b9, "trace_event_buffer_commit" },
	{ 0xb678366f, "int_sqrt" },
	{ 0xe2a489a9, "filemap_fdatawrite_range_kick" },
	{ 0x6fb26f87, "migrate_folio" },
	{ 0xa6380f97, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x0668b595, "_kstrtoul" },
	{ 0x98efdbbb, "add_swap_extent" },
	{ 0xa95aaee1, "fs_param_is_u32" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf33e8101, "inode_newsize_ok" },
	{ 0x42efdb56, "d_drop" },
	{ 0x855afe31, "deactivate_super" },
	{ 0x135b5701, "unlock_new_inode" },
	{ 0x070f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x4292364c, "schedule" },
	{ 0xdef3fea2, "security_sb_mnt_opts_compat" },
	{ 0xee445989, "param_get_uint" },
	{ 0x2809981a, "vfs_parse_fs_string" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x892114c6, "unregister_sysctl_table" },
	{ 0x48c18c17, "make_kuid" },
	{ 0xc5b615a3, "truncate_inode_pages_final" },
	{ 0x9271fa70, "d_alloc" },
	{ 0x7d7b51a8, "fs_kobj" },
	{ 0x25159df7, "net_ns_type_operations" },
	{ 0xc933a516, "__filemap_set_wb_err" },
	{ 0xb8fcdc74, "generic_file_mmap" },
	{ 0x738803e6, "strnlen" },
	{ 0xd8c6838b, "generic_perform_write" },
	{ 0x693318bf, "shrinker_register" },
	{ 0xcdfdc287, "__filemap_get_folio" },
	{ 0xbd750762, "const_pcpu_hot" },
	{ 0x1e4c5810, "simple_nosetlease" },
	{ 0x681549bc, "init_wait_var_entry" },
	{ 0xfbcb0b03, "bit_wait" },
	{ 0x695ddb34, "module_put" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x6ed006cf, "rpc_setbufsize" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xaea1a544, "fs_context_for_submount" },
	{ 0x00fd4dce, "inode_init_once" },
	{ 0x78344879, "folio_wait_private_2" },
	{ 0x7b5094f3, "file_write_and_wait_range" },
	{ 0x769f6e64, "errseq_check" },
	{ 0x85594ddf, "__kmap_local_page_prot" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x5c0e9cfe, "__fscache_relinquish_volume" },
	{ 0xe400dc40, "bit_wait_io" },
	{ 0xda7a1bf7, "seq_escape_mem" },
	{ 0x4c7c21a4, "ilookup5" },
	{ 0xd0807d9a, "mempool_alloc_noprof" },
	{ 0x82a20ce1, "generic_parse_monolithic" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2fd2456d, "inode_nohighmem" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x66f13687, "perf_trace_run_bpf_submit" },
	{ 0x84462ced, "security_d_instantiate" },
	{ 0x5af8e078, "down_write" },
	{ 0x41482d8b, "strndup_user" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xa6d7b87a, "generic_file_read_iter" },
	{ 0x05b1f023, "rpc_clone_client_set_auth" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xc3fa6a59, "memchr" },
	{ 0xe98be7cb, "truncate_pagecache" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc277accc, "put_fs_context" },
	{ 0xaa56b6c3, "rpc_peeraddr2str" },
	{ 0x3560e651, "kmemdup_nul" },
	{ 0xff3c02c8, "kobj_sysfs_ops" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xc2350b9c, "bpf_trace_run5" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x420eabe4, "mem_section" },
	{ 0x44a4263c, "zero_user_segments" },
	{ 0x8b650d54, "write_cache_pages" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x74cbec0b, "set_nlink" },
	{ 0x5689ecaf, "kmem_cache_alloc_lru_noprof" },
	{ 0x3a191729, "kmem_cache_free" },
	{ 0x14afd6f5, "rpc_max_payload" },
	{ 0x82d79b51, "sysctl_vfs_cache_pressure" },
	{ 0xccbc66b7, "d_move" },
	{ 0xadb0efb2, "seq_putc" },
	{ 0xadf6e956, "rpc_proc_unregister" },
	{ 0x09268685, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xa58de75c, "vfs_create_mount" },
	{ 0x064db9a5, "mark_mounts_for_expiry" },
	{ 0xc92f5b96, "atomic64_read_cx8" },
	{ 0x375905de, "folio_wait_writeback" },
	{ 0xff59d0b4, "page_to_nid" },
	{ 0xffb7c514, "ida_free" },
	{ 0x5256da2f, "nlmclnt_rpc_clnt" },
	{ 0x0b2455a1, "rpc_clnt_swap_activate" },
	{ 0xea4a09cb, "mod_delayed_work_on" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x3f9a2b0b, "rpcauth_get_gssinfo" },
	{ 0x84f4a686, "kobject_init_and_add" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xaa19e4aa, "_kstrtol" },
	{ 0xfb6842a0, "write_inode_now" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0x23d1eec5, "d_obtain_alias" },
	{ 0x8039b3fd, "_totalram_pages" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0xd8a6bc84, "folio_end_read" },
	{ 0x20463df4, "wait_for_completion_killable" },
	{ 0x2a304b28, "rpc_create" },
	{ 0x8b558328, "finish_no_open" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x076ed885, "__folio_start_writeback" },
	{ 0xd87c5a7c, "d_obtain_root" },
	{ 0x2df0fdad, "bpf_trace_run1" },
	{ 0x85a69633, "param_ops_short" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x9e332451, "folio_end_writeback" },
	{ 0x8d3ab486, "folio_alloc_noprof" },
	{ 0x6e592b5b, "rpc_call_sync" },
	{ 0x8ee5c4ee, "proc_mkdir" },
	{ 0x0b16341a, "__default_kernel_pte_mask" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x50d10e55, "rpc_put_task_async" },
	{ 0xb5795bef, "unregister_pernet_subsys" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x424c4a8c, "xdr_init_decode_pages" },
	{ 0x419f71ae, "register_sysctl_sz" },
	{ 0x353ec1a6, "netfs_read_subreq_terminated" },
	{ 0x86d52ba5, "lookup_constant" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4cfadb32, "kmem_cache_alloc_noprof" },
	{ 0x7682717a, "kmemdup_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x74b19fe1, "rpc_exit" },
	{ 0x15eb4d72, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x9803e483, "d_delete" },
	{ 0xb59dd82c, "__kmem_cache_create_args" },
	{ 0x93ccb6ec, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x7ee9eda4, "out_of_line_wait_on_bit_lock" },
	{ 0x746f93e4, "nfs_ssc_unregister" },
	{ 0x18b90532, "rpc_killall_tasks" },
	{ 0x55509ab7, "down_read_killable" },
	{ 0xc9bba4b6, "down_read" },
	{ 0x5001e2f9, "xdr_reserve_space" },
	{ 0x7fe32873, "rb_replace_node" },
	{ 0x0a3131f6, "strnchr" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe26ad3a8, "iov_iter_get_pages_alloc2" },
	{ 0x4804db12, "set_page_dirty" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0xed3f2df3, "bpf_trace_run3" },
	{ 0xf32eaac1, "__put_net" },
	{ 0x780940d8, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xcaf99d89, "netfs_read_folio" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc84531eb, "atomic64_add_return_cx8" },
	{ 0xfd5a32d9, "pcpu_alloc_noprof" },
	{ 0xac6fce9f, "generic_read_dir" },
	{ 0xb9831279, "kobject_del" },
	{ 0x4e578a2f, "trace_event_buffer_reserve" },
	{ 0x96408e22, "crc32_le_arch" },
	{ 0x19c47904, "d_add" },
	{ 0xe6fa06a2, "rename_lock" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x545d52e6, "down_write_killable" },
	{ 0x56a24799, "filemap_fdatawait_range" },
	{ 0x2213aa1f, "mempool_create_node_noprof" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xb4dcb7ed, "param_ops_bool" },
	{ 0x5f4a905c, "groups_free" },
	{ 0x918bb463, "security_inode_notifysecctx" },
	{ 0x20a3d259, "nfs_ssc_register" },
	{ 0x4851081a, "init_user_ns" },
	{ 0x00aa1603, "xa_find" },
	{ 0xfe057d47, "invalidate_inode_pages2" },
	{ 0xc1eaf630, "seq_write" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0x90855797, "__folio_put" },
	{ 0xe61b857d, "kobject_set_name" },
	{ 0xc33380b0, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x384785e1, "seq_printf" },
	{ 0xe95d1363, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0x85174991, "rpc_init_wait_queue" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x2914ce75, "deactivate_locked_super" },
	{ 0x0fdc6e48, "put_rpccred" },
	{ 0xb973fe9e, "__percpu_down_read" },
	{ 0xfbb8d148, "__d_lookup_unhash_wake" },
	{ 0x1714dbd8, "rpc_clnt_swap_deactivate" },
	{ 0xd0ecf134, "kobject_uevent" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xfb7ded71, "__fscache_invalidate" },
	{ 0xa8861fb1, "__x86_indirect_thunk_eax" },
	{ 0xdb6a22a6, "folio_mapping" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x4a7f5bf1, "downgrade_write" },
	{ 0x9cac3696, "alloc_pages_noprof" },
	{ 0x2a70c384, "cred_fscmp" },
	{ 0xb01c3b39, "__folio_lock" },
	{ 0x9ca4593d, "filemap_dirty_folio" },
	{ 0x2a5b525e, "pagecache_get_page" },
	{ 0x96e31893, "is_bad_inode" },
	{ 0x43e9a211, "proc_dointvec" },
	{ 0x5fab1577, "__fscache_use_cookie" },
	{ 0x18c59be5, "rcuwait_wake_up" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x1f85b734, "_proc_mkdir" },
	{ 0xdcc9c315, "node_data" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0x9382b217, "rpc_clnt_xprt_switch_has_addr" },
	{ 0x52349391, "__fs_parse" },
	{ 0xe36606ee, "sysfs_create_link_nowarn" },
	{ 0x558b4ce0, "filemap_splice_read" },
	{ 0xe2e031a8, "dget_parent" },
	{ 0x6efe0da3, "nlmclnt_init" },
	{ 0xc2babab8, "__seq_puts" },
	{ 0x4a1cd8ef, "kill_anon_super" },
	{ 0x344d8e0c, "xa_find_after" },
	{ 0xcf632ad1, "iget5_locked" },
	{ 0x0ca3dd82, "filemap_write_and_wait_range" },
	{ 0x51f96847, "page_address" },
	{ 0x8a867332, "kset_register" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xdb1398d6, "nlmclnt_done" },
	{ 0xd0d8621b, "strlen" },
	{ 0x0f4d109c, "proc_symlink" },
	{ 0xb93ba240, "wake_up_bit" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0xd8fc81ed, "param_ops_int" },
	{ 0x5e06bc5c, "refcount_dec_and_lock" },
	{ 0xbd32259f, "iov_iter_revert" },
	{ 0xb398d8c1, "generic_write_checks" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x4f0bc7c9, "mntget" },
	{ 0xaf3fa9a9, "setattr_should_drop_sgid" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0x70ebd231, "filemap_fault" },
	{ 0x4054dcbb, "d_invalidate" },
	{ 0x73c06643, "__mark_inode_dirty" },
	{ 0xc10b5e43, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x1495a088, "folio_wait_private_2_killable" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x29f3a126, "up_read" },
	{ 0x9ed85416, "rpc_wait_for_completion_task" },
	{ 0x88453323, "set_anon_super" },
	{ 0x3b4bcf8d, "drop_nlink" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x6776093b, "atomic64_set_cx8" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x46534646, "kmalloc_caches" },
	{ 0x9d25894d, "inode_set_ctime_to_ts" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xa3bc7eae, "kmem_cache_destroy" },
	{ 0xf40b642a, "__fscache_acquire_cookie" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x059a8b79, "kobject_put" },
	{ 0x1074afc0, "vfs_get_tree" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xee11a538, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,netfs,lockd");


MODULE_INFO(srcversion, "C595B7D9BEE380AFFFDE96D");
