#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ip_tunnel_lookup, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_md_udp_encap, "", "");
KSYMTAB_FUNC(ip_tunnel_rcv, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_encap_add_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_del_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip_md_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_ctl, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_from_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_to_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_siocdevprivate, "_gpl", "");
KSYMTAB_FUNC(__ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_dellink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_get_link_net, "", "");
KSYMTAB_FUNC(ip_tunnel_get_iflink, "", "");
KSYMTAB_FUNC(ip_tunnel_init_net, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_delete_nets, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_newlink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_changelink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_init, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_uninit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_setup, "_gpl", "");

SYMBOL_CRC(ip_tunnel_lookup, 0x212e0acc, "_gpl");
SYMBOL_CRC(ip_tunnel_md_udp_encap, 0x47a1dafd, "");
SYMBOL_CRC(ip_tunnel_rcv, 0x916d6711, "_gpl");
SYMBOL_CRC(ip_tunnel_encap_add_ops, 0x23022af6, "");
SYMBOL_CRC(ip_tunnel_encap_del_ops, 0x1a723c6a, "");
SYMBOL_CRC(ip_tunnel_encap_setup, 0xdd3425d2, "_gpl");
SYMBOL_CRC(ip_md_tunnel_xmit, 0x9459e726, "_gpl");
SYMBOL_CRC(ip_tunnel_xmit, 0xe7636904, "_gpl");
SYMBOL_CRC(ip_tunnel_ctl, 0xdbd9ac85, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_from_user, 0x7f835b87, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_to_user, 0xfca8744d, "_gpl");
SYMBOL_CRC(ip_tunnel_siocdevprivate, 0x5a11c269, "_gpl");
SYMBOL_CRC(__ip_tunnel_change_mtu, 0x7fc1828e, "_gpl");
SYMBOL_CRC(ip_tunnel_change_mtu, 0x210f7e04, "_gpl");
SYMBOL_CRC(ip_tunnel_dellink, 0x5a42537a, "_gpl");
SYMBOL_CRC(ip_tunnel_get_link_net, 0xb1c74d38, "");
SYMBOL_CRC(ip_tunnel_get_iflink, 0x4fbdc3f3, "");
SYMBOL_CRC(ip_tunnel_init_net, 0x3ff24108, "_gpl");
SYMBOL_CRC(ip_tunnel_delete_nets, 0x6a33f2d0, "_gpl");
SYMBOL_CRC(ip_tunnel_newlink, 0x3be0a935, "_gpl");
SYMBOL_CRC(ip_tunnel_changelink, 0xe750e673, "_gpl");
SYMBOL_CRC(ip_tunnel_init, 0xc42a0f83, "_gpl");
SYMBOL_CRC(ip_tunnel_uninit, 0x2be8b5aa, "_gpl");
SYMBOL_CRC(ip_tunnel_setup, 0x96da359c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xef58cd72, "iptun_encaps" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xd0d8621b, "strlen" },
	{ 0x738803e6, "strnlen" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xf9e3fdbe, "alloc_netdev_mqs" },
	{ 0x45eaedea, "register_netdevice" },
	{ 0x25b53a07, "free_netdev" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7821fa2c, "unregister_netdevice_queue" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x5e3e52c5, "gro_cells_init" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xaae73de8, "ip_route_output_flow" },
	{ 0xbee35b3f, "dst_release" },
	{ 0x4636d3d9, "__dev_get_by_index" },
	{ 0x645d2895, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x391f6f8c, "dev_addr_mod" },
	{ 0xe5b92c62, "netdev_state_change" },
	{ 0xdc3a193d, "ns_capable" },
	{ 0xca5ea551, "dev_set_mtu" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xe738a2b7, "init_net" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x8b333d9f, "ip6_mtu" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x72cf8c59, "icmpv6_ndo_send" },
	{ 0xf4fca823, "icmp_ndo_send" },
	{ 0xc4d75ecd, "ipv4_mtu" },
	{ 0xbfa0eae4, "sk_skb_reason_drop" },
	{ 0xf324a984, "dst_cache_get_ip4" },
	{ 0x9f942b97, "dst_cache_set_ip4" },
	{ 0xc18f9b54, "iptunnel_xmit" },
	{ 0x3c2cd6be, "__skb_get_hash_net" },
	{ 0x526bd7b2, "skb_copy_bits" },
	{ 0x0d542439, "__ipv6_addr_type" },
	{ 0x826f5856, "pskb_expand_head" },
	{ 0xef63b073, "neigh_destroy" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xca0fc8b5, "__pskb_pull_tail" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xa78cc6f7, "skb_scrub_packet" },
	{ 0x0811c908, "gro_cells_receive" },
	{ 0x4f01b818, "eth_type_trans" },
	{ 0x07d50a24, "csum_partial" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x070f7896, "_printk" },
	{ 0xee11a538, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4B5C7FB22D4262CC96E6EF7");
