#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ieee802154_alloc_hw, "", "");
KSYMTAB_FUNC(ieee802154_configure_durations, "", "");
KSYMTAB_FUNC(ieee802154_free_hw, "", "");
KSYMTAB_FUNC(ieee802154_register_hw, "", "");
KSYMTAB_FUNC(ieee802154_unregister_hw, "", "");
KSYMTAB_FUNC(ieee802154_rx_irqsafe, "", "");
KSYMTAB_FUNC(ieee802154_xmit_complete, "", "");
KSYMTAB_FUNC(ieee802154_xmit_error, "", "");
KSYMTAB_FUNC(ieee802154_xmit_hw_error, "", "");

SYMBOL_CRC(ieee802154_alloc_hw, 0x7debf490, "");
SYMBOL_CRC(ieee802154_configure_durations, 0x008e5f55, "");
SYMBOL_CRC(ieee802154_free_hw, 0x4ebc407d, "");
SYMBOL_CRC(ieee802154_register_hw, 0x4d24271b, "");
SYMBOL_CRC(ieee802154_unregister_hw, 0x04869da2, "");
SYMBOL_CRC(ieee802154_rx_irqsafe, 0x87295569, "");
SYMBOL_CRC(ieee802154_xmit_complete, 0xf30aece4, "");
SYMBOL_CRC(ieee802154_xmit_error, 0xfca4acb5, "");
SYMBOL_CRC(ieee802154_xmit_hw_error, 0xf1a66bfc, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x63dd123a, "crypto_skcipher_encrypt" },
	{ 0x87e2553b, "ieee802154_max_payload" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x2b3f0532, "bpf_trace_run4" },
	{ 0xb77ddfee, "nl802154_beaconing_done" },
	{ 0xe55c56cd, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x3e0e78bf, "consume_skb" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x7091822b, "trace_raw_output_prep" },
	{ 0xc3ffe85f, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x11740df1, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x2eae3806, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4a842d87, "hrtimer_init" },
	{ 0x8a9d4613, "dev_alloc_name" },
	{ 0xfc1acff8, "trace_event_raw_init" },
	{ 0x037a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x28cc9b7f, "ieee802154_mac_cmd_push" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xb500974e, "pcpu_hot" },
	{ 0x64df0852, "crypto_alloc_aead" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x81e7a544, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x58e5bf20, "netdev_warn" },
	{ 0xdf5bd62d, "crypto_aead_setauthsize" },
	{ 0xb027bc2b, "crypto_aead_decrypt" },
	{ 0xe2964344, "__wake_up" },
	{ 0xa8ec7d34, "crc_ccitt" },
	{ 0x302f075b, "crypto_skcipher_setkey" },
	{ 0x7821fa2c, "unregister_netdevice_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xde088771, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x6daf63a2, "ieee802154_hdr_peek_addrs" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x0cc4f664, "wpan_phy_unregister" },
	{ 0x107846b9, "trace_event_buffer_commit" },
	{ 0x391f6f8c, "dev_addr_mod" },
	{ 0xa049ebc7, "crypto_destroy_tfm" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xf9e3fdbe, "alloc_netdev_mqs" },
	{ 0xf24415fd, "nl802154_scan_done" },
	{ 0x070f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x78076b98, "nl802154_scan_started" },
	{ 0x2129c361, "crypto_skcipher_decrypt" },
	{ 0x738803e6, "strnlen" },
	{ 0x4c2bf01e, "__alloc_skb" },
	{ 0xd72e9651, "skb_copy_expand" },
	{ 0x16a6e322, "skb_queue_tail" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x0ea3c74e, "tasklet_kill" },
	{ 0xaf749552, "crypto_aead_setkey" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x66f13687, "perf_trace_run_bpf_submit" },
	{ 0x0beb52b7, "cfg802154_get_free_short_addr" },
	{ 0x2d5befcc, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x59b9e6a1, "wpan_phy_register" },
	{ 0x1a6d7673, "cfg802154_set_max_associations" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa103f3b6, "crypto_aead_encrypt" },
	{ 0xbfa0eae4, "sk_skb_reason_drop" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xacac5bc4, "skb_push" },
	{ 0x6c81958a, "ieee802154_hdr_peek" },
	{ 0xfa525762, "wpan_phy_free" },
	{ 0x7bd04658, "netif_receive_skb" },
	{ 0x09268685, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x25b53a07, "free_netdev" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x2df0fdad, "bpf_trace_run1" },
	{ 0x8df7116e, "netif_tx_wake_queue" },
	{ 0xa15d0131, "cancel_delayed_work" },
	{ 0x2bc95bd4, "memset" },
	{ 0xc5e4bb2b, "_dev_warn" },
	{ 0x87bcb728, "hrtimer_start_range_ns" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9458cc76, "ieee802154_hdr_pull" },
	{ 0x95f45341, "nl802154_scan_event" },
	{ 0xe7d08106, "crypto_alloc_sync_skcipher" },
	{ 0x74bebf5b, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xd876dbaa, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xed3f2df3, "bpf_trace_run3" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x4e578a2f, "trace_event_buffer_reserve" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x726bc3c7, "wait_for_completion_killable_timeout" },
	{ 0x7bed1ef2, "ieee802154_beacon_push" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc33380b0, "__kmalloc_cache_noprof" },
	{ 0x1d75c913, "ieee802154_mac_cmd_pl_pull" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x86890dc1, "wpan_phy_new" },
	{ 0xbdc1467b, "skb_clone" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x2f9ac08e, "hrtimer_cancel" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xb276bc88, "ieee802154_hdr_push" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xc32abbf4, "dev_kfree_skb_any_reason" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x5347234a, "cfg802154_device_is_parent" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x46534646, "kmalloc_caches" },
	{ 0xc5365e3b, "cfg802154_device_is_child" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x45eaedea, "register_netdevice" },
	{ 0xee11a538, "module_layout" },
};

MODULE_INFO(depends, "ieee802154");


MODULE_INFO(srcversion, "FC05EF9AD81C921F0BF8D21");
