#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(flow_offload_alloc, "_gpl", "");
KSYMTAB_FUNC(flow_offload_route_init, "_gpl", "");
KSYMTAB_FUNC(flow_offload_free, "_gpl", "");
KSYMTAB_FUNC(flow_offload_add, "_gpl", "");
KSYMTAB_FUNC(flow_offload_refresh, "_gpl", "");
KSYMTAB_FUNC(flow_offload_teardown, "_gpl", "");
KSYMTAB_FUNC(flow_offload_lookup, "_gpl", "");
KSYMTAB_FUNC(nf_flow_snat_port, "_gpl", "");
KSYMTAB_FUNC(nf_flow_dnat_port, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_init, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_cleanup, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_free, "_gpl", "");
KSYMTAB_FUNC(nf_flow_offload_ip_hook, "_gpl", "");
KSYMTAB_FUNC(nf_flow_offload_ipv6_hook, "_gpl", "");
KSYMTAB_FUNC(nf_flow_rule_route_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_flow_rule_route_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_flow_table_offload_setup, "_gpl", "");

SYMBOL_CRC(flow_offload_alloc, 0x5f3eef55, "_gpl");
SYMBOL_CRC(flow_offload_route_init, 0x49ca2153, "_gpl");
SYMBOL_CRC(flow_offload_free, 0xe68c415d, "_gpl");
SYMBOL_CRC(flow_offload_add, 0x7623133a, "_gpl");
SYMBOL_CRC(flow_offload_refresh, 0x046034b1, "_gpl");
SYMBOL_CRC(flow_offload_teardown, 0xec387cb3, "_gpl");
SYMBOL_CRC(flow_offload_lookup, 0xb98fa60c, "_gpl");
SYMBOL_CRC(nf_flow_snat_port, 0xf84c5e06, "_gpl");
SYMBOL_CRC(nf_flow_dnat_port, 0xe0b32f41, "_gpl");
SYMBOL_CRC(nf_flow_table_init, 0x720869fc, "_gpl");
SYMBOL_CRC(nf_flow_table_cleanup, 0xb38fd7fc, "_gpl");
SYMBOL_CRC(nf_flow_table_free, 0x12778459, "_gpl");
SYMBOL_CRC(nf_flow_offload_ip_hook, 0xa005792b, "_gpl");
SYMBOL_CRC(nf_flow_offload_ipv6_hook, 0xdae681ed, "_gpl");
SYMBOL_CRC(nf_flow_rule_route_ipv4, 0x7437c7cd, "_gpl");
SYMBOL_CRC(nf_flow_rule_route_ipv6, 0x835cdb85, "_gpl");
SYMBOL_CRC(nf_flow_table_offload_setup, 0x70c76713, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x200b2041, "in6addr_any" },
	{ 0x49270968, "flow_rule_alloc" },
	{ 0xfde3b370, "ip6_dst_check" },
	{ 0xc75375a4, "__init_rwsem" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x7f622872, "skb_gso_validate_network_len" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x0cae1d8d, "ip_output" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x73d95893, "neigh_xmit" },
	{ 0x040aa8be, "flow_block_cb_free" },
	{ 0x037a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0xf0aaab56, "ip6_output" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xb500974e, "pcpu_hot" },
	{ 0xebd18927, "rhashtable_walk_enter" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xb93fa203, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x826f5856, "pskb_expand_head" },
	{ 0xf62cfb10, "register_pernet_subsys" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xd46b54dd, "flush_delayed_work" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x5af8e078, "down_write" },
	{ 0xaa173b39, "up_write" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x3e6017df, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x24e7ffcd, "dev_get_by_index" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x49d47da4, "dev_get_by_index_rcu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x13a0f36e, "rhashtable_walk_start_check" },
	{ 0x5152e605, "memcmp" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xa5816544, "flow_indr_dev_setup_offload" },
	{ 0xc3d437f4, "rhashtable_walk_stop" },
	{ 0xb5795bef, "unregister_pernet_subsys" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0xcfd93d13, "rht_bucket_nested_insert" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0xca0fc8b5, "__pskb_pull_tail" },
	{ 0x81556778, "rhashtable_destroy" },
	{ 0xc9bba4b6, "down_read" },
	{ 0xd6f7257b, "inet_proto_csum_replace16" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd5d0533b, "rhashtable_insert_slow" },
	{ 0x48ceddac, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xef63b073, "neigh_destroy" },
	{ 0xfd5a32d9, "pcpu_alloc_noprof" },
	{ 0x508798df, "rhashtable_init_noprof" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x6a46bedc, "inet_proto_csum_replace4" },
	{ 0xc1eaf630, "seq_write" },
	{ 0x683305f7, "remove_proc_entry" },
	{ 0xc33380b0, "__kmalloc_cache_noprof" },
	{ 0x66dcb4f6, "nf_ct_acct_add" },
	{ 0x384785e1, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0xbee35b3f, "dst_release" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xc6f0fa3d, "rhashtable_walk_next" },
	{ 0xf4a80fbf, "__nf_ct_refresh_acct" },
	{ 0xc350369f, "ipv4_dst_check" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x29f3a126, "up_read" },
	{ 0x7621ffdf, "rhashtable_walk_exit" },
	{ 0x46534646, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xee11a538, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "71174C88BE00B2D72E6FC60");
