#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nfc_hci_result_to_errno, "", "");
KSYMTAB_FUNC(nfc_hci_reset_pipes, "", "");
KSYMTAB_FUNC(nfc_hci_reset_pipes_per_host, "", "");
KSYMTAB_FUNC(nfc_hci_sak_to_protocol, "", "");
KSYMTAB_FUNC(nfc_hci_target_discovered, "", "");
KSYMTAB_FUNC(nfc_hci_allocate_device, "", "");
KSYMTAB_FUNC(nfc_hci_free_device, "", "");
KSYMTAB_FUNC(nfc_hci_register_device, "", "");
KSYMTAB_FUNC(nfc_hci_unregister_device, "", "");
KSYMTAB_FUNC(nfc_hci_set_clientdata, "", "");
KSYMTAB_FUNC(nfc_hci_get_clientdata, "", "");
KSYMTAB_FUNC(nfc_hci_driver_failure, "", "");
KSYMTAB_FUNC(nfc_hci_recv_frame, "", "");
KSYMTAB_FUNC(nfc_hci_send_event, "", "");
KSYMTAB_FUNC(nfc_hci_send_cmd, "", "");
KSYMTAB_FUNC(nfc_hci_send_cmd_async, "", "");
KSYMTAB_FUNC(nfc_hci_set_param, "", "");
KSYMTAB_FUNC(nfc_hci_get_param, "", "");
KSYMTAB_FUNC(nfc_hci_disconnect_gate, "", "");
KSYMTAB_FUNC(nfc_hci_disconnect_all_gates, "", "");
KSYMTAB_FUNC(nfc_hci_connect_gate, "", "");
KSYMTAB_FUNC(nfc_llc_start, "", "");
KSYMTAB_FUNC(nfc_llc_stop, "", "");

SYMBOL_CRC(nfc_hci_result_to_errno, 0x74fe3670, "");
SYMBOL_CRC(nfc_hci_reset_pipes, 0xef4251bb, "");
SYMBOL_CRC(nfc_hci_reset_pipes_per_host, 0x19d6ce0f, "");
SYMBOL_CRC(nfc_hci_sak_to_protocol, 0xdd231c55, "");
SYMBOL_CRC(nfc_hci_target_discovered, 0x93a4e3db, "");
SYMBOL_CRC(nfc_hci_allocate_device, 0x4def8336, "");
SYMBOL_CRC(nfc_hci_free_device, 0xa18ca91e, "");
SYMBOL_CRC(nfc_hci_register_device, 0xf5b390a0, "");
SYMBOL_CRC(nfc_hci_unregister_device, 0x6fbc2e1b, "");
SYMBOL_CRC(nfc_hci_set_clientdata, 0x3540a24c, "");
SYMBOL_CRC(nfc_hci_get_clientdata, 0x18d1fbf8, "");
SYMBOL_CRC(nfc_hci_driver_failure, 0x1f85e996, "");
SYMBOL_CRC(nfc_hci_recv_frame, 0x74d613e2, "");
SYMBOL_CRC(nfc_hci_send_event, 0xf6053c60, "");
SYMBOL_CRC(nfc_hci_send_cmd, 0x1a2a8adc, "");
SYMBOL_CRC(nfc_hci_send_cmd_async, 0x8329e11f, "");
SYMBOL_CRC(nfc_hci_set_param, 0x1a762db6, "");
SYMBOL_CRC(nfc_hci_get_param, 0x3861bd20, "");
SYMBOL_CRC(nfc_hci_disconnect_gate, 0x76083324, "");
SYMBOL_CRC(nfc_hci_disconnect_all_gates, 0xa2e1ce2e, "");
SYMBOL_CRC(nfc_hci_connect_gate, 0x0d16dd90, "");
SYMBOL_CRC(nfc_llc_start, 0xf8530487, "");
SYMBOL_CRC(nfc_llc_stop, 0x1d26534e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xe55c56cd, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xc3ffe85f, "skb_dequeue" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x07819e63, "nfc_unregister_device" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0xa97239b2, "nfc_allocate_device" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4187ffe8, "skb_queue_purge_reason" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x070f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x4292364c, "schedule" },
	{ 0x4190ce1b, "nfc_alloc_recv_skb" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x25ddc6ca, "put_device" },
	{ 0x738803e6, "strnlen" },
	{ 0x4c2bf01e, "__alloc_skb" },
	{ 0x16a6e322, "skb_queue_tail" },
	{ 0x4059792f, "print_hex_dump" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x3e6017df, "skb_pull" },
	{ 0xbfa0eae4, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xacac5bc4, "skb_push" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5152e605, "memcmp" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0xe1d4e4a4, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x74bebf5b, "skb_trim" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc33380b0, "__kmalloc_cache_noprof" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xf099efad, "nfc_targets_found" },
	{ 0xd2408a95, "nfc_driver_failure" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x46534646, "kmalloc_caches" },
	{ 0x44911241, "nfc_register_device" },
	{ 0x5c27d043, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xee11a538, "module_layout" },
};

MODULE_INFO(depends, "nfc");


MODULE_INFO(srcversion, "04C8699622E961E39E6C61F");
