#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mtl_dsp_check_ipc_irq, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_ipc_send_msg, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_disable_ipc_interrupts, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_enable_interrupts, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_pre_fw_run, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_post_fw_run, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_dump, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_power_down_dsp, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_cl_init, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_ipc_irq_thread, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_ipc_get_mailbox_offset, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_ipc_get_window_offset, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_ipc_dump, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_core_get, "", "SND_SOC_SOF_INTEL_MTL");
KSYMTAB_FUNC(mtl_dsp_core_put, "", "SND_SOC_SOF_INTEL_MTL");

SYMBOL_CRC(mtl_dsp_check_ipc_irq, 0xa021277d, "");
SYMBOL_CRC(mtl_ipc_send_msg, 0x8cf11f24, "");
SYMBOL_CRC(mtl_disable_ipc_interrupts, 0x82dc9932, "");
SYMBOL_CRC(mtl_enable_interrupts, 0x1bbbd1c9, "");
SYMBOL_CRC(mtl_dsp_pre_fw_run, 0x0524a2f8, "");
SYMBOL_CRC(mtl_dsp_post_fw_run, 0x540dd4de, "");
SYMBOL_CRC(mtl_dsp_dump, 0xbc2e5a8c, "");
SYMBOL_CRC(mtl_power_down_dsp, 0xb759bf57, "");
SYMBOL_CRC(mtl_dsp_cl_init, 0x3305d41a, "");
SYMBOL_CRC(mtl_ipc_irq_thread, 0x8001c2bf, "");
SYMBOL_CRC(mtl_dsp_ipc_get_mailbox_offset, 0x53cd31ac, "");
SYMBOL_CRC(mtl_dsp_ipc_get_window_offset, 0x1ccbff17, "");
SYMBOL_CRC(mtl_ipc_dump, 0xf107c9ad, "");
SYMBOL_CRC(mtl_dsp_core_get, 0xc06181ef, "");
SYMBOL_CRC(mtl_dsp_core_put, 0x1ebbb663, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x683a5501, "hda_sdw_check_wakeen_irq_common" },
	{ 0xfc696118, "snd_soc_acpi_intel_arl_machines" },
	{ 0xcbd29a4e, "hda_dsp_shutdown" },
	{ 0xdd34df5d, "hda_sdw_int_enable" },
	{ 0xaf052dad, "hda_sdw_startup" },
	{ 0xafeaf5f2, "__pci_register_driver" },
	{ 0x037a0cba, "kfree" },
	{ 0xb500974e, "pcpu_hot" },
	{ 0x034669eb, "hda_dsp_set_power_state_ipc4" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb113a4f5, "sof_ipc4_intel_dump_telemetry_state" },
	{ 0xde088771, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xb6b844b0, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x78c2d762, "sof_hda_common_ops" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x0d1614c2, "hda_sdw_check_lcount_common" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b37f935, "__SCT__tp_func_sof_intel_hda_irq_ipc_check" },
	{ 0xdad03434, "hda_pci_intel_probe" },
	{ 0x5f434fdb, "snd_sof_dsp_dbg_dump" },
	{ 0xc411ed3a, "sof_mailbox_write" },
	{ 0x2d5befcc, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x709dabc9, "debugfs_create_bool" },
	{ 0x19e9e875, "snd_sof_dsp_update_bits_forced" },
	{ 0x97226991, "sof_pci_remove" },
	{ 0x3ae060ad, "snd_soc_acpi_intel_mtl_machines" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xa3acd4c0, "hda_set_dai_drv_ops" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x16e941bb, "snd_sof_ipc_get_reply" },
	{ 0xb786090d, "snd_sof_dsp_update_bits" },
	{ 0x368c6727, "sof_debug_check_flag" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x1959a451, "snd_sof_ipc_reply" },
	{ 0x74aa2a34, "hda_ipc4_tx_is_busy" },
	{ 0xa5b36065, "__tracepoint_sof_intel_hda_irq_ipc_check" },
	{ 0x1e88829c, "hda_ops_free" },
	{ 0xe14842f0, "sof_pci_shutdown" },
	{ 0xc33380b0, "__kmalloc_cache_noprof" },
	{ 0xa7a9a4cd, "hda_sdw_process_wakeen_common" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc0f96f3f, "hda_dsp_get_state" },
	{ 0xd0c69cc9, "hda_dsp_ipc4_load_library" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xd4dfc006, "hda_dsp_ipc4_schedule_d0i3_work" },
	{ 0xf752e9c6, "sof_pci_pm" },
	{ 0xd08499f3, "snd_soc_acpi_intel_arl_sdw_machines" },
	{ 0x63ac09eb, "snd_soc_acpi_intel_mtl_sdw_machines" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x46534646, "kmalloc_caches" },
	{ 0xee11a538, "module_layout" },
};

MODULE_INFO(depends, "snd-sof-intel-hda-generic,snd-soc-acpi-intel-match,snd-sof-intel-hda-common,snd-sof,snd-sof-pci");

MODULE_ALIAS("pci:v00008086d00007E28sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007F50sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007728sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "252A129CF5CC6CE6B15408F");
