#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(md_cluster_ops, "", "");
KSYMTAB_FUNC(md_new_event, "_gpl", "");
KSYMTAB_FUNC(md_handle_request, "", "");
KSYMTAB_FUNC(mddev_suspend, "_gpl", "");
KSYMTAB_FUNC(mddev_resume, "_gpl", "");
KSYMTAB_FUNC(md_flush_request, "", "");
KSYMTAB_FUNC(mddev_init, "_gpl", "");
KSYMTAB_FUNC(mddev_destroy, "_gpl", "");
KSYMTAB_FUNC(mddev_unlock, "_gpl", "");
KSYMTAB_FUNC(md_find_rdev_nr_rcu, "_gpl", "");
KSYMTAB_FUNC(md_find_rdev_rcu, "_gpl", "");
KSYMTAB_FUNC(md_rdev_clear, "_gpl", "");
KSYMTAB_FUNC(sync_page_io, "_gpl", "");
KSYMTAB_FUNC(md_check_no_bitmap, "", "");
KSYMTAB_FUNC(md_integrity_register, "", "");
KSYMTAB_FUNC(md_update_sb, "", "");
KSYMTAB_FUNC(md_rdev_init, "_gpl", "");
KSYMTAB_FUNC(md_idle_sync_thread, "_gpl", "");
KSYMTAB_FUNC(md_frozen_sync_thread, "_gpl", "");
KSYMTAB_FUNC(md_unfrozen_sync_thread, "_gpl", "");
KSYMTAB_FUNC(mddev_stack_rdev_limits, "_gpl", "");
KSYMTAB_FUNC(mddev_stack_new_rdev, "_gpl", "");
KSYMTAB_FUNC(mddev_update_io_opt, "_gpl", "");
KSYMTAB_FUNC(md_init_stacking_limits, "_gpl", "");
KSYMTAB_FUNC(md_run, "_gpl", "");
KSYMTAB_FUNC(md_start, "_gpl", "");
KSYMTAB_FUNC(md_stop_writes, "_gpl", "");
KSYMTAB_FUNC(md_stop, "_gpl", "");
KSYMTAB_FUNC(md_set_array_sectors, "", "");
KSYMTAB_FUNC(md_wakeup_thread, "", "");
KSYMTAB_FUNC(md_register_thread, "", "");
KSYMTAB_FUNC(md_unregister_thread, "", "");
KSYMTAB_FUNC(md_error, "", "");
KSYMTAB_FUNC(register_md_personality, "", "");
KSYMTAB_FUNC(unregister_md_personality, "", "");
KSYMTAB_FUNC(register_md_cluster_operations, "", "");
KSYMTAB_FUNC(unregister_md_cluster_operations, "", "");
KSYMTAB_FUNC(md_done_sync, "", "");
KSYMTAB_FUNC(md_write_start, "", "");
KSYMTAB_FUNC(md_write_inc, "", "");
KSYMTAB_FUNC(md_write_end, "", "");
KSYMTAB_FUNC(md_submit_discard_bio, "_gpl", "");
KSYMTAB_FUNC(md_account_bio, "_gpl", "");
KSYMTAB_FUNC(md_free_cloned_bio, "_gpl", "");
KSYMTAB_FUNC(md_allow_write, "_gpl", "");
KSYMTAB_FUNC(md_do_sync, "_gpl", "");
KSYMTAB_FUNC(md_check_recovery, "", "");
KSYMTAB_FUNC(md_reap_sync_thread, "", "");
KSYMTAB_FUNC(md_wait_for_blocked_rdev, "", "");
KSYMTAB_FUNC(md_finish_reshape, "", "");
KSYMTAB_FUNC(rdev_set_badblocks, "_gpl", "");
KSYMTAB_FUNC(rdev_clear_badblocks, "_gpl", "");
KSYMTAB_FUNC(md_reload_sb, "", "");

SYMBOL_CRC(md_cluster_ops, 0xad36bf60, "");
SYMBOL_CRC(md_new_event, 0xe6e6b684, "_gpl");
SYMBOL_CRC(md_handle_request, 0xefd8d9de, "");
SYMBOL_CRC(mddev_suspend, 0x240ba53b, "_gpl");
SYMBOL_CRC(mddev_resume, 0x86917c87, "_gpl");
SYMBOL_CRC(md_flush_request, 0x40ee7a13, "");
SYMBOL_CRC(mddev_init, 0xef8e0d68, "_gpl");
SYMBOL_CRC(mddev_destroy, 0xbfd168b9, "_gpl");
SYMBOL_CRC(mddev_unlock, 0x6913cf2c, "_gpl");
SYMBOL_CRC(md_find_rdev_nr_rcu, 0x17235ac0, "_gpl");
SYMBOL_CRC(md_find_rdev_rcu, 0x4f05b445, "_gpl");
SYMBOL_CRC(md_rdev_clear, 0x445ae821, "_gpl");
SYMBOL_CRC(sync_page_io, 0x77a16d28, "_gpl");
SYMBOL_CRC(md_check_no_bitmap, 0x8fc60b67, "");
SYMBOL_CRC(md_integrity_register, 0x48731443, "");
SYMBOL_CRC(md_update_sb, 0xd6d2676c, "");
SYMBOL_CRC(md_rdev_init, 0x38d61cf7, "_gpl");
SYMBOL_CRC(md_idle_sync_thread, 0xc4a25fe9, "_gpl");
SYMBOL_CRC(md_frozen_sync_thread, 0xef17fcf9, "_gpl");
SYMBOL_CRC(md_unfrozen_sync_thread, 0xa3be9676, "_gpl");
SYMBOL_CRC(mddev_stack_rdev_limits, 0x3a08ff1e, "_gpl");
SYMBOL_CRC(mddev_stack_new_rdev, 0xa4192929, "_gpl");
SYMBOL_CRC(mddev_update_io_opt, 0xba19b007, "_gpl");
SYMBOL_CRC(md_init_stacking_limits, 0x1bd0d71a, "_gpl");
SYMBOL_CRC(md_run, 0xfd1e6eb8, "_gpl");
SYMBOL_CRC(md_start, 0xf465d308, "_gpl");
SYMBOL_CRC(md_stop_writes, 0x3989fff2, "_gpl");
SYMBOL_CRC(md_stop, 0xf2623290, "_gpl");
SYMBOL_CRC(md_set_array_sectors, 0xba8f9bba, "");
SYMBOL_CRC(md_wakeup_thread, 0x526ac055, "");
SYMBOL_CRC(md_register_thread, 0x804b986a, "");
SYMBOL_CRC(md_unregister_thread, 0x39948b81, "");
SYMBOL_CRC(md_error, 0x34ecf56e, "");
SYMBOL_CRC(register_md_personality, 0xe615b195, "");
SYMBOL_CRC(unregister_md_personality, 0x302315c0, "");
SYMBOL_CRC(register_md_cluster_operations, 0x74d6f12e, "");
SYMBOL_CRC(unregister_md_cluster_operations, 0x15bafe29, "");
SYMBOL_CRC(md_done_sync, 0xb81c85e0, "");
SYMBOL_CRC(md_write_start, 0x797775c1, "");
SYMBOL_CRC(md_write_inc, 0x6f94a55a, "");
SYMBOL_CRC(md_write_end, 0x63fd4dc7, "");
SYMBOL_CRC(md_submit_discard_bio, 0x390935eb, "_gpl");
SYMBOL_CRC(md_account_bio, 0x6a0c6905, "_gpl");
SYMBOL_CRC(md_free_cloned_bio, 0x4d871840, "_gpl");
SYMBOL_CRC(md_allow_write, 0x48d8c847, "_gpl");
SYMBOL_CRC(md_do_sync, 0x3b98bb9f, "_gpl");
SYMBOL_CRC(md_check_recovery, 0x1901ceaa, "");
SYMBOL_CRC(md_reap_sync_thread, 0x190f3ed1, "");
SYMBOL_CRC(md_wait_for_blocked_rdev, 0x2440b0f4, "");
SYMBOL_CRC(md_finish_reshape, 0x1597f9e8, "");
SYMBOL_CRC(rdev_set_badblocks, 0xa0c30b33, "_gpl");
SYMBOL_CRC(rdev_clear_badblocks, 0x05689ff8, "_gpl");
SYMBOL_CRC(md_reload_sb, 0xf542504c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4b7971a0, "set_capacity_and_notify" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0xaf887140, "set_disk_ro" },
	{ 0x652c6710, "__blk_alloc_disk" },
	{ 0x35a169f0, "try_module_get" },
	{ 0x73d223ba, "alloc_page_buffers" },
	{ 0xc9825415, "percpu_ref_is_zero" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x3361206f, "__bio_add_page" },
	{ 0xaef389f7, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0xd7cf1e79, "proc_create" },
	{ 0xffbf5614, "bio_split_to_limits" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x8235805b, "memmove" },
	{ 0xa0585e5b, "seq_release" },
	{ 0x62d208ca, "device_add_disk" },
	{ 0xc358aaf8, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0xbdf4b96f, "percpu_ref_init" },
	{ 0xc59062d9, "badblocks_set" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x2ec0ab95, "queue_limits_stack_bdev" },
	{ 0xaf328ce6, "fget" },
	{ 0x485c90ab, "sysfs_unbreak_active_protection" },
	{ 0x0e76d5f3, "invalidate_mapping_pages" },
	{ 0x0ed6cd71, "kobject_init" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x2e60bace, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x037a0cba, "kfree" },
	{ 0xf8838f00, "badblocks_exit" },
	{ 0xb500974e, "pcpu_hot" },
	{ 0x344c3701, "seq_lseek" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0x05309e7f, "ack_all_badblocks" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xc5844fb8, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd499c42e, "percpu_ref_kill_and_confirm" },
	{ 0x44ed347e, "kernfs_notify" },
	{ 0x35eab8aa, "submit_bh" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0x1cd4fd3e, "bio_end_io_acct_remapped" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x000a7de9, "wake_up_process" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0xd45764f8, "bio_clone_blkg_association" },
	{ 0x0668b595, "_kstrtoul" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x97ce883d, "bioset_integrity_create" },
	{ 0x070f7896, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xc85657b2, "put_disk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xdddb9d57, "percpu_ref_resurrect" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x5d127cd8, "badblocks_init" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x4292364c, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x892114c6, "unregister_sysctl_table" },
	{ 0x3c9f9e37, "badblocks_show" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0xc1c192b7, "sync_blockdev" },
	{ 0xe19cd2da, "free_buffer_head" },
	{ 0x738803e6, "strnlen" },
	{ 0xbd750762, "const_pcpu_hot" },
	{ 0xe1c74c78, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0x1d276942, "submit_bio" },
	{ 0x695ddb34, "module_put" },
	{ 0x2b205572, "bio_start_io_acct" },
	{ 0xd2466541, "sysfs_create_link" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x00632780, "work_busy" },
	{ 0x197ec1c5, "bioset_exit" },
	{ 0x85594ddf, "__kmap_local_page_prot" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0xfd761a72, "flush_signals" },
	{ 0x6e635087, "percpu_ref_exit" },
	{ 0x1827d766, "bio_put" },
	{ 0x5164778d, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xb792df76, "fput" },
	{ 0x8ced3bf7, "kobject_add" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x5d28135a, "sysfs_remove_link" },
	{ 0x15eca580, "percpu_ref_switch_to_percpu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x8d9cefa4, "submit_bio_noacct" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x6d86c916, "blk_sync_queue" },
	{ 0xfaadd9a0, "seq_file_path" },
	{ 0xcbc1a659, "kernfs_find_and_get_ns" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xadb0efb2, "seq_putc" },
	{ 0xe6e818bb, "bio_chain" },
	{ 0x1af267f8, "int_pow" },
	{ 0xc92f5b96, "atomic64_read_cx8" },
	{ 0x4b7fc38e, "__blk_trace_note_message" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xaa19e4aa, "_kstrtol" },
	{ 0x3f458e4f, "del_gendisk" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0x7d1952a1, "sysfs_create_group" },
	{ 0x3aed3b05, "kthread_stop" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0x2edd76d9, "bdev_file_open_by_dev" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x98ce6511, "blk_set_stacking_limits" },
	{ 0x11089ac7, "_ctype" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xa560059c, "bd_unlink_disk_holder" },
	{ 0x0b16341a, "__default_kernel_pte_mask" },
	{ 0xed81bdcb, "__cpu_possible_mask" },
	{ 0x96eddc8a, "bio_init" },
	{ 0x419f71ae, "register_sysctl_sz" },
	{ 0x9e35101a, "bio_alloc_clone" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0xf5d475bd, "invalidate_bdev" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc7f0b619, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x96985c9b, "kthread_create_on_node" },
	{ 0xb247aa97, "sysfs_remove_group" },
	{ 0xf87b9652, "seq_read" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb9831279, "kobject_del" },
	{ 0xd9101314, "vfs_fsync" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0x2213aa1f, "mempool_create_node_noprof" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb4dcb7ed, "param_ops_bool" },
	{ 0x62b3fd19, "bioset_init" },
	{ 0xe2728ded, "file_path" },
	{ 0x13dde702, "kernfs_put" },
	{ 0x845a07cc, "sysfs_break_active_protection" },
	{ 0xc1eaf630, "seq_write" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0x90855797, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x683305f7, "remove_proc_entry" },
	{ 0xc33380b0, "__kmalloc_cache_noprof" },
	{ 0x4726a7c9, "disk_check_media_change" },
	{ 0x56470118, "__warn_printk" },
	{ 0x384785e1, "seq_printf" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xd0ecf134, "kobject_uevent" },
	{ 0x626fa62e, "__tracepoint_block_bio_remap" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x7767f1eb, "bd_link_disk_holder" },
	{ 0x9cac3696, "alloc_pages_noprof" },
	{ 0xfc1b6fab, "queue_limits_commit_update" },
	{ 0x43e9a211, "proc_dointvec" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xc04e20c3, "percpu_ref_switch_to_atomic_sync" },
	{ 0x60bffe6d, "div64_u64" },
	{ 0x4e2cc6ee, "file_bdev" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x36bbd897, "queue_limits_stack_integrity" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa474d712, "seq_open" },
	{ 0x51f96847, "page_address" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x2fe6e141, "badblocks_clear" },
	{ 0x5c62dd11, "bmap" },
	{ 0xd0d8621b, "strlen" },
	{ 0x8917f414, "kunmap_local_indexed" },
	{ 0xd8fc81ed, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x1f6edb01, "badblocks_store" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6e9e1989, "bio_alloc_bioset" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x1d066419, "__kvmalloc_node_noprof" },
	{ 0x7410aba2, "strreplace" },
	{ 0xed7128d6, "submit_bio_wait" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6776093b, "atomic64_set_cx8" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x46534646, "kmalloc_caches" },
	{ 0xa232bce5, "__blkdev_issue_discard" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x92b57248, "flush_work" },
	{ 0x059a8b79, "kobject_put" },
	{ 0xee11a538, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "D81903D80F672184208CBFD");
