#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(video_device_alloc, "", "");
KSYMTAB_FUNC(video_device_release, "", "");
KSYMTAB_FUNC(video_device_release_empty, "", "");
KSYMTAB_FUNC(video_devdata, "", "");
KSYMTAB_FUNC(v4l2_prio_init, "", "");
KSYMTAB_FUNC(v4l2_prio_change, "", "");
KSYMTAB_FUNC(v4l2_prio_open, "", "");
KSYMTAB_FUNC(v4l2_prio_close, "", "");
KSYMTAB_FUNC(v4l2_prio_max, "", "");
KSYMTAB_FUNC(v4l2_prio_check, "", "");
KSYMTAB_FUNC(__video_register_device, "", "");
KSYMTAB_FUNC(video_unregister_device, "", "");
KSYMTAB_FUNC(v4l2_debugfs_root, "_gpl", "");
KSYMTAB_FUNC(video_device_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(__video_device_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(video_device_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(__video_device_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(video_device_pipeline_alloc_start, "_gpl", "");
KSYMTAB_FUNC(video_device_pipeline, "_gpl", "");
KSYMTAB_FUNC(v4l2_norm_to_name, "", "");
KSYMTAB_FUNC(v4l2_video_std_frame_period, "", "");
KSYMTAB_FUNC(v4l2_video_std_construct, "", "");
KSYMTAB_DATA(v4l2_field_names, "", "");
KSYMTAB_DATA(v4l2_type_names, "", "");
KSYMTAB_FUNC(v4l_printk_ioctl, "", "");
KSYMTAB_FUNC(video_ioctl2, "", "");
KSYMTAB_FUNC(v4l2_device_register, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_put, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_set_name, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_disconnect, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_unregister, "_gpl", "");
KSYMTAB_FUNC(__v4l2_device_register_subdev, "_gpl", "");
KSYMTAB_FUNC(__v4l2_device_register_subdev_nodes, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_unregister_subdev, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_add, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_open, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_del, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_exit, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_release, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_is_singular, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_dequeue, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_queue, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_queue_fh, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_pending, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_wake_all, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_subscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_unsubscribe_all, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_unsubscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_subdev_unsubscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_src_change_event_subscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_src_change_event_subdev_subscribe, "_gpl", "");
KSYMTAB_DATA(v4l2_subdev_call_wrappers, "", "");
KSYMTAB_FUNC(v4l2_subdev_get_fwnode_pad_1_to_1, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_link_validate_default, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_link_validate, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_has_pad_interdep, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_alloc, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_free, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_init_finalize, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_cleanup, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_get_format, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_get_crop, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_get_compose, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_get_interval, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_get_fmt, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_get_frame_interval, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_set_routing, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_next_active_route, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_set_routing_with_fmt, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_routing_find_opposite_end, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_state_get_opposite_stream_format, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_state_xlate_streams, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_routing_validate, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_enable_streams, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_disable_streams, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_s_stream_helper, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_init, "", "");
KSYMTAB_FUNC(v4l2_subdev_notify_event, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_is_streaming, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_get_privacy_led, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_put_privacy_led, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_query_fill, "", "");
KSYMTAB_FUNC(v4l_bound_align_image, "_gpl", "");
KSYMTAB_FUNC(__v4l2_find_nearest_size, "_gpl", "");
KSYMTAB_FUNC(v4l2_g_parm_cap, "_gpl", "");
KSYMTAB_FUNC(v4l2_s_parm_cap, "_gpl", "");
KSYMTAB_FUNC(v4l2_format_info, "", "");
KSYMTAB_FUNC(v4l2_apply_frmsize_constraints, "_gpl", "");
KSYMTAB_FUNC(v4l2_fill_pixfmt_mp, "_gpl", "");
KSYMTAB_FUNC(v4l2_fill_pixfmt, "_gpl", "");
KSYMTAB_FUNC(v4l2_get_link_freq, "_gpl", "");
KSYMTAB_FUNC(v4l2_simplify_fraction, "_gpl", "");
KSYMTAB_FUNC(v4l2_fraction_to_interval, "_gpl", "");
KSYMTAB_FUNC(v4l2_link_freq_to_bitmap, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_equal, "", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_init, "", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_log, "", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_validate, "", "");
KSYMTAB_FUNC(v4l2_ctrl_notify, "", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_init_class, "", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_free, "", "");
KSYMTAB_FUNC(v4l2_ctrl_find, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_custom, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std_menu_items, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std_compound, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_int_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_add_handler, "", "");
KSYMTAB_FUNC(v4l2_ctrl_radio_filter, "", "");
KSYMTAB_FUNC(v4l2_ctrl_cluster, "", "");
KSYMTAB_FUNC(v4l2_ctrl_auto_cluster, "", "");
KSYMTAB_FUNC(v4l2_ctrl_activate, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_grab, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_handler_setup, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_setup, "", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_log_status, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_fwnode_properties, "", "");
KSYMTAB_FUNC(v4l2_g_ext_ctrls, "", "");
KSYMTAB_FUNC(v4l2_try_ext_ctrls, "", "");
KSYMTAB_FUNC(v4l2_s_ext_ctrls, "", "");
KSYMTAB_FUNC(v4l2_g_ctrl, "", "");
KSYMTAB_FUNC(v4l2_s_ctrl, "", "");
KSYMTAB_FUNC(v4l2_ctrl_g_ctrl, "", "");
KSYMTAB_FUNC(v4l2_ctrl_g_ctrl_int64, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl_int64, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl_string, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl_compound, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_modify_range, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_modify_dimensions, "", "");
KSYMTAB_FUNC(v4l2_query_ext_ctrl, "", "");
KSYMTAB_FUNC(v4l2_queryctrl, "", "");
KSYMTAB_FUNC(v4l2_querymenu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_log_status, "", "");
KSYMTAB_FUNC(v4l2_ctrl_subdev_log_status, "", "");
KSYMTAB_FUNC(v4l2_ctrl_replace, "", "");
KSYMTAB_FUNC(v4l2_ctrl_merge, "", "");
KSYMTAB_DATA(v4l2_ctrl_sub_ev_ops, "", "");
KSYMTAB_FUNC(v4l2_ctrl_subscribe_event, "", "");
KSYMTAB_FUNC(v4l2_ctrl_subdev_subscribe_event, "", "");
KSYMTAB_FUNC(v4l2_ctrl_poll, "", "");
KSYMTAB_FUNC(v4l2_ctrl_request_hdl_find, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_request_hdl_ctrl_find, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_request_complete, "", "");
KSYMTAB_FUNC(v4l2_ctrl_request_setup, "", "");
KSYMTAB_FUNC(v4l2_ctrl_get_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_get_int_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_get_name, "", "");
KSYMTAB_FUNC(v4l2_ctrl_fill, "", "");
KSYMTAB_FUNC(v4l2_mc_create_media_graph, "_gpl", "");
KSYMTAB_FUNC(v4l_enable_media_source, "_gpl", "");
KSYMTAB_FUNC(v4l_disable_media_source, "_gpl", "");
KSYMTAB_FUNC(v4l_vb2q_enable_media_source, "_gpl", "");
KSYMTAB_FUNC(v4l2_create_fwnode_links_to_pad, "_gpl", "");
KSYMTAB_FUNC(v4l2_create_fwnode_links, "_gpl", "");
KSYMTAB_FUNC(v4l2_pipeline_pm_get, "_gpl", "");
KSYMTAB_FUNC(v4l2_pipeline_pm_put, "_gpl", "");
KSYMTAB_FUNC(v4l2_pipeline_link_notify, "_gpl", "");
KSYMTAB_FUNC(v4l2_spi_subdev_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_spi_new_subdev, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_subdev_set_name, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_subdev_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_new_subdev_board, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_new_subdev, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_subdev_addr, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_tuner_addrs, "_gpl", "");

SYMBOL_CRC(video_device_alloc, 0xe6fe7c1a, "");
SYMBOL_CRC(video_device_release, 0xedd3466f, "");
SYMBOL_CRC(video_device_release_empty, 0xf4687ec6, "");
SYMBOL_CRC(video_devdata, 0xd5e22124, "");
SYMBOL_CRC(v4l2_prio_init, 0xb77b0159, "");
SYMBOL_CRC(v4l2_prio_change, 0x3bdd0f94, "");
SYMBOL_CRC(v4l2_prio_open, 0x2342f1ae, "");
SYMBOL_CRC(v4l2_prio_close, 0xcda04a5b, "");
SYMBOL_CRC(v4l2_prio_max, 0x8106095a, "");
SYMBOL_CRC(v4l2_prio_check, 0x16244fe5, "");
SYMBOL_CRC(__video_register_device, 0x40e1b13f, "");
SYMBOL_CRC(video_unregister_device, 0x38b204a1, "");
SYMBOL_CRC(v4l2_debugfs_root, 0x88cd6507, "_gpl");
SYMBOL_CRC(video_device_pipeline_start, 0x70e4ebf1, "_gpl");
SYMBOL_CRC(__video_device_pipeline_start, 0x1b29b2d1, "_gpl");
SYMBOL_CRC(video_device_pipeline_stop, 0xf34786a6, "_gpl");
SYMBOL_CRC(__video_device_pipeline_stop, 0x057897d6, "_gpl");
SYMBOL_CRC(video_device_pipeline_alloc_start, 0xe4be85b8, "_gpl");
SYMBOL_CRC(video_device_pipeline, 0xec114c74, "_gpl");
SYMBOL_CRC(v4l2_norm_to_name, 0xf3251e7b, "");
SYMBOL_CRC(v4l2_video_std_frame_period, 0x0614dd5a, "");
SYMBOL_CRC(v4l2_video_std_construct, 0xe2b92059, "");
SYMBOL_CRC(v4l2_field_names, 0x3adbd595, "");
SYMBOL_CRC(v4l2_type_names, 0x123959a1, "");
SYMBOL_CRC(v4l_printk_ioctl, 0xbc5671dc, "");
SYMBOL_CRC(video_ioctl2, 0xac40ab1c, "");
SYMBOL_CRC(v4l2_device_register, 0x30f4e29b, "_gpl");
SYMBOL_CRC(v4l2_device_put, 0x2b505e2d, "_gpl");
SYMBOL_CRC(v4l2_device_set_name, 0x7966682d, "_gpl");
SYMBOL_CRC(v4l2_device_disconnect, 0xfdc5cdd0, "_gpl");
SYMBOL_CRC(v4l2_device_unregister, 0x3a13edeb, "_gpl");
SYMBOL_CRC(__v4l2_device_register_subdev, 0xd42a363f, "_gpl");
SYMBOL_CRC(__v4l2_device_register_subdev_nodes, 0xec207ceb, "_gpl");
SYMBOL_CRC(v4l2_device_unregister_subdev, 0x7112b5c7, "_gpl");
SYMBOL_CRC(v4l2_fh_init, 0x9bec2e93, "_gpl");
SYMBOL_CRC(v4l2_fh_add, 0xdb7e4104, "_gpl");
SYMBOL_CRC(v4l2_fh_open, 0x1376ade3, "_gpl");
SYMBOL_CRC(v4l2_fh_del, 0x291193af, "_gpl");
SYMBOL_CRC(v4l2_fh_exit, 0x07fa7933, "_gpl");
SYMBOL_CRC(v4l2_fh_release, 0xfbeaa065, "_gpl");
SYMBOL_CRC(v4l2_fh_is_singular, 0xc04612f6, "_gpl");
SYMBOL_CRC(v4l2_event_dequeue, 0xed5799fb, "_gpl");
SYMBOL_CRC(v4l2_event_queue, 0xcf508f0d, "_gpl");
SYMBOL_CRC(v4l2_event_queue_fh, 0xfba5995a, "_gpl");
SYMBOL_CRC(v4l2_event_pending, 0x1ec9c264, "_gpl");
SYMBOL_CRC(v4l2_event_wake_all, 0x0f46d878, "_gpl");
SYMBOL_CRC(v4l2_event_subscribe, 0x8fcc5065, "_gpl");
SYMBOL_CRC(v4l2_event_unsubscribe_all, 0xdfcd28a9, "_gpl");
SYMBOL_CRC(v4l2_event_unsubscribe, 0x7e7ba2c7, "_gpl");
SYMBOL_CRC(v4l2_event_subdev_unsubscribe, 0xacb04c02, "_gpl");
SYMBOL_CRC(v4l2_src_change_event_subscribe, 0xcfb942e1, "_gpl");
SYMBOL_CRC(v4l2_src_change_event_subdev_subscribe, 0xbfdc4ebb, "_gpl");
SYMBOL_CRC(v4l2_subdev_call_wrappers, 0x7c17c81b, "");
SYMBOL_CRC(v4l2_subdev_get_fwnode_pad_1_to_1, 0xd48c486d, "_gpl");
SYMBOL_CRC(v4l2_subdev_link_validate_default, 0x6e3978c1, "_gpl");
SYMBOL_CRC(v4l2_subdev_link_validate, 0x29be3660, "_gpl");
SYMBOL_CRC(v4l2_subdev_has_pad_interdep, 0xa90398cf, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_alloc, 0x6b6b8f2e, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_free, 0x74429061, "_gpl");
SYMBOL_CRC(__v4l2_subdev_init_finalize, 0xcd57d3d3, "_gpl");
SYMBOL_CRC(v4l2_subdev_cleanup, 0x95128678, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_get_format, 0x8613a1c7, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_get_crop, 0x9129c1d0, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_get_compose, 0x85b3385c, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_get_interval, 0xfe552b60, "_gpl");
SYMBOL_CRC(v4l2_subdev_get_fmt, 0x1782761b, "_gpl");
SYMBOL_CRC(v4l2_subdev_get_frame_interval, 0xb87372a6, "_gpl");
SYMBOL_CRC(v4l2_subdev_set_routing, 0xcc330186, "_gpl");
SYMBOL_CRC(__v4l2_subdev_next_active_route, 0x180f326c, "_gpl");
SYMBOL_CRC(v4l2_subdev_set_routing_with_fmt, 0xf1b79425, "_gpl");
SYMBOL_CRC(v4l2_subdev_routing_find_opposite_end, 0x2776e4eb, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_get_opposite_stream_format, 0xcddac0e8, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_xlate_streams, 0xd004ce11, "_gpl");
SYMBOL_CRC(v4l2_subdev_routing_validate, 0xa2a0e8e6, "_gpl");
SYMBOL_CRC(v4l2_subdev_enable_streams, 0xc4641a5f, "_gpl");
SYMBOL_CRC(v4l2_subdev_disable_streams, 0x6aadba44, "_gpl");
SYMBOL_CRC(v4l2_subdev_s_stream_helper, 0x91d0570c, "_gpl");
SYMBOL_CRC(v4l2_subdev_init, 0xec411fd6, "");
SYMBOL_CRC(v4l2_subdev_notify_event, 0x5c01023f, "_gpl");
SYMBOL_CRC(v4l2_subdev_is_streaming, 0xca1af62b, "_gpl");
SYMBOL_CRC(v4l2_subdev_get_privacy_led, 0x468c6318, "_gpl");
SYMBOL_CRC(v4l2_subdev_put_privacy_led, 0x6188634b, "_gpl");
SYMBOL_CRC(v4l2_ctrl_query_fill, 0x89e3897d, "");
SYMBOL_CRC(v4l_bound_align_image, 0xf5ef842e, "_gpl");
SYMBOL_CRC(__v4l2_find_nearest_size, 0xff76573f, "_gpl");
SYMBOL_CRC(v4l2_g_parm_cap, 0x4ce7ee2b, "_gpl");
SYMBOL_CRC(v4l2_s_parm_cap, 0x1ac0243f, "_gpl");
SYMBOL_CRC(v4l2_format_info, 0x35ff98bf, "");
SYMBOL_CRC(v4l2_apply_frmsize_constraints, 0x9fef35ac, "_gpl");
SYMBOL_CRC(v4l2_fill_pixfmt_mp, 0x6e9acc41, "_gpl");
SYMBOL_CRC(v4l2_fill_pixfmt, 0xcc501597, "_gpl");
SYMBOL_CRC(v4l2_get_link_freq, 0x18eba570, "_gpl");
SYMBOL_CRC(v4l2_simplify_fraction, 0xad5c3c93, "_gpl");
SYMBOL_CRC(v4l2_fraction_to_interval, 0x5074e573, "_gpl");
SYMBOL_CRC(v4l2_link_freq_to_bitmap, 0xef18d6f4, "_gpl");
SYMBOL_CRC(v4l2_ctrl_type_op_equal, 0x57d08658, "");
SYMBOL_CRC(v4l2_ctrl_type_op_init, 0x60ba92f4, "");
SYMBOL_CRC(v4l2_ctrl_type_op_log, 0xd0a767a1, "");
SYMBOL_CRC(v4l2_ctrl_type_op_validate, 0xd925ab7b, "");
SYMBOL_CRC(v4l2_ctrl_notify, 0xc3732199, "");
SYMBOL_CRC(v4l2_ctrl_handler_init_class, 0x5f190aa1, "");
SYMBOL_CRC(v4l2_ctrl_handler_free, 0x04ce3c97, "");
SYMBOL_CRC(v4l2_ctrl_find, 0x4052c37d, "");
SYMBOL_CRC(v4l2_ctrl_new_custom, 0xd1717575, "");
SYMBOL_CRC(v4l2_ctrl_new_std, 0x46cb1e2b, "");
SYMBOL_CRC(v4l2_ctrl_new_std_menu, 0x1c534397, "");
SYMBOL_CRC(v4l2_ctrl_new_std_menu_items, 0x1a789c51, "");
SYMBOL_CRC(v4l2_ctrl_new_std_compound, 0x6a881ff8, "");
SYMBOL_CRC(v4l2_ctrl_new_int_menu, 0x0e53eb63, "");
SYMBOL_CRC(v4l2_ctrl_add_handler, 0xbd08c865, "");
SYMBOL_CRC(v4l2_ctrl_radio_filter, 0x7dc3d1fc, "");
SYMBOL_CRC(v4l2_ctrl_cluster, 0x55a25a49, "");
SYMBOL_CRC(v4l2_ctrl_auto_cluster, 0x7f39100f, "");
SYMBOL_CRC(v4l2_ctrl_activate, 0x52c35c56, "");
SYMBOL_CRC(__v4l2_ctrl_grab, 0xc0011394, "");
SYMBOL_CRC(__v4l2_ctrl_handler_setup, 0x241c5c12, "_gpl");
SYMBOL_CRC(v4l2_ctrl_handler_setup, 0xabfaba77, "");
SYMBOL_CRC(v4l2_ctrl_handler_log_status, 0xc404da9e, "");
SYMBOL_CRC(v4l2_ctrl_new_fwnode_properties, 0x66785b12, "");
SYMBOL_CRC(v4l2_g_ext_ctrls, 0xcb4b1a2e, "");
SYMBOL_CRC(v4l2_try_ext_ctrls, 0x47e1753b, "");
SYMBOL_CRC(v4l2_s_ext_ctrls, 0xfce55e8b, "");
SYMBOL_CRC(v4l2_g_ctrl, 0x4966be9a, "");
SYMBOL_CRC(v4l2_s_ctrl, 0x74c36346, "");
SYMBOL_CRC(v4l2_ctrl_g_ctrl, 0xe12aefe4, "");
SYMBOL_CRC(v4l2_ctrl_g_ctrl_int64, 0x44b1b27e, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl, 0xbe39134b, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl_int64, 0x54bf403e, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl_string, 0xd128b225, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl_compound, 0x3a5cb318, "");
SYMBOL_CRC(__v4l2_ctrl_modify_range, 0x20897a27, "");
SYMBOL_CRC(__v4l2_ctrl_modify_dimensions, 0xad50631f, "");
SYMBOL_CRC(v4l2_query_ext_ctrl, 0x6da279e1, "");
SYMBOL_CRC(v4l2_queryctrl, 0x25227a40, "");
SYMBOL_CRC(v4l2_querymenu, 0xf15885c8, "");
SYMBOL_CRC(v4l2_ctrl_log_status, 0x71f248cd, "");
SYMBOL_CRC(v4l2_ctrl_subdev_log_status, 0x1ed56fc7, "");
SYMBOL_CRC(v4l2_ctrl_replace, 0xf50fecbc, "");
SYMBOL_CRC(v4l2_ctrl_merge, 0x082737e8, "");
SYMBOL_CRC(v4l2_ctrl_sub_ev_ops, 0x2a828bc0, "");
SYMBOL_CRC(v4l2_ctrl_subscribe_event, 0x513b68e3, "");
SYMBOL_CRC(v4l2_ctrl_subdev_subscribe_event, 0x4fc2a961, "");
SYMBOL_CRC(v4l2_ctrl_poll, 0x24f38332, "");
SYMBOL_CRC(v4l2_ctrl_request_hdl_find, 0x8bc4ecf0, "_gpl");
SYMBOL_CRC(v4l2_ctrl_request_hdl_ctrl_find, 0x55778af1, "_gpl");
SYMBOL_CRC(v4l2_ctrl_request_complete, 0xa12dc962, "");
SYMBOL_CRC(v4l2_ctrl_request_setup, 0x79de3514, "");
SYMBOL_CRC(v4l2_ctrl_get_menu, 0x315de2cf, "");
SYMBOL_CRC(v4l2_ctrl_get_int_menu, 0xd16d9c01, "");
SYMBOL_CRC(v4l2_ctrl_get_name, 0x32d43420, "");
SYMBOL_CRC(v4l2_ctrl_fill, 0x3b86cd9a, "");
SYMBOL_CRC(v4l2_mc_create_media_graph, 0x387d322f, "_gpl");
SYMBOL_CRC(v4l_enable_media_source, 0xf6b041d3, "_gpl");
SYMBOL_CRC(v4l_disable_media_source, 0x42831f4d, "_gpl");
SYMBOL_CRC(v4l_vb2q_enable_media_source, 0x962bedc1, "_gpl");
SYMBOL_CRC(v4l2_create_fwnode_links_to_pad, 0x79919767, "_gpl");
SYMBOL_CRC(v4l2_create_fwnode_links, 0x4fd0dc9a, "_gpl");
SYMBOL_CRC(v4l2_pipeline_pm_get, 0x75595ab8, "_gpl");
SYMBOL_CRC(v4l2_pipeline_pm_put, 0x11b8ea34, "_gpl");
SYMBOL_CRC(v4l2_pipeline_link_notify, 0x53eab9a1, "_gpl");
SYMBOL_CRC(v4l2_spi_subdev_init, 0xe1771812, "_gpl");
SYMBOL_CRC(v4l2_spi_new_subdev, 0xe5f8055c, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_buf_done, 0x8fb1e993, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_buf_done, 0x18feccf8, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_buf_done, 0x2ae0877b, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_buf_done, 0xa1893d14, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_buf_queue, 0xbf873f68, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_buf_queue, 0xc48429c5, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_buf_queue, 0x11f3044c, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_buf_queue, 0xc8dd867f, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_dqbuf, 0x418c659b, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_dqbuf, 0x3cf2a945, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_dqbuf, 0x6ce1c95c, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_dqbuf, 0xd541e31a, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_qbuf, 0x8ae07bec, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_qbuf, 0x2958466c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_qbuf, 0xe5a33113, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_qbuf, 0x6d3d6bc6, "_gpl");
SYMBOL_CRC(v4l2_i2c_subdev_set_name, 0xeda200a0, "_gpl");
SYMBOL_CRC(v4l2_i2c_subdev_init, 0x1738b5bb, "_gpl");
SYMBOL_CRC(v4l2_i2c_new_subdev_board, 0x11b41fbd, "_gpl");
SYMBOL_CRC(v4l2_i2c_new_subdev, 0xe53df451, "_gpl");
SYMBOL_CRC(v4l2_i2c_subdev_addr, 0xae9c0672, "_gpl");
SYMBOL_CRC(v4l2_i2c_tuner_addrs, 0xf2a353ac, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4d7b28e7, "media_devnode_remove" },
	{ 0x35a169f0, "try_module_get" },
	{ 0x23117134, "media_request_object_find" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xcaddcbeb, "media_request_object_init" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x26170e5a, "led_sysfs_enable" },
	{ 0xbc98446f, "dev_set_name" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x33320b9b, "fwnode_graph_get_remote_endpoint" },
	{ 0x7091822b, "trace_raw_output_prep" },
	{ 0xa9909815, "spi_unregister_device" },
	{ 0x722dcd22, "device_unregister" },
	{ 0x11740df1, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x2eae3806, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xa255cc97, "media_request_object_unbind" },
	{ 0x60ea1f72, "led_put" },
	{ 0x595cfc65, "led_trigger_remove" },
	{ 0xc104e665, "fwnode_graph_get_next_endpoint" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xfc1acff8, "trace_event_raw_init" },
	{ 0x24c0c03d, "trace_print_symbols_seq" },
	{ 0xcfbd7c4e, "media_request_object_complete" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xb500974e, "pcpu_hot" },
	{ 0xd9716769, "fwnode_graph_get_port_parent" },
	{ 0x81e7a544, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4cdba8b5, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xde088771, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x869d8c91, "media_create_intf_link" },
	{ 0x8107872f, "media_create_pad_link" },
	{ 0x107846b9, "trace_event_buffer_commit" },
	{ 0xcde9c809, "device_match_fwnode" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x070f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x4292364c, "schedule" },
	{ 0x0ec48ec2, "__media_pipeline_stop" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x25ddc6ca, "put_device" },
	{ 0x32632cdf, "i2c_new_scanned_device" },
	{ 0xc1dc81b6, "media_pad_pipeline" },
	{ 0x738803e6, "strnlen" },
	{ 0x62f0a3e4, "media_request_object_put" },
	{ 0x695ddb34, "module_put" },
	{ 0xbf1acef4, "media_pipeline_alloc_start" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0x37ebcb9a, "media_device_register_entity" },
	{ 0xf8a262b0, "media_request_get_by_fd" },
	{ 0xd0194a53, "cdev_add" },
	{ 0x9cb22d64, "led_get" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x66f13687, "perf_trace_run_bpf_submit" },
	{ 0x2d5befcc, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xc31dadd4, "i2c_unregister_device" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xabb441cd, "media_request_put" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x59beab24, "debugfs_remove" },
	{ 0x12b84909, "spi_new_device" },
	{ 0x09268685, "trace_event_reg" },
	{ 0x983b8b6f, "media_request_object_bind" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xca799b31, "class_unregister" },
	{ 0x0c30e1af, "media_graph_walk_next" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x5152e605, "memcmp" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x2063daa9, "i2c_new_client_device" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x61b4f314, "device_register" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x95eb509d, "media_pipeline_start" },
	{ 0x9825c628, "media_pipeline_stop" },
	{ 0x2bc95bd4, "memset" },
	{ 0xc5e4bb2b, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7682717a, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x780940d8, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf65f89e5, "media_get_pad_index" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x4e578a2f, "trace_event_buffer_reserve" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x84088ecc, "platform_bus_type" },
	{ 0xc33380b0, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4be9c4e6, "led_set_brightness" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x250a724e, "media_graph_walk_start" },
	{ 0x0c8af46a, "media_devnode_create" },
	{ 0x7727c3ac, "dev_err_probe" },
	{ 0xc7cdeed2, "media_entity_get_fwnode_pad" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0x78d3dd63, "media_device_unregister_entity" },
	{ 0xd0d8621b, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x8a47276d, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x1d066419, "__kvmalloc_node_noprof" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0x18617953, "__media_pipeline_start" },
	{ 0xfea4a621, "class_register" },
	{ 0xf4c455ee, "led_sysfs_disable" },
	{ 0xcb31cae6, "media_entity_find_link" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3642089a, "pci_bus_type" },
	{ 0x46534646, "kmalloc_caches" },
	{ 0x30f26a4e, "cdev_del" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x296bf8a4, "cdev_alloc" },
	{ 0xee11a538, "module_layout" },
};

MODULE_INFO(depends, "mc");


MODULE_INFO(srcversion, "9BB426C0BD7EA6F87412D06");
