#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(usbnet_get_endpoints, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_ethernet_addr, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_start, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_skb_return, "_gpl", "");
KSYMTAB_FUNC(usbnet_update_max_qlen, "_gpl", "");
KSYMTAB_FUNC(usbnet_change_mtu, "_gpl", "");
KSYMTAB_FUNC(usbnet_defer_kevent, "_gpl", "");
KSYMTAB_FUNC(usbnet_pause_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_purge_paused_rxq, "_gpl", "");
KSYMTAB_FUNC(usbnet_unlink_rx_urbs, "_gpl", "");
KSYMTAB_FUNC(usbnet_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_open, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_internal, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link, "_gpl", "");
KSYMTAB_FUNC(usbnet_nway_reset, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_drvinfo, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_rx_mode, "_gpl", "");
KSYMTAB_FUNC(usbnet_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(usbnet_start_xmit, "_gpl", "");
KSYMTAB_FUNC(usbnet_disconnect, "_gpl", "");
KSYMTAB_FUNC(usbnet_probe, "_gpl", "");
KSYMTAB_FUNC(usbnet_suspend, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume, "_gpl", "");
KSYMTAB_FUNC(usbnet_device_suggests_idle, "", "");
KSYMTAB_FUNC(usbnet_manage_power, "", "");
KSYMTAB_FUNC(usbnet_link_change, "", "");
KSYMTAB_FUNC(usbnet_read_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_read_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_async, "_gpl", "");

SYMBOL_CRC(usbnet_get_endpoints, 0x1e1f2496, "_gpl");
SYMBOL_CRC(usbnet_get_ethernet_addr, 0x54346038, "_gpl");
SYMBOL_CRC(usbnet_status_start, 0xdd5a6eb9, "_gpl");
SYMBOL_CRC(usbnet_status_stop, 0xf149543a, "_gpl");
SYMBOL_CRC(usbnet_skb_return, 0xf8c3d98f, "_gpl");
SYMBOL_CRC(usbnet_update_max_qlen, 0x4a179aa3, "_gpl");
SYMBOL_CRC(usbnet_change_mtu, 0xa8e5d517, "_gpl");
SYMBOL_CRC(usbnet_defer_kevent, 0x9877ca43, "_gpl");
SYMBOL_CRC(usbnet_pause_rx, 0xa4f3ca89, "_gpl");
SYMBOL_CRC(usbnet_resume_rx, 0xad9239c6, "_gpl");
SYMBOL_CRC(usbnet_purge_paused_rxq, 0xd0c00b75, "_gpl");
SYMBOL_CRC(usbnet_unlink_rx_urbs, 0x58315700, "_gpl");
SYMBOL_CRC(usbnet_stop, 0x90fb4c7f, "_gpl");
SYMBOL_CRC(usbnet_open, 0xc4d1aa55, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_mii, 0x3fff579c, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_internal, 0xc34eb42d, "_gpl");
SYMBOL_CRC(usbnet_set_link_ksettings_mii, 0xbe6a192f, "_gpl");
SYMBOL_CRC(usbnet_get_link, 0xcf55ebd7, "_gpl");
SYMBOL_CRC(usbnet_nway_reset, 0x2122b46d, "_gpl");
SYMBOL_CRC(usbnet_get_drvinfo, 0xc2784061, "_gpl");
SYMBOL_CRC(usbnet_get_msglevel, 0xa727927a, "_gpl");
SYMBOL_CRC(usbnet_set_msglevel, 0x8dad00cf, "_gpl");
SYMBOL_CRC(usbnet_set_rx_mode, 0x6bbd9db9, "_gpl");
SYMBOL_CRC(usbnet_tx_timeout, 0xfe3a7c42, "_gpl");
SYMBOL_CRC(usbnet_start_xmit, 0x95c40edf, "_gpl");
SYMBOL_CRC(usbnet_disconnect, 0x7c361667, "_gpl");
SYMBOL_CRC(usbnet_probe, 0x05d3aae1, "_gpl");
SYMBOL_CRC(usbnet_suspend, 0xb96b490d, "_gpl");
SYMBOL_CRC(usbnet_resume, 0x91b888aa, "_gpl");
SYMBOL_CRC(usbnet_device_suggests_idle, 0xc085c20b, "");
SYMBOL_CRC(usbnet_manage_power, 0x12fe8e4d, "");
SYMBOL_CRC(usbnet_link_change, 0x2069d631, "");
SYMBOL_CRC(usbnet_read_cmd, 0xc979b711, "_gpl");
SYMBOL_CRC(usbnet_write_cmd, 0x0b579bf9, "_gpl");
SYMBOL_CRC(usbnet_read_cmd_nopm, 0x4dd61ba9, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_nopm, 0x3bdcd148, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_async, 0x7fc1f5d0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8873fa30, "usb_set_interface" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x4afe4aeb, "usb_string" },
	{ 0xde088771, "__dynamic_dev_dbg" },
	{ 0x6f83fba8, "hex2bin" },
	{ 0x391f6f8c, "dev_addr_mod" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x1baf27d6, "netif_rx" },
	{ 0x4f01b818, "eth_type_trans" },
	{ 0x16a6e322, "skb_queue_tail" },
	{ 0xd876dbaa, "__dynamic_netdev_dbg" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2d48a2e, "queue_work_on" },
	{ 0x4187ffe8, "skb_queue_purge_reason" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xdfc4ed79, "usb_get_urb" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xd49afb8a, "usb_unlink_urb" },
	{ 0x2961626c, "usb_free_urb" },
	{ 0xbd750762, "const_pcpu_hot" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x860f8360, "usb_submit_urb" },
	{ 0xf4927f72, "netdev_err" },
	{ 0x2167be3c, "mii_ethtool_get_link_ksettings" },
	{ 0x292ea827, "mii_ethtool_set_link_ksettings" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0x07d848d1, "mii_nway_restart" },
	{ 0x037a0cba, "kfree" },
	{ 0x060d3a51, "unregister_netdev" },
	{ 0x3e0e78bf, "consume_skb" },
	{ 0x4fd9863f, "usb_get_from_anchor" },
	{ 0x6a2ea55c, "usb_kill_urb" },
	{ 0x25b53a07, "free_netdev" },
	{ 0x17751bd1, "netdev_info" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x3f59cad9, "netif_device_detach" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x0f51a94d, "netif_device_attach" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x305aa0ab, "usb_control_msg" },
	{ 0x2e60bace, "memcpy" },
	{ 0x1acd8d56, "usb_autopm_get_interface" },
	{ 0x163136db, "usb_autopm_put_interface" },
	{ 0x7682717a, "kmemdup_noprof" },
	{ 0xa647519a, "usb_alloc_urb" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x46534646, "kmalloc_caches" },
	{ 0xc33380b0, "__kmalloc_cache_noprof" },
	{ 0x6abc3fac, "mii_link_ok" },
	{ 0xc2cc8172, "ethtool_op_get_link" },
	{ 0x6e2ac5ff, "usb_autopm_put_interface_async" },
	{ 0x0dce342d, "netif_carrier_on" },
	{ 0xae714d6b, "netif_carrier_off" },
	{ 0x738803e6, "strnlen" },
	{ 0xf6b24ebf, "sized_strscpy" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x0ea3c74e, "tasklet_kill" },
	{ 0x4205ad24, "cancel_work_sync" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xc3ffe85f, "skb_dequeue" },
	{ 0x2688f167, "alloc_etherdev_mqs" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0x05203073, "register_netdev" },
	{ 0x48dcb804, "pm_runtime_enable" },
	{ 0xb65d501c, "usb_check_bulk_endpoints" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x420eabe4, "mem_section" },
	{ 0x6eb9ab87, "usb_autopm_get_interface_async" },
	{ 0x4b1dd13a, "skb_tstamp_tx" },
	{ 0xc32abbf4, "dev_kfree_skb_any_reason" },
	{ 0xab72dd78, "usb_anchor_urb" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x3dd66e5b, "__netdev_alloc_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0x8df7116e, "netif_tx_wake_queue" },
	{ 0x8dee71bc, "usb_autopm_get_interface_no_resume" },
	{ 0xe55c56cd, "skb_put" },
	{ 0x90f18fba, "usb_clear_halt" },
	{ 0x7ad37562, "eth_mac_addr" },
	{ 0x924bc0b2, "eth_validate_addr" },
	{ 0xaec55413, "ethtool_op_get_ts_info" },
	{ 0xd8fc81ed, "param_ops_int" },
	{ 0xee11a538, "module_layout" },
};

MODULE_INFO(depends, "usbcore,mii");


MODULE_INFO(srcversion, "17BD597195840FF5B32BAEB");
