#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(libipw_networks_age, "", "");
KSYMTAB_FUNC(alloc_libipw, "", "");
KSYMTAB_FUNC(free_libipw, "", "");
KSYMTAB_DATA(libipw_debug_level, "_gpl", "");
KSYMTAB_FUNC(libipw_xmit, "", "");
KSYMTAB_FUNC(libipw_txb_free, "", "");
KSYMTAB_FUNC(libipw_rx_any, "_gpl", "");
KSYMTAB_FUNC(libipw_rx_mgt, "", "");
KSYMTAB_FUNC(libipw_rx, "", "");
KSYMTAB_FUNC(libipw_wx_set_encodeext, "", "");
KSYMTAB_FUNC(libipw_wx_get_encodeext, "", "");
KSYMTAB_FUNC(libipw_wx_get_scan, "", "");
KSYMTAB_FUNC(libipw_wx_set_encode, "", "");
KSYMTAB_FUNC(libipw_wx_get_encode, "", "");
KSYMTAB_FUNC(libipw_get_channel, "", "");
KSYMTAB_FUNC(libipw_get_channel_flags, "", "");
KSYMTAB_FUNC(libipw_is_valid_channel, "", "");
KSYMTAB_FUNC(libipw_freq_to_channel, "", "");
KSYMTAB_FUNC(libipw_channel_to_freq, "", "");
KSYMTAB_FUNC(libipw_channel_to_index, "", "");
KSYMTAB_FUNC(libipw_set_geo, "", "");
KSYMTAB_FUNC(libipw_get_geo, "", "");
KSYMTAB_FUNC(ipw_wx_set_spy, "", "");
KSYMTAB_FUNC(ipw_wx_get_spy, "", "");
KSYMTAB_FUNC(ipw_wx_set_thrspy, "", "");
KSYMTAB_FUNC(ipw_wx_get_thrspy, "", "");
KSYMTAB_FUNC(libipw_crypt_info_init, "", "");
KSYMTAB_FUNC(libipw_crypt_info_free, "", "");
KSYMTAB_FUNC(libipw_crypt_delayed_deinit, "", "");
KSYMTAB_FUNC(libipw_register_crypto_ops, "", "");
KSYMTAB_FUNC(libipw_unregister_crypto_ops, "", "");
KSYMTAB_FUNC(libipw_get_crypto_ops, "", "");

SYMBOL_CRC(libipw_networks_age, 0x3f0b2c73, "");
SYMBOL_CRC(alloc_libipw, 0x7a4d26b0, "");
SYMBOL_CRC(free_libipw, 0x6a8665c4, "");
SYMBOL_CRC(libipw_debug_level, 0x498e4f1a, "_gpl");
SYMBOL_CRC(libipw_xmit, 0xf7059517, "");
SYMBOL_CRC(libipw_txb_free, 0xc72cc9d5, "");
SYMBOL_CRC(libipw_rx_any, 0x51614084, "_gpl");
SYMBOL_CRC(libipw_rx_mgt, 0xea04e229, "");
SYMBOL_CRC(libipw_rx, 0xae378109, "");
SYMBOL_CRC(libipw_wx_set_encodeext, 0x8b9dd042, "");
SYMBOL_CRC(libipw_wx_get_encodeext, 0xb8024bfe, "");
SYMBOL_CRC(libipw_wx_get_scan, 0xe8186476, "");
SYMBOL_CRC(libipw_wx_set_encode, 0x9f556ecb, "");
SYMBOL_CRC(libipw_wx_get_encode, 0xa50f5517, "");
SYMBOL_CRC(libipw_get_channel, 0xa3c30547, "");
SYMBOL_CRC(libipw_get_channel_flags, 0x0134640f, "");
SYMBOL_CRC(libipw_is_valid_channel, 0x12a74fab, "");
SYMBOL_CRC(libipw_freq_to_channel, 0x89e3c4b2, "");
SYMBOL_CRC(libipw_channel_to_freq, 0x45991dcf, "");
SYMBOL_CRC(libipw_channel_to_index, 0xb61bd0a3, "");
SYMBOL_CRC(libipw_set_geo, 0x609bf2b1, "");
SYMBOL_CRC(libipw_get_geo, 0x294e33dc, "");
SYMBOL_CRC(ipw_wx_set_spy, 0x42407f05, "");
SYMBOL_CRC(ipw_wx_get_spy, 0xdae009b9, "");
SYMBOL_CRC(ipw_wx_set_thrspy, 0xe03dc273, "");
SYMBOL_CRC(ipw_wx_get_thrspy, 0x83cab807, "");
SYMBOL_CRC(libipw_crypt_info_init, 0xc4dab8c5, "");
SYMBOL_CRC(libipw_crypt_info_free, 0xe624a9cb, "");
SYMBOL_CRC(libipw_crypt_delayed_deinit, 0x76e283d8, "");
SYMBOL_CRC(libipw_register_crypto_ops, 0xdc997306, "");
SYMBOL_CRC(libipw_unregister_crypto_ops, 0x85e31633, "");
SYMBOL_CRC(libipw_get_crypto_ops, 0x42929f4b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2688f167, "alloc_etherdev_mqs" },
	{ 0x35a169f0, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x2bb32ad1, "arc4_setkey" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4b401817, "iwe_stream_add_value" },
	{ 0xe55c56cd, "skb_put" },
	{ 0x92c856a3, "iwe_stream_add_event" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0xd7cf1e79, "proc_create" },
	{ 0x8235805b, "memmove" },
	{ 0xc358aaf8, "snprintf" },
	{ 0x314b20c8, "scnprintf" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x344c3701, "seq_lseek" },
	{ 0x64df0852, "crypto_alloc_aead" },
	{ 0xc1509efc, "dev_kfree_skb_irq_reason" },
	{ 0xdf5bd62d, "crypto_aead_setauthsize" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xb027bc2b, "crypto_aead_decrypt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa049ebc7, "crypto_destroy_tfm" },
	{ 0x4f01b818, "eth_type_trans" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x28b907d3, "wiphy_new_nm" },
	{ 0x070f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x738803e6, "strnlen" },
	{ 0x695ddb34, "module_put" },
	{ 0xaf749552, "crypto_aead_setkey" },
	{ 0xe738a2b7, "init_net" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xf5b0678b, "crypto_shash_setkey" },
	{ 0x3e6017df, "skb_pull" },
	{ 0x24d273d1, "add_timer" },
	{ 0xa103f3b6, "crypto_aead_encrypt" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xcd47fcc4, "arc4_crypt" },
	{ 0x420eabe4, "mem_section" },
	{ 0xacac5bc4, "skb_push" },
	{ 0x2a591407, "wireless_send_event" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x25b53a07, "free_netdev" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x143c91c0, "crypto_shash_update" },
	{ 0x5152e605, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x8ee5c4ee, "proc_mkdir" },
	{ 0x2bc95bd4, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x04d24402, "iwe_stream_add_point" },
	{ 0x1baf27d6, "netif_rx" },
	{ 0x3dd66e5b, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x74bebf5b, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf87b9652, "seq_read" },
	{ 0x96408e22, "crc32_le_arch" },
	{ 0x8eb890a6, "crypto_shash_final" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x683305f7, "remove_proc_entry" },
	{ 0xc33380b0, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x384785e1, "seq_printf" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x26c0c8e5, "single_release" },
	{ 0x3e82f3e9, "get_random_bytes" },
	{ 0xc32abbf4, "dev_kfree_skb_any_reason" },
	{ 0xd8fc81ed, "param_ops_int" },
	{ 0xeecad143, "single_open" },
	{ 0x138f810e, "crypto_alloc_shash" },
	{ 0x56e7398b, "wiphy_free" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x46534646, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xee11a538, "module_layout" },
};

MODULE_INFO(depends, "libarc4,cfg80211");


MODULE_INFO(srcversion, "C8FFC566263669E7159E0B3");
