#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt76s_read_pcr, "_gpl", "");
KSYMTAB_FUNC(mt76s_rr, "_gpl", "");
KSYMTAB_FUNC(mt76s_wr, "_gpl", "");
KSYMTAB_FUNC(mt76s_rmw, "_gpl", "");
KSYMTAB_FUNC(mt76s_write_copy, "_gpl", "");
KSYMTAB_FUNC(mt76s_read_copy, "_gpl", "");
KSYMTAB_FUNC(mt76s_wr_rp, "_gpl", "");
KSYMTAB_FUNC(mt76s_rd_rp, "_gpl", "");
KSYMTAB_FUNC(mt76s_hw_init, "_gpl", "");
KSYMTAB_FUNC(mt76s_alloc_rx_queue, "_gpl", "");
KSYMTAB_FUNC(mt76s_alloc_tx, "_gpl", "");
KSYMTAB_FUNC(mt76s_deinit, "_gpl", "");
KSYMTAB_FUNC(mt76s_init, "_gpl", "");
KSYMTAB_FUNC(mt76s_txrx_worker, "_gpl", "");
KSYMTAB_FUNC(mt76s_sdio_irq, "_gpl", "");
KSYMTAB_FUNC(mt76s_txqs_empty, "_gpl", "");

SYMBOL_CRC(mt76s_read_pcr, 0x2bfda5ff, "_gpl");
SYMBOL_CRC(mt76s_rr, 0x21dc14a1, "_gpl");
SYMBOL_CRC(mt76s_wr, 0x0ac6df05, "_gpl");
SYMBOL_CRC(mt76s_rmw, 0x13943fd7, "_gpl");
SYMBOL_CRC(mt76s_write_copy, 0xae81e0cc, "_gpl");
SYMBOL_CRC(mt76s_read_copy, 0xbcf7ec58, "_gpl");
SYMBOL_CRC(mt76s_wr_rp, 0x8dc42c6c, "_gpl");
SYMBOL_CRC(mt76s_rd_rp, 0xa5d80b5e, "_gpl");
SYMBOL_CRC(mt76s_hw_init, 0xa74432da, "_gpl");
SYMBOL_CRC(mt76s_alloc_rx_queue, 0x11afbfbb, "_gpl");
SYMBOL_CRC(mt76s_alloc_tx, 0xf2e1a8f2, "_gpl");
SYMBOL_CRC(mt76s_deinit, 0xece8cadb, "_gpl");
SYMBOL_CRC(mt76s_init, 0xe29e3b59, "_gpl");
SYMBOL_CRC(mt76s_txrx_worker, 0xc4f6c829, "_gpl");
SYMBOL_CRC(mt76s_sdio_irq, 0xad8ad4f7, "_gpl");
SYMBOL_CRC(mt76s_txqs_empty, 0xbc872826, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd5f3557c, "sdio_release_host" },
	{ 0x86b7cbea, "sdio_disable_func" },
	{ 0x231e30d2, "sdio_set_block_size" },
	{ 0xc58919d7, "devm_kmalloc" },
	{ 0xe55c56cd, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x74c0d762, "sdio_claim_host" },
	{ 0x3e0e78bf, "consume_skb" },
	{ 0x2e60bace, "memcpy" },
	{ 0xb500974e, "pcpu_hot" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe2964344, "__wake_up" },
	{ 0x58687559, "sched_set_fifo_low" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x826f5856, "pskb_expand_head" },
	{ 0xa402e265, "mt76_tx_status_check" },
	{ 0x000a7de9, "wake_up_process" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x418b7640, "__alloc_pages_noprof" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd528b9db, "sdio_release_irq" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x4c2bf01e, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0x30ac6a1b, "sdio_readsb" },
	{ 0x2d5befcc, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x420eabe4, "mem_section" },
	{ 0x4ddfe668, "sdio_readl" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x3aed3b05, "kthread_stop" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0x1ee947ae, "sdio_writel" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4a7a99a7, "mt76_queue_tx_complete" },
	{ 0x96985c9b, "kthread_create_on_node" },
	{ 0x70577545, "__tracepoint_dev_irq" },
	{ 0x683b3528, "mt76_rx_poll_complete" },
	{ 0xe45628cb, "__SCT__tp_func_dev_irq" },
	{ 0x90855797, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1ec57b4f, "__mt76_worker_fn" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0xa79bf38e, "sdio_claim_irq" },
	{ 0xaf216303, "mt76_skb_adjust_pad" },
	{ 0x068b9d2d, "sdio_enable_func" },
	{ 0xeadec7fc, "sdio_writesb" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xe7d5bba7, "skb_add_rx_frag_netmem" },
	{ 0x51f96847, "page_address" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xee11a538, "module_layout" },
};

MODULE_INFO(depends, "mmc_core,mt76");


MODULE_INFO(srcversion, "BF8A20F59100009752404E1");
