#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ssb_bus_resume, "", "");
KSYMTAB_FUNC(ssb_bus_suspend, "", "");
KSYMTAB_FUNC(ssb_bus_unregister, "", "");
KSYMTAB_FUNC(ssb_bus_sdiobus_register, "", "");
KSYMTAB_FUNC(__ssb_driver_register, "", "");
KSYMTAB_FUNC(ssb_driver_unregister, "", "");
KSYMTAB_FUNC(ssb_set_devtypedata, "", "");
KSYMTAB_FUNC(ssb_clockspeed, "", "");
KSYMTAB_FUNC(ssb_device_is_enabled, "", "");
KSYMTAB_FUNC(ssb_device_enable, "", "");
KSYMTAB_FUNC(ssb_device_disable, "", "");
KSYMTAB_FUNC(ssb_dma_translation, "", "");
KSYMTAB_FUNC(ssb_bus_may_powerdown, "", "");
KSYMTAB_FUNC(ssb_bus_powerup, "", "");
KSYMTAB_FUNC(ssb_commit_settings, "", "");
KSYMTAB_FUNC(ssb_admatch_base, "", "");
KSYMTAB_FUNC(ssb_admatch_size, "", "");
KSYMTAB_FUNC(ssb_pcihost_register, "", "");
KSYMTAB_FUNC(ssb_chipco_gpio_control, "", "");
KSYMTAB_FUNC(ssb_pmu_set_ldo_voltage, "", "");
KSYMTAB_FUNC(ssb_pmu_set_ldo_paref, "", "");
KSYMTAB_FUNC(ssb_pmu_spuravoid_pllupdate, "_gpl", "");
KSYMTAB_FUNC(ssb_pcicore_dev_irqvecs_enable, "", "");

SYMBOL_CRC(ssb_bus_resume, 0xe4fcece2, "");
SYMBOL_CRC(ssb_bus_suspend, 0x819385ad, "");
SYMBOL_CRC(ssb_bus_unregister, 0x1f60e26d, "");
SYMBOL_CRC(ssb_bus_sdiobus_register, 0x767b91a5, "");
SYMBOL_CRC(__ssb_driver_register, 0x4e7c975d, "");
SYMBOL_CRC(ssb_driver_unregister, 0xf80ba2ba, "");
SYMBOL_CRC(ssb_set_devtypedata, 0x7441766b, "");
SYMBOL_CRC(ssb_clockspeed, 0xf35a47b0, "");
SYMBOL_CRC(ssb_device_is_enabled, 0x9f0ae0f6, "");
SYMBOL_CRC(ssb_device_enable, 0xdb8a000a, "");
SYMBOL_CRC(ssb_device_disable, 0x19f34ffa, "");
SYMBOL_CRC(ssb_dma_translation, 0x44176a3f, "");
SYMBOL_CRC(ssb_bus_may_powerdown, 0xe173c218, "");
SYMBOL_CRC(ssb_bus_powerup, 0xaf2efe78, "");
SYMBOL_CRC(ssb_commit_settings, 0xb6426637, "");
SYMBOL_CRC(ssb_admatch_base, 0xcb17f1cb, "");
SYMBOL_CRC(ssb_admatch_size, 0xdfc7c6ef, "");
SYMBOL_CRC(ssb_pcihost_register, 0x61d1142a, "");
SYMBOL_CRC(ssb_chipco_gpio_control, 0xa037ff92, "");
SYMBOL_CRC(ssb_pmu_set_ldo_voltage, 0xdcc69406, "");
SYMBOL_CRC(ssb_pmu_set_ldo_paref, 0xc6846926, "");
SYMBOL_CRC(ssb_pmu_spuravoid_pllupdate, 0x27484dd8, "_gpl");
SYMBOL_CRC(ssb_pcicore_dev_irqvecs_enable, 0xf436a72a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x5561f227, "pci_save_state" },
	{ 0xd5f3557c, "sdio_release_host" },
	{ 0x4e30ddf1, "device_set_wakeup_enable" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x33093c9b, "pci_enable_device" },
	{ 0xd03a65a2, "pcmcia_disable_device" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0xbc98446f, "dev_set_name" },
	{ 0x74c0d762, "sdio_claim_host" },
	{ 0x50092392, "pci_iomap" },
	{ 0xdd4d16c3, "sdio_readw" },
	{ 0x722dcd22, "device_unregister" },
	{ 0x377e4807, "pci_back_from_sleep" },
	{ 0x842c8e9d, "ioread16" },
	{ 0x314b20c8, "scnprintf" },
	{ 0xafeaf5f2, "__pci_register_driver" },
	{ 0xe2309550, "pcmcia_unregister_driver" },
	{ 0xa66e88b1, "pci_prepare_to_sleep" },
	{ 0xedc03953, "iounmap" },
	{ 0xb656ad7b, "pcmcia_map_mem_page" },
	{ 0x9e45da97, "pci_request_regions" },
	{ 0x037a0cba, "kfree" },
	{ 0x06a86bc1, "iowrite16" },
	{ 0x6b22fa9b, "sdio_writew" },
	{ 0x4cdba8b5, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xde088771, "__dynamic_dev_dbg" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xb6b844b0, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd2e46b08, "dev_driver_string" },
	{ 0x50fa1224, "pci_read_config_dword" },
	{ 0x0668b595, "_kstrtoul" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0x99eb09cd, "dump_stack" },
	{ 0x070f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x848d372e, "iowrite8" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x25ddc6ca, "put_device" },
	{ 0xfbab1bb1, "ioread8_rep" },
	{ 0xf9f40d90, "_dev_info" },
	{ 0x269296f7, "device_create_file" },
	{ 0x30ac6a1b, "sdio_readsb" },
	{ 0x97ad440f, "gpiochip_get_data" },
	{ 0xf243aa7a, "bus_unregister" },
	{ 0x2d5befcc, "_dev_err" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0xf5e74e74, "pcmcia_request_window" },
	{ 0x505bc7eb, "pci_read_config_word" },
	{ 0x4ddfe668, "sdio_readl" },
	{ 0x85ec9b02, "driver_unregister" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0x16fea071, "pcmcia_write_config_byte" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xf7b5a859, "mutex_lock_interruptible" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x5c54c2c4, "pci_iounmap" },
	{ 0x11089ac7, "_ctype" },
	{ 0x61b4f314, "device_register" },
	{ 0x7866809a, "pci_restore_state" },
	{ 0x0b19b445, "ioread8" },
	{ 0x2bc95bd4, "memset" },
	{ 0x1ee947ae, "sdio_writel" },
	{ 0x1f06060f, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbfc177bc, "iowrite32_rep" },
	{ 0x14b46af8, "gpiochip_add_data_with_key" },
	{ 0xcfe5d407, "_dev_emerg" },
	{ 0xfc976119, "gpiochip_remove" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xf5405d04, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc33380b0, "__kmalloc_cache_noprof" },
	{ 0x6cc09945, "ioread32_rep" },
	{ 0x56470118, "__warn_printk" },
	{ 0x12653d5a, "pci_disable_device" },
	{ 0xeadec7fc, "sdio_writesb" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0xfef02319, "pcmcia_read_config_byte" },
	{ 0x31923e7c, "pcmcia_register_driver" },
	{ 0xda843905, "pci_write_config_word" },
	{ 0x0b177f9a, "pcmcia_loop_tuple" },
	{ 0x6cd347ab, "pcmcia_enable_device" },
	{ 0xe5515291, "driver_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x91260f24, "pci_write_config_dword" },
	{ 0x46534646, "kmalloc_caches" },
	{ 0xa4b94fea, "iowrite8_rep" },
	{ 0x263040e0, "device_remove_file" },
	{ 0xb709e456, "bus_register" },
	{ 0x173efc9e, "sdio_readb" },
	{ 0x13f8e38d, "sdio_writeb" },
	{ 0xee11a538, "module_layout" },
};

MODULE_INFO(depends, "mmc_core,pcmcia");

MODULE_ALIAS("pci:v000014E4d00004301sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004306sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004307sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004311sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004312sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004315sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004318sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014A4d00004318sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004319sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004320sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004321sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004322sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004324sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004325sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004328sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004329sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000432Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000432Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004350sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004351sv*sd*bc*sc*i*");
MODULE_ALIAS("pcmcia:m02D0c0448f*fn*pfn*pa*pb*pc*pd*");
MODULE_ALIAS("pcmcia:m02D0c0476f*fn*pfn*pa*pb*pc*pd*");

MODULE_INFO(srcversion, "54236BC607DE79873B8967A");
