#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(musb_get_mode, "_gpl", "");
KSYMTAB_DATA(musb_readb, "_gpl", "");
KSYMTAB_DATA(musb_writeb, "_gpl", "");
KSYMTAB_DATA(musb_clearb, "_gpl", "");
KSYMTAB_DATA(musb_readw, "_gpl", "");
KSYMTAB_DATA(musb_writew, "_gpl", "");
KSYMTAB_DATA(musb_clearw, "_gpl", "");
KSYMTAB_FUNC(musb_readl, "_gpl", "");
KSYMTAB_FUNC(musb_writel, "_gpl", "");
KSYMTAB_FUNC(musb_set_host, "_gpl", "");
KSYMTAB_FUNC(musb_set_peripheral, "_gpl", "");
KSYMTAB_FUNC(musb_interrupt, "_gpl", "");
KSYMTAB_FUNC(musb_mailbox, "_gpl", "");
KSYMTAB_FUNC(musb_queue_resume_work, "_gpl", "");
KSYMTAB_FUNC(musb_root_disconnect, "_gpl", "");

SYMBOL_CRC(musb_get_mode, 0xb282cc4c, "_gpl");
SYMBOL_CRC(musb_readb, 0x2734197f, "_gpl");
SYMBOL_CRC(musb_writeb, 0x0b4a8834, "_gpl");
SYMBOL_CRC(musb_clearb, 0xe59efb0e, "_gpl");
SYMBOL_CRC(musb_readw, 0x719a5e41, "_gpl");
SYMBOL_CRC(musb_writew, 0xade3e56c, "_gpl");
SYMBOL_CRC(musb_clearw, 0x669594ad, "_gpl");
SYMBOL_CRC(musb_readl, 0xf0f95e51, "_gpl");
SYMBOL_CRC(musb_writel, 0x6af8c6dc, "_gpl");
SYMBOL_CRC(musb_set_host, 0x2e636ecc, "_gpl");
SYMBOL_CRC(musb_set_peripheral, 0xeff71e9a, "_gpl");
SYMBOL_CRC(musb_interrupt, 0x84048865, "_gpl");
SYMBOL_CRC(musb_mailbox, 0x09492220, "_gpl");
SYMBOL_CRC(musb_queue_resume_work, 0x5ad6b872, "_gpl");
SYMBOL_CRC(musb_root_disconnect, 0x3e83aab0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1514a3b, "free_irq" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x83963c22, "devm_platform_ioremap_resource" },
	{ 0x68cad1c7, "device_set_wakeup_capable" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x2b3f0532, "bpf_trace_run4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xc58919d7, "devm_kmalloc" },
	{ 0x9804dce2, "usb_hcd_resume_root_hub" },
	{ 0xc6b6e1bd, "usb_hcd_unlink_urb_from_ep" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x695556eb, "platform_driver_unregister" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x96f17817, "param_ops_ushort" },
	{ 0x7091822b, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x17ebeda2, "pm_runtime_set_autosuspend_delay" },
	{ 0x11740df1, "__trace_trigger_soft_disabled" },
	{ 0x2eae3806, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xfc1acff8, "trace_event_raw_init" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xb500974e, "pcpu_hot" },
	{ 0x344c3701, "seq_lseek" },
	{ 0x2f0d9053, "usb_otg_state_string" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x81e7a544, "bpf_trace_run2" },
	{ 0xdaf65445, "vsnprintf" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xde088771, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xae4ddd5a, "__x86_indirect_thunk_edx" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x176a2f04, "usb_get_dr_mode" },
	{ 0xd2e46b08, "dev_driver_string" },
	{ 0x107846b9, "trace_event_buffer_commit" },
	{ 0x9067dc49, "sysfs_notify" },
	{ 0xab02cbdf, "__x86_indirect_thunk_ecx" },
	{ 0xd46b54dd, "flush_delayed_work" },
	{ 0x070f7896, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x2b01ed40, "platform_get_irq_byname" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0x48dcb804, "pm_runtime_enable" },
	{ 0x738803e6, "strnlen" },
	{ 0xfbab1bb1, "ioread8_rep" },
	{ 0x0bc7b94f, "usb_hcd_check_unlink_urb" },
	{ 0x8651ea33, "device_wakeup_disable" },
	{ 0x48410872, "sg_miter_next" },
	{ 0xad94517a, "perf_trace_buf_alloc" },
	{ 0x66f13687, "perf_trace_run_bpf_submit" },
	{ 0x32d82281, "devm_kfree" },
	{ 0x2d5befcc, "_dev_err" },
	{ 0x4a598c22, "device_wakeup_enable" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x59beab24, "debugfs_remove" },
	{ 0x6c2e3320, "strncmp" },
	{ 0xc5b4e411, "sg_miter_stop" },
	{ 0x09268685, "trace_event_reg" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xe4fd4bbf, "__x86_indirect_thunk_esi" },
	{ 0xa04472dc, "sg_miter_start" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x2df0fdad, "bpf_trace_run1" },
	{ 0x6209e834, "usb_hcd_link_urb_to_ep" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbfc177bc, "iowrite32_rep" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x6f6ce485, "usb_put_hcd" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x03e2e91f, "__platform_driver_register" },
	{ 0xed3f2df3, "bpf_trace_run3" },
	{ 0xf87b9652, "seq_read" },
	{ 0xdb9aa8ff, "phy_set_mode_ext" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8cc79cab, "iowrite16_rep" },
	{ 0x4e578a2f, "trace_event_buffer_reserve" },
	{ 0x7d3fcdf2, "__pm_runtime_resume" },
	{ 0x5fc67252, "ioread16_rep" },
	{ 0x4ab0a9b6, "usb_hcd_giveback_urb" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x84088ecc, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc33380b0, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x6cc09945, "ioread32_rep" },
	{ 0x56470118, "__warn_printk" },
	{ 0x384785e1, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc0585480, "usb_hcd_poll_rh_status" },
	{ 0xa1473b70, "debugfs_create_file_full" },
	{ 0x32d2ba91, "usb_create_hcd" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x26c0c8e5, "single_release" },
	{ 0x7727c3ac, "dev_err_probe" },
	{ 0x4a43c08e, "__pm_runtime_suspend" },
	{ 0xa022e639, "usb_debug_root" },
	{ 0xd0d8621b, "strlen" },
	{ 0x84cb4845, "__pm_runtime_use_autosuspend" },
	{ 0x21e39f56, "usb_remove_hcd" },
	{ 0xd9178d6c, "_dev_printk" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xeecad143, "single_open" },
	{ 0x625f6103, "usb_hcd_unmap_urb_for_dma" },
	{ 0xe85396da, "__pm_runtime_disable" },
	{ 0x8a47276d, "debugfs_create_dir" },
	{ 0xe65bf830, "usb_add_hcd" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x72eb7a8b, "trace_handle_return" },
	{ 0xc88a3af3, "__pm_runtime_idle" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x46534646, "kmalloc_caches" },
	{ 0xa4b94fea, "iowrite8_rep" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xee11a538, "module_layout" },
};

MODULE_INFO(depends, "usbcore,usb-common");


MODULE_INFO(srcversion, "97ABBD43F47A0EA73577E31");
