#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x0fc5daae, "inode_init_owner" },
	{ 0x4b1ee23c, "setattr_prepare" },
	{ 0x8ed03f88, "iget_locked" },
	{ 0x40fa0b3c, "clear_nlink" },
	{ 0x0c6726b7, "generic_block_bmap" },
	{ 0x975ff9b7, "d_instantiate" },
	{ 0xaba94751, "clear_inode" },
	{ 0xaf70bc63, "__kmalloc_noprof" },
	{ 0x61d3db1e, "new_inode" },
	{ 0x9401cef5, "unregister_filesystem" },
	{ 0x7b585772, "mark_buffer_dirty" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xc050640f, "d_make_root" },
	{ 0x6f0f7f5b, "sb_set_blocksize" },
	{ 0xef210d5c, "d_splice_alias" },
	{ 0x2e60bace, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x16c1ca5d, "generic_file_fsync" },
	{ 0xc4cc063a, "iput" },
	{ 0x91d2af11, "generic_file_write_iter" },
	{ 0x03518242, "register_filesystem" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2d2f16a1, "simple_inode_init_ts" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xf33e8101, "inode_newsize_ok" },
	{ 0xd32e11e8, "kill_block_super" },
	{ 0x135b5701, "unlock_new_inode" },
	{ 0x070f7896, "_printk" },
	{ 0x5d252733, "block_invalidate_folio" },
	{ 0xa7cabefc, "generic_write_end" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x48c18c17, "make_kuid" },
	{ 0xc5b615a3, "truncate_inode_pages_final" },
	{ 0xb8fcdc74, "generic_file_mmap" },
	{ 0x738803e6, "strnlen" },
	{ 0xbd750762, "const_pcpu_hot" },
	{ 0x29778d45, "__brelse" },
	{ 0xfd94fe4a, "__x86_indirect_thunk_edi" },
	{ 0xa6d7b87a, "generic_file_read_iter" },
	{ 0x4e3567f7, "match_int" },
	{ 0xe98be7cb, "truncate_pagecache" },
	{ 0xf58b1ab5, "sync_dirty_buffer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdb1ebf0c, "setattr_copy" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x6c2e3320, "strncmp" },
	{ 0x59325cc8, "mpage_writepages" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd298e64e, "__mutex_init" },
	{ 0xe0a22ab3, "__bread_gfp" },
	{ 0x5e35dc80, "__fortify_panic" },
	{ 0xa5ee94a5, "block_dirty_folio" },
	{ 0x11089ac7, "_ctype" },
	{ 0x2bc95bd4, "memset" },
	{ 0x8c208b33, "__insert_inode_hash" },
	{ 0xf83a6c27, "buffer_migrate_folio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7682717a, "kmemdup_noprof" },
	{ 0x15eb4d72, "make_kgid" },
	{ 0x72e1c08e, "from_kgid_munged" },
	{ 0x28a4f229, "truncate_setsize" },
	{ 0x3fd91c7a, "block_read_full_folio" },
	{ 0xac6fce9f, "generic_read_dir" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x85df9b6c, "strsep" },
	{ 0xcf938e60, "mount_bdev" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0xd28c4d8b, "mpage_readahead" },
	{ 0x4851081a, "init_user_ns" },
	{ 0x8d6239be, "inode_set_ctime_current" },
	{ 0x24d5b6dc, "inc_nlink" },
	{ 0x44e9a829, "match_token" },
	{ 0xc33380b0, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x384785e1, "seq_printf" },
	{ 0xaac0a1e8, "__x86_indirect_thunk_ebx" },
	{ 0x5430ca6f, "block_write_begin" },
	{ 0x558b4ce0, "filemap_splice_read" },
	{ 0x815b5dd4, "match_octal" },
	{ 0xf64b0a95, "from_kuid_munged" },
	{ 0x661d180b, "d_parent_ino" },
	{ 0xa2048e95, "crc_itu_t" },
	{ 0x73c06643, "__mark_inode_dirty" },
	{ 0xc10b5e43, "generic_file_llseek" },
	{ 0xf8eee146, "make_bad_inode" },
	{ 0x46534646, "kmalloc_caches" },
	{ 0x9d25894d, "inode_set_ctime_to_ts" },
	{ 0xba4083d5, "iget_failed" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xee11a538, "module_layout" },
};

MODULE_INFO(depends, "crc-itu-t");


MODULE_INFO(srcversion, "217889EF0E0C9884E0C4C9E");
