#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rt5640_dmic_enable, "_gpl", "");
KSYMTAB_FUNC(rt5640_sel_asrc_clk_src, "_gpl", "");
KSYMTAB_FUNC(rt5640_enable_micbias1_for_ovcd, "_gpl", "");
KSYMTAB_FUNC(rt5640_disable_micbias1_for_ovcd, "_gpl", "");
KSYMTAB_FUNC(rt5640_detect_headset, "_gpl", "");
KSYMTAB_FUNC(rt5640_set_ovcd_params, "_gpl", "");

SYMBOL_CRC(rt5640_dmic_enable, 0xf2a6822f, "_gpl");
SYMBOL_CRC(rt5640_sel_asrc_clk_src, 0x49a1be6d, "_gpl");
SYMBOL_CRC(rt5640_enable_micbias1_for_ovcd, 0xe4520b0d, "_gpl");
SYMBOL_CRC(rt5640_disable_micbias1_for_ovcd, 0x12e6d11b, "_gpl");
SYMBOL_CRC(rt5640_detect_headset, 0x06381337, "_gpl");
SYMBOL_CRC(rt5640_set_ovcd_params, 0xaf860783, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa8f26bdb, "snd_soc_dapm_put_enum_double" },
	{ 0x0d12aa80, "gpiod_get_value_cansleep" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xe1416ea8, "regcache_cache_only" },
	{ 0x01bb213b, "regcache_sync" },
	{ 0x983b35a7, "regmap_write" },
	{ 0xc58919d7, "devm_kmalloc" },
	{ 0x1285641d, "snd_soc_jack_report" },
	{ 0x87f38821, "snd_soc_component_read" },
	{ 0x3ae42b7d, "gpiod_set_value_cansleep" },
	{ 0x5dc92cdf, "rl6231_pll_calc" },
	{ 0x76e4e2c6, "gpiod_to_irq" },
	{ 0x4685a285, "snd_soc_dapm_sync_unlocked" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xb4cf80f0, "snd_soc_put_enum_double" },
	{ 0x14203618, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x94852e1c, "gpiod_get_value" },
	{ 0xd7b82ae2, "devm_gpiod_get_optional" },
	{ 0xee9124b3, "snd_soc_params_to_frame_size" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x8dbe5e80, "snd_soc_dapm_force_enable_pin_unlocked" },
	{ 0xde088771, "__dynamic_dev_dbg" },
	{ 0xdba4502f, "rl6231_calc_dmic_clk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x273843a9, "snd_soc_component_write" },
	{ 0xfe60358d, "devm_snd_soc_register_component" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x6ea029a5, "__devm_regmap_init_i2c" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcf86cdac, "queue_delayed_work_on" },
	{ 0xcf0eaf3b, "device_property_read_u32_array" },
	{ 0x21710b72, "snd_soc_get_enum_double" },
	{ 0x98a19787, "i2c_register_driver" },
	{ 0x3b9d9416, "snd_soc_info_volsw" },
	{ 0x2d5befcc, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2a2bc8d2, "snd_soc_dapm_put_volsw" },
	{ 0x7006f1c8, "mutex_lock" },
	{ 0x302f65f6, "snd_soc_dapm_force_bias_level" },
	{ 0x64f5d45d, "snd_soc_dapm_disable_pin_unlocked" },
	{ 0xea4a09cb, "mod_delayed_work_on" },
	{ 0xfa5a4f6c, "snd_soc_add_component_controls" },
	{ 0x8d7fa148, "rl6231_get_pre_div" },
	{ 0xc5e4bb2b, "_dev_warn" },
	{ 0xf46de76e, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1f481ef, "snd_soc_info_enum_double" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe84ea0cc, "devm_clk_get_optional" },
	{ 0x39937b9f, "snd_soc_get_volsw" },
	{ 0xe4cd392c, "regmap_read" },
	{ 0x77be1e00, "snd_soc_put_volsw" },
	{ 0x98b94eaa, "snd_soc_component_update_bits" },
	{ 0x7b1c8bfb, "mutex_unlock" },
	{ 0x29d9f26e, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa82fa4ff, "snd_soc_dapm_new_controls" },
	{ 0x70617a04, "rl6231_get_clk_info" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x0b099929, "device_property_read_bool" },
	{ 0x9850ff97, "regmap_update_bits_base" },
	{ 0xc10adb8a, "snd_soc_dapm_get_volsw" },
	{ 0x51949e11, "__devm_add_action" },
	{ 0x5fc3155d, "i2c_del_driver" },
	{ 0x5a1130ac, "regmap_register_patch" },
	{ 0xd256fb09, "snd_soc_dapm_get_enum_double" },
	{ 0x335ae13b, "gpiod_set_consumer_name" },
	{ 0x815588a6, "clk_enable" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xee11a538, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-soc-rl6231,snd-pcm");

MODULE_ALIAS("of:N*T*Crealtek,rt5639");
MODULE_ALIAS("of:N*T*Crealtek,rt5639C*");
MODULE_ALIAS("of:N*T*Crealtek,rt5640");
MODULE_ALIAS("of:N*T*Crealtek,rt5640C*");
MODULE_ALIAS("acpi*:INT33CA:*");
MODULE_ALIAS("acpi*:10EC3276:*");
MODULE_ALIAS("acpi*:10EC5640:*");
MODULE_ALIAS("acpi*:10EC5642:*");
MODULE_ALIAS("acpi*:INTCCFFD:*");
MODULE_ALIAS("i2c:rt5640");
MODULE_ALIAS("i2c:rt5639");
MODULE_ALIAS("i2c:rt5642");

MODULE_INFO(srcversion, "8DA52D21774CE3081E6DC3B");
