#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rt5670_jack_suspend, "_gpl", "");
KSYMTAB_FUNC(rt5670_jack_resume, "_gpl", "");
KSYMTAB_FUNC(rt5670_set_jack_detect, "_gpl", "");
KSYMTAB_FUNC(rt5670_sel_asrc_clk_src, "_gpl", "");
KSYMTAB_FUNC(rt5670_components, "_gpl", "");

SYMBOL_CRC(rt5670_jack_suspend, 0xfda67404, "_gpl");
SYMBOL_CRC(rt5670_jack_resume, 0xb00ef440, "_gpl");
SYMBOL_CRC(rt5670_set_jack_detect, 0x7d287bef, "_gpl");
SYMBOL_CRC(rt5670_sel_asrc_clk_src, 0x70b533b2, "_gpl");
SYMBOL_CRC(rt5670_components, 0x2f5ee4db, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa8f26bdb, "snd_soc_dapm_put_enum_double" },
	{ 0xe1416ea8, "regcache_cache_only" },
	{ 0x01bb213b, "regcache_sync" },
	{ 0x983b35a7, "regmap_write" },
	{ 0xc0ae51cd, "param_ops_uint" },
	{ 0xc58919d7, "devm_kmalloc" },
	{ 0x12d8fef9, "snd_soc_jack_free_gpios" },
	{ 0x87f38821, "snd_soc_component_read" },
	{ 0x5dc92cdf, "rl6231_pll_calc" },
	{ 0xc1a419c2, "snd_soc_jack_add_gpios" },
	{ 0x74a4dcf5, "snd_soc_dapm_disable_pin" },
	{ 0x1c3e59e8, "snd_soc_dapm_force_enable_pin" },
	{ 0xb4cf80f0, "snd_soc_put_enum_double" },
	{ 0x14203618, "regcache_mark_dirty" },
	{ 0xee9124b3, "snd_soc_params_to_frame_size" },
	{ 0xde088771, "__dynamic_dev_dbg" },
	{ 0xdba4502f, "rl6231_calc_dmic_clk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x273843a9, "snd_soc_component_write" },
	{ 0x72b39005, "snd_soc_dapm_sync" },
	{ 0xfe60358d, "devm_snd_soc_register_component" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x6ea029a5, "__devm_regmap_init_i2c" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x48dcb804, "pm_runtime_enable" },
	{ 0x21710b72, "snd_soc_get_enum_double" },
	{ 0xf9f40d90, "_dev_info" },
	{ 0x98a19787, "i2c_register_driver" },
	{ 0x3b9d9416, "snd_soc_info_volsw" },
	{ 0x2d5befcc, "_dev_err" },
	{ 0x2a2bc8d2, "snd_soc_dapm_put_volsw" },
	{ 0x8d7fa148, "rl6231_get_pre_div" },
	{ 0xc5e4bb2b, "_dev_warn" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0xf46de76e, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x02a9fc32, "snd_soc_dapm_kcontrol_dapm" },
	{ 0xf1f481ef, "snd_soc_info_enum_double" },
	{ 0x39937b9f, "snd_soc_get_volsw" },
	{ 0xe4cd392c, "regmap_read" },
	{ 0x77be1e00, "snd_soc_put_volsw" },
	{ 0x98b94eaa, "snd_soc_component_update_bits" },
	{ 0xa82fa4ff, "snd_soc_dapm_new_controls" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x70617a04, "rl6231_get_clk_info" },
	{ 0x9850ff97, "regmap_update_bits_base" },
	{ 0xc10adb8a, "snd_soc_dapm_get_volsw" },
	{ 0x5fc3155d, "i2c_del_driver" },
	{ 0x5a1130ac, "regmap_register_patch" },
	{ 0xd256fb09, "snd_soc_dapm_get_enum_double" },
	{ 0xe85396da, "__pm_runtime_disable" },
	{ 0xc88a3af3, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xee11a538, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-soc-rl6231,snd-pcm");

MODULE_ALIAS("i2c:rt5670");
MODULE_ALIAS("i2c:rt5671");
MODULE_ALIAS("i2c:rt5672");
MODULE_ALIAS("acpi*:10EC5670:*");
MODULE_ALIAS("acpi*:10EC5672:*");
MODULE_ALIAS("acpi*:10EC5640:*");

MODULE_INFO(srcversion, "755EA7EF14DC7AB16DDD255");
